<?php
header( "Content-type: application/vnd.ms-excel" );   
header( "Content-type: application/vnd.ms-excel; charset=utf-8");  
header( "Content-Disposition: attachment; filename = 일통계.xls" );   
header( "Content-Description: PHP4 Generated Data" );   

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
$reqStartTerm = str_replace("-","",$strStartTerm);

//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$arrReserveStat=['','예약취소','','','사용완료','예약','','사용중'];
/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
        $reqDt = $reqStartTerm;
        $reqYesterDay = date('Ymd' ,strtotime($strStartTerm."-1 days"));
        $reqBeforeWeek = date('Ymd' ,strtotime($strStartTerm."-7 days"));
        $todayMon = date('m' ,strtotime($strStartTerm."-0 days"));
        $todayDd = date('d' ,strtotime($strStartTerm."-0 days"));
        $yesterdayMon = date('m' ,strtotime($strStartTerm."-1 days"));
        $yesterdayDd = date('d' ,strtotime($strStartTerm."-1 days"));
        $beforeWeekMon = date('m' ,strtotime($strStartTerm."-7 days"));
        $beforeWeekDd = date('d' ,strtotime($strStartTerm."-7 days"));
        $reqTm = date('H00' ,strtotime($strStartTerm."-0 days"));
echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td>조회일자</td>
   <td colspan='3'>$reqDt</td>
   </tr>
</table>  
<br><br><br>
<table border='1'>  
<tr>  
   <td>$todayMon 월$todayDd 일</td>  
   <td colspan='2'>Space A</td>  
   <td colspan='2'>Space B</td>  
   <td colspan='2'>Space C</td>  
   <td colspan='3'>Space D</td>  
   <td colspan='1'>Focus Room</td>  
   <td colspan='1'>Focus Lab</td>  
   <td colspan='1'>Time Zone</td>  
   <td>Team Room</td>  
   <td colspan='2'>당일</td>  
   <td colspan='2'>$yesterdayMon 월$yesterdayDd 일</td>  
   <td colspan='2'>$beforeWeekMon 월$beforeWeekDd 일</td>  
</tr>
<tr>  
   <td>시간</td>  
   <td>일일이용권</td>  
   <td>월자유석</td>  
   <td>일일이용권</td>  
   <td>월자유석</td>  
   <td>일일이용권</td>  
   <td>월자유석</td>  
   <td>일일이용권</td>  
   <td>월자유석</td>  
   <td>월지정석</td>  
   <td>월지정석</td>  
   <td>월지정석</td>  
   <td>시간제</td>  
   <td>1~5 합계</td>  
   <td>total</td>  
   <td>누적</td>  
   <td>전일 total</td>  
   <td>전일 누적</td>  
   <td>전주 total</td>  
   <td>전주 누적</td>  
</tr>";


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
        SELECT  A.TMM AS TM,
                A.SA_DAY_RESERVE,
                A.SA_DAY_FREE,
                A.SB_DAY_RESERVE,
                A.SB_DAY_FREE,
                A.SC_DAY_RESERVE,
                A.SC_DAY_FREE,
                A.SD_DAY_RESERVE,
                A.SD_DAY_FREE,
                A.SD_MONTH_MEMBER,
                A.FR_MONTH_MEMBER,
                A.FL_MONTH_MEMBER,
                A.TZ_TIME,
                A.TEAM_ROOM,
                A.TM_TOTAL,
                A.TM_ACCUM,
                B.TM_TOTAL AS YESTERDAY_TOTAL,
                B.TM_ACCUM AS YESTERDAY_ACCUM,
                C.TM_TOTAL AS BEFORE_WEEK_TOTAL,
                C.TM_ACCUM AS BEFORE_WEEK_ACCUM
        FROM    (SELECT '$reqDt' AS STAT_DTT,X.TM AS TMM,Y.* FROM W_TM2 X LEFT OUTER JOIN W_DAY_STATISTIC Y ON X.TM = Y.TM AND Y.STAT_DT = '$reqDt') A,W_DAY_STATISTIC B,W_DAY_STATISTIC C
        WHERE   A.STAT_DTT = '$reqDt'
        AND     B.STAT_DT = '$reqYesterDay'
        AND     C.STAT_DT = '$reqBeforeWeek'
        AND     A.TMM = B.TM
        AND     B.TM = C.TM
        ORDER BY TMM   
";

$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		echo "<TR>";
                echo "<TD align='center'>".$row['TM']."</TD>";
                echo "<TD align='center'>".$row['SA_DAY_RESERVE']."</TD>";
                echo "<TD align='center'>".$row['SA_DAY_FREE']."</TD>";
                echo "<TD align='center'>".$row['SB_DAY_RESERVE']."</TD>";
                echo "<TD align='center'>".$row['SB_DAY_FREE']."</TD>";
                echo "<TD align='center'>".$row['SC_DAY_RESERVE']."</TD>";
                echo "<TD align='center'>".$row['SC_DAY_FREE']."</TD>";
                echo "<TD align='center'>".$row['SD_DAY_RESERVE']."</TD>";
                echo "<TD align='center'>".$row['SD_DAY_FREE']."</TD>";
                echo "<TD align='center'>".$row['SD_MONTH_MEMBER']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['FR_MONTH_MEMBER']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['FL_MONTH_MEMBER']."</TD>";
                echo "<TD align='center'>".$row['TZ_TIME']."</TD>";
                echo "<TD align='center'>".$row['TEAM_ROOM']."</TD>";
                echo "<TD align='center'>".$row['TM_TOTAL']."</TD>";
                echo "<TD align='center'>".$row['TM_ACCUM']."</TD>";
                echo "<TD align='center'>".$row['YESTERDAY_TOTAL']."</TD>";
                echo "<TD align='center'>".$row['YESTERDAY_ACCUM']."</TD>";
                echo "<TD align='center'>".$row['BEFORE_WEEK_TOTAL']."</TD>";
                echo "<TD align='center'>".$row['BEFORE_WEEK_ACCUM']."</TD>";
		echo "</TR>";
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo "</TABLE>";

?>
