<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT 	A.RESERVE_NO,
		A.START_DAY,
		FN_CONV_DATE(CONCAT(A.START_DAY,'000000'),'Y-m-d') AS START_DAY_TXT,
		A.END_DAY,
		FN_CONV_DATE(CONCAT(A.END_DAY,'000000'),'Y-m-d') AS END_DAY_TXT,
		A.USER_ID,
		B.username AS USER_NM,
		FN_CONV_DATE(CONCAT(A.START_DAY,A.START_TM,'00'),'H:i') AS START_TM,
		FN_CONV_DATE(CONCAT(A.END_DAY,A.END_TM,'00'),'H:i') AS END_TM,
		A.START_TM AS START_TM_TMP,
		A.END_TM AS END_TM_TMP,
		A.RESERVE_STAT,
		FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
		A.PAY_STAT,
		FN_GET_CODE('PAY_STAT',A.PAY_STAT) AS PAY_STAT_NM,
		TOTAL_AMT,
		PAY_AMT,
		REMAIN_AMT,
		REFUND_AMT
	FROM 	W_FREESEAT_NO_OUT A ,RT_USER B
	WHERE   (START_DAY BETWEEN '$reqStartDay' AND '$reqEndDay' OR END_DAY BETWEEN '$reqStartDay' AND '$reqEndDay') 
	AND     A.RESERVE_STAT != '0'
	AND     A.RESERVE_STAT LIKE '%$reqReserveStat%'
	AND     A.PAY_STAT LIKE '%$reqPayStat%'
	AND     A.USER_ID LIKE '%$reqUserId%' 
	AND     A.USER_ID = B.userId
	AND     B.userName LIKE '%$reqUserNm%' 
	ORDER BY  START_DAY DESC,START_TM DESC
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('START_DAY',$row['START_DAY']));
		$tagReserve->appendChild($domtree->createElement('START_DAY_TXT',$row['START_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('END_DAY',$row['END_DAY']));
		$tagReserve->appendChild($domtree->createElement('END_DAY_TXT',$row['END_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT_NM',$row['RESERVE_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('START_TM',$row['START_TM']));
		$tagReserve->appendChild($domtree->createElement('END_TM',$row['END_TM']));
		$tagReserve->appendChild($domtree->createElement('START_TM_TMP',$row['START_TM_TMP']));
		$tagReserve->appendChild($domtree->createElement('END_TM_TMP',$row['END_TM_TMP']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT_NM',$row['PAY_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('TOTAL_AMT',$row['TOTAL_AMT']));
		$tagReserve->appendChild($domtree->createElement('PAY_AMT',$row['PAY_AMT']));
		$tagReserve->appendChild($domtree->createElement('REMAIN_AMT',$row['REMAIN_AMT']));
		$tagReserve->appendChild($domtree->createElement('REFUND_AMT',$row['REFUND_AMT']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
