<?php

header( "Content-type: application/vnd.ms-excel" );   
header( "Content-type: application/vnd.ms-excel; charset=utf-8");  
header( "Content-Disposition: attachment; filename = 자유석 이용현황.xls" );   
header( "Content-Description: PHP4 Generated Data" );   


/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
$srcStartTerm = str_replace("-","",$srcStartTerm);
$srcEndTerm = str_replace("-","",$srcEndTerm);

//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$arrReserveStat=['','예약취소','','','사용완료','예약','','사용중'];
if($srcReserveStat == '')
{
        $srcReserveStatIndex = 0;
}
else
{
        $srcReserveStatIndex = $srcReserveStat;
}

echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td width='80'>상태</td>
   <td colspan='3'>$arrReserveStat[$srcReserveStatIndex]</td>
</tr>
<tr>
   <td>이용일자</td>
   <td colspan='3'>$srcStartTerm ~ $srcEndTerm</td>
   </tr>
<tr>
   <td>이용자명</td>
   <td>$srcUserNm</td>
   <td>이용자ID</td>
   <td>$srcUserId</td>
   </tr>
</table>  
<br><br><br>
<table border='1'>  
<tr>  
   <td>열람실명</td>  
   <td>상태</td>  
   <td>이용자 아이디</td>  
   <td>이용자명</td>  
   <td>시작일자</td>  
   <td>종료일자</td>  
   <td>시작시간</td>  
   <td>종료시간</td>  
   <td>현재이용상태</td>  
</tr>";


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT  
                A.RESERVE_NO,
                A.ROOM_NO,
                B.ROOM_NM,
                0 As SEAT_NO,
                IF(A.USER_ID IS NULL,'',A.USER_ID) AS USER_ID,
                IF(A.USER_NM IS NULL,'',A.USER_NM) AS USER_NM,
                FN_CONV_DATE(A.START_DAY,'Y-m-d') AS START_DAY,
                IF(A.START_DAY IS NULL,DATE_FORMAT(NOW()+0,'%Y%m%d'),A.START_DAY)AS START_DAY_TMP,
                A.END_DAY AS END_DAY_TMP,
                FN_CONV_DATE(A.END_DAY,'Y-m-d') AS END_DAY,
                FN_GET_CODE('RESERVE_STAT',IF(A.RESERVE_STAT IS NULL,'0',A.RESERVE_STAT)) AS RESERVE_TXT,
                IF(A.RESERVE_STAT IS NULL,0,A.RESERVE_STAT)  AS RESERVE_STAT,
                (SELECT IF(INOUT_STATUS = 'I','IN','OUT') FROM WG_STATUS WHERE USER_ID = A.USER_ID) AS INOUT_STATUS,
                CONCAT(SUBSTRING(A.START_TM,1,2),':',SUBSTRING(A.START_TM,3,2)) AS START_TM,
                CONCAT(SUBSTRING(A.END_TM,1,2),':',SUBSTRING(A.END_TM,3,2)) AS END_TM,
                REM
        FROM   W_FREESEAT_RESERVE A,W_ROOM_MST B
        WHERE  A.RESERVE_STAT IN ('4','5','7') 
        AND    A.RESERVE_STAT = IF('$srcReserveStat' = '',RESERVE_STAT,'$srcReserveStat')
        AND    (START_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm'  
        OR     END_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm'
        OR     '$srcStartTerm' BETWEEN START_DAY AND END_DAY
        OR     '$srcEndTerm' BETWEEN START_DAY AND END_DAY)
        AND     A.ROOM_NO = B.ROOM_NO
        AND    A.ROOM_NO = IF('$srcRoomNo' = '',A.ROOM_NO,'$srcRoomNo')
        AND   USER_NM LIKE '%$srcUserNm%'       
        AND   USER_ID LIKE '%$srcUserId%'       
        ORDER BY A.START_DAY DESC,A.START_TM DESC


";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		echo "<TR>";
                echo "<TD align='center'>".$row['ROOM_NM']."</TD>";
                echo "<TD align='center'>".$row['RESERVE_TXT']."</TD>";
                echo "<TD align='center'>".$row['USER_ID']."</TD>";
                echo "<TD align='center'>".$row['USER_NM']."</TD>";
                echo "<TD align='center'>".$row['START_DAY']."</TD>";
                echo "<TD align='center'>".$row['END_DAY']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['START_TM']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['END_TM']."</TD>";
                echo "<TD align='center'>".$row['INOUT_STATUS']."</TD>";
		echo "</TR>";
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo "</TABLE>";

?>
