<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(isset($reqRoomNo))
{
		
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
if($reqRequestFrom == 'manageFreeSeatSeat.php')
{
$sql =" 
	SELECT 	
		A.RESERVE_NO,
		A.ROOM_NO,
		B.ROOM_NM,
        	0 As SEAT_NO,
        	IF(A.USER_ID IS NULL,'',A.USER_ID) AS USER_ID,
        	IF(A.USER_NM IS NULL,'',A.USER_NM) AS USER_NM,
		FN_CONV_DATE(A.START_DAY,'Y-m-d') AS START_DAY,
		IF(A.START_DAY IS NULL,DATE_FORMAT(NOW()+0,'%Y%m%d'),A.START_DAY)AS START_DAY_TMP,
		A.END_DAY AS END_DAY_TMP,
		FN_CONV_DATE(A.END_DAY,'Y-m-d') AS END_DAY,
        	FN_GET_CODE('RESERVE_STAT',IF(A.RESERVE_STAT IS NULL,'0',A.RESERVE_STAT)) AS RESERVE_TXT,
        	IF(A.RESERVE_STAT IS NULL,0,A.RESERVE_STAT)  AS RESERVE_STAT,
		(SELECT IF(INOUT_STATUS = 'I','IN','OUT') FROM WG_STATUS WHERE USER_ID = A.USER_ID) AS INOUT_STATUS,
		CONCAT(SUBSTRING(A.START_TM,1,2),':',SUBSTRING(A.START_TM,3,2)) AS START_TM,
		CONCAT(SUBSTRING(A.END_TM,1,2),':',SUBSTRING(A.END_TM,3,2)) AS END_TM,
		REM
	FROM   W_FREESEAT_RESERVE A,W_ROOM_MST B
	WHERE  A.RESERVE_STAT IN ('1','4','5','7') 
        AND    A.RESERVE_STAT = IF('$reqReserveStat' = '',RESERVE_STAT,'$reqReserveStat')
	AND    (START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'  
        OR     END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'
	OR     '$reqStartTerm' BETWEEN START_DAY AND END_DAY
	OR     '$reqEndTerm' BETWEEN START_DAY AND END_DAY)
	AND     A.ROOM_NO = B.ROOM_NO
        AND    A.ROOM_NO = IF('$reqRoomNo' = '',A.ROOM_NO,'$reqRoomNo')
	AND   USER_NM LIKE '%$reqUserNm%'	
	AND   USER_ID LIKE '%$reqUserId%'	
	ORDER BY A.START_DAY DESC,A.START_TM DESC
	";
}
else
{
$sql =" 
	SELECT 	
		A.RESERVE_NO,
		A.ROOM_NO,
		B.ROOM_NM,
        	0 As SEAT_NO,
        	IF(A.USER_ID IS NULL,'',A.USER_ID) AS USER_ID,
        	IF(A.USER_NM IS NULL,'',A.USER_NM) AS USER_NM,
		FN_CONV_DATE(A.START_DAY,'Y-m-d') AS START_DAY,
		IF(A.START_DAY IS NULL,DATE_FORMAT(NOW()+0,'%Y%m%d'),A.START_DAY)AS START_DAY_TMP,
		A.END_DAY AS END_DAY_TMP,
		FN_CONV_DATE(A.END_DAY,'Y-m-d') AS END_DAY,
        	FN_GET_CODE('RESERVE_STAT',IF(A.RESERVE_STAT IS NULL,'0',A.RESERVE_STAT)) AS RESERVE_TXT,
        	IF(A.RESERVE_STAT IS NULL,0,A.RESERVE_STAT)  AS RESERVE_STAT,
		(SELECT IF(INOUT_STATUS = 'I','IN','OUT') FROM WG_STATUS WHERE USER_ID = A.USER_ID) AS INOUT_STATUS,
		CONCAT(SUBSTRING(A.START_TM,1,2),':',SUBSTRING(A.START_TM,3,2)) AS START_TM,
		CONCAT(SUBSTRING(A.END_TM,1,2),':',SUBSTRING(A.END_TM,3,2)) AS END_TM,
		REM
	FROM   W_FREESEAT_RESERVE A,W_ROOM_MST B
	WHERE  A.RESERVE_STAT IN ('4','5','7') 
        AND    A.RESERVE_STAT = IF('$reqReserveStat' = '',RESERVE_STAT,'$reqReserveStat')
	AND    (START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'  
        OR     END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'
	OR     '$reqStartTerm' BETWEEN START_DAY AND END_DAY
	OR     '$reqEndTerm' BETWEEN START_DAY AND END_DAY)
	AND     A.ROOM_NO = B.ROOM_NO
        AND    A.ROOM_NO = IF('$reqRoomNo' = '',A.ROOM_NO,'$reqRoomNo')
	AND   USER_NM LIKE '%$reqUserNm%'	
	AND   USER_ID LIKE '%$reqUserId%'	
	ORDER BY A.START_DAY DESC,A.START_TM DESC
";
}
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('START_DAY',$row['START_DAY']));
		$tagReserve->appendChild($domtree->createElement('END_DAY',$row['END_DAY']));
		$tagReserve->appendChild($domtree->createElement('START_TM',$row['START_TM']));
		$tagReserve->appendChild($domtree->createElement('END_TM',$row['END_TM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_TXT',$row['RESERVE_TXT']));
		$tagReserve->appendChild($domtree->createElement('INOUT_STATUS',$row['INOUT_STATUS']));
		$tagReserve->appendChild($domtree->createElement('REM',$row['REM']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
