<?php

header( "Content-type: application/vnd.ms-excel" );   
header( "Content-type: application/vnd.ms-excel; charset=utf-8");  
header( "Content-Disposition: attachment; filename = 게이트 모니터링.xls" );   
header( "Content-Description: PHP4 Generated Data" );   


/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
$srcStartTerm = str_replace("-","",$srcStartTerm);
$srcEndTerm = str_replace("-","",$srcEndTerm);

//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$arrReserveStat=['','예약취소','','','사용완료','예약','','사용중'];

echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td>이용일자</td>
   <td colspan='3'>$srcStartTerm ~ $srcEndTerm</td>
   </tr>
<tr>
   <td>이용자명</td>
   <td>$srcUserNm</td>
   <td>이용자ID</td>
   <td>$srcUserId</td>
   </tr>
</table>  
<br><br><br>
<table border='1'>  
<tr>  
   <td>이용자 아이디</td>  
   <td>이용자명</td>  
   <td>상태</td>  
   <td>출입구명</td>  
   <td>입실일자</td>  
   <td>최종입실시간</td>  
   <td>최종퇴실일자</td>  
   <td>최종퇴실시간</td>  
   <td>좌석이용상태</td>  
   <td>팀룸이용상태</td>  
   <td>고정석이용상태</td>  
</tr>";


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT *
        FROM
        (
        SELECT  A.USER_ID,
                C.userName AS USER_NM,
                IF(INOUT_STATUS='I','IN','OUT') AS INOUT_STATUS,
                DATE_FORMAT(CONCAT(A.ENTRY_DATE,'000000'),'%Y-%m-%d') AS ENTRY_DATE,
                DATE_FORMAT(CONCAT(A.ENTRY_DATE,A.ENTRY_TIME),'%H:%i:%s') AS ENTRY_TIME,
                IF(A.EXIT_TIME > A.ENTRY_TIME,DATE_FORMAT(CONCAT(A.EXIT_DATE,'000000'),'%Y-%m-%d'),'') AS EXIT_DATE,
                IF(A.EXIT_TIME > A.ENTRY_TIME,DATE_FORMAT(CONCAT(A.EXIT_DATE,A.EXIT_TIME),'%H:%i:%s'),'') AS EXIT_TIME,
                IF(INOUT_STATUS='I',B.ENTRY_NAME,B.EXIT_NAME) AS ENTRY_NAME,
                (SELECT CONCAT(Y.ROOM_NM,' ',X.SEAT_NO,'번 좌석 ',FN_GET_CODE('RESERVE_STAT',RESERVE_STAT)) FROM W_SEAT_RESERVE X,W_ROOM_MST Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.USER_ID = A.USER_ID AND X.RESERVE_STAT IN ('5','7') AND X.ROOM_NO  = Y.ROOM_NO LIMIT 1) AS RESERVE_STAT,
                (SELECT FN_GET_CODE('RESERVE_STAT',RESERVE_STAT) FROM W_SROOM_RESERVE X,W_SROOM_RESERVE_SUB Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.RESERVE_NO = Y.RESERVE_NO AND Y.USER_ID = A.USER_ID AND X.RESERVE_STAT in ('5','7') LIMIT 1) AS TEAM_ROOM_STAT,
                (SELECT IF(RESERVE_STAT = '5',CONCAT(SEAT_NO,'번 좌석 ','사용중'),'') FROM W_MEMBERSHIP_RESERVE WHERE USER_ID = A.USER_ID AND RESERVE_STAT = '5' AND '$srcStartTerm' BETWEEN START_DAY AND END_DAY LIMIT 1) AS MEMBERSHIP_STAT
        FROM   WG_STATUS A,realtime.WG_NAME B,RT_USER C
        WHERE   A.ENTRY_DATE BETWEEN '$srcStartTerm' AND '$srcEndTerm'
        AND     A.INOUT_STATUS = IF('$srcStatus' = '',A.INOUT_STATUS,'$srcStatus')
        AND     A.USER_ID = IF('$srcMember'='D','',A.USER_ID)
        AND     A.USER_ID LIKE '%$srcUserId%'
        AND     A.PC_NO = B.PC_NO
        AND     A.GATE_NO = B.GATE_NO
        AND     A.USER_ID = C.userId
        AND     C.userName LIKE IF('$srcUserNm'='',C.userName,'%$srcUserNm%')
        UNION ALL
        SELECT  A.USER_ID,
                '일자유석' AS USER_NM,
                IF(INOUT_STATUS='I','IN','OUT') AS INOUT_STATUS,
                DATE_FORMAT(CONCAT(A.ENTRY_DATE,'000000'),'%Y-%m-%d') AS ENTRY_DATE,
                DATE_FORMAT(CONCAT(A.ENTRY_DATE,A.ENTRY_TIME),'%H:%i:%s') AS ENTRY_TIME,
                IF(A.EXIT_TIME > A.ENTRY_TIME,DATE_FORMAT(CONCAT(A.EXIT_DATE,'000000'),'%Y-%m-%d'),'') AS EXIT_DATE,
                IF(A.EXIT_TIME > A.ENTRY_TIME,DATE_FORMAT(CONCAT(A.EXIT_DATE,A.EXIT_TIME),'%H:%i:%s'),'') AS EXIT_TIME,
                IF(INOUT_STATUS='I',B.ENTRY_NAME,B.EXIT_NAME) AS ENTRY_NAME,
                '' AS RESERVE_STAT,
                '' AS TEAM_ROOM_STAT,
                '' AS MEMBERSHIP_STAT
        FROM   WG_STATUS A,realtime.WG_NAME B,(SELECT CARD_NO FROM W_CARD GROUP BY CARD_NO) C
        WHERE   A.ENTRY_DATE BETWEEN '$srcStartTerm' AND '$srcEndTerm'
        AND     A.INOUT_STATUS = IF('$srcStatus' = '',A.INOUT_STATUS,'$srcStatus')
        AND     A.USER_ID = IF('$srcMember'='M','',A.USER_ID)
        AND     A.USER_ID LIKE '%$srcUserId%'
        AND     A.PC_NO = B.PC_NO
        AND     A.GATE_NO = B.GATE_NO
        AND     A.USER_ID = C.CARD_NO
        AND     A.USER_ID LIKE IF('$srcUserNm'='',A.USER_ID,'%$srcUserNm%')
        ) Z
        ORDER BY ENTRY_DATE DESC,ENTRY_TIME DESC

";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		echo "<TR>";
                echo "<TD align='center'>".$row['USER_ID']."</TD>";
                echo "<TD align='center'>".$row['USER_NM']."</TD>";
                echo "<TD align='center'>".$row['INOUT_STATUS']."</TD>";
                echo "<TD align='center'>".$row['ENTRY_NAME']."</TD>";
                echo "<TD align='center'>".$row['ENTRY_DATE']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['ENTRY_TIME']."</TD>";
                echo "<TD align='center'>".$row['EXIT_DATE']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['EXIT_TIME']."</TD>";
                echo "<TD align='center'>".$row['RESERVE_STAT']."</TD>";
                echo "<TD align='center'>".$row['TEAM_ROOM_STAT']."</TD>";
                echo "<TD align='center'>".$row['MEMBERSHIP_STAT']."</TD>";
		echo "</TR>";
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo "</TABLE>";

?>
