<?php

header( "Content-type: application/vnd.ms-excel" );   
header( "Content-type: application/vnd.ms-excel; charset=utf-8");  
header( "Content-Disposition: attachment; filename = 고정석예약현황.xls" );   
header( "Content-Description: PHP4 Generated Data" );   


/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
$srcStartTerm = str_replace("-","",$srcStartTerm);
$srcEndTerm = str_replace("-","",$srcEndTerm);

//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$arrReserveStat=['','예약취소','','','사용완료','예약','','사용중'];
if($srcReserveStat == '')
{
        $srcReserveStatIndex = 0;
}
else
{
        $srcReserveStatIndex = $srcReserveStat;
}

echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td width='80'>열람실</td>
   <td width='80'>$srcRoomNo</td>
   <td width='80'>좌석번호</td>
   <td width='80'>$srcSeatNo</td>
</tr>
<tr>
   <td width='80'>상태</td>
   <td colspan='3'>$arrReserveStat[$srcReserveStatIndex]</td>
</tr>
<tr>
   <td>이용일자</td>
   <td colspan='3'>$srcStartTerm ~ $srcEndTerm</td>
   </tr>
<tr>
   <td>이용자명</td>
   <td>$srcUserNm</td>
   <td>이용자ID</td>
   <td>$srcUserId</td>
   </tr>
</table>  
<br><br><br>
<table border='1'>  
<tr>  
   <td>열람실명</td>  
   <td>좌석번호</td>  
   <td>상태</td>  
   <td>이용자 아이디</td>  
   <td>이용자명</td>  
   <td>시작일자</td>  
   <td>종료일자</td>  
   <td>시작시간</td>  
   <td>종료시간</td>  
</tr>";


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT *
        FROM
        (
        SELECT  ROW_NO,
                B.RESERVE_NO,
                A.ROOM_NO,
                A.ROOM_NM,
                A.SEAT_NO,
                IF(B.USER_ID IS NULL,'',B.USER_ID) AS USER_ID,
                IF(B.USER_NM IS NULL,'',B.USER_NM) AS USER_NM,
                FN_CONV_DATE(B.START_DAY,'Y-m-d') AS START_DAY,
                IF(B.START_DAY IS NULL,DATE_FORMAT(NOW()+0,'%Y%m%d'),B.START_DAY)AS START_DAY_TMP,
                B.END_DAY AS END_DAY_TMP,
                FN_CONV_DATE(B.END_DAY,'Y-m-d') AS END_DAY,
                IF(B.RESERVE_STAT IS NOT NULL,FN_GET_CODE('RESERVE_STAT',B.RESERVE_STAT),'공석') AS RESERVE_TXT,
                IF(B.RESERVE_STAT IS NULL,0,B.RESERVE_STAT)  AS RESERVE_STAT,
                (SELECT IF(INOUT_STATUS = 'I','IN','OUT') FROM WG_STATUS WHERE USER_ID = B.USER_ID) AS INOUT_STATUS,
                CONCAT(SUBSTRING(B.START_TM,1,2),':',SUBSTRING(B.START_TM,3,2)) AS START_TM,
                CONCAT(SUBSTRING(B.END_TM,1,2),':',SUBSTRING(B.END_TM,3,2)) AS END_TM
        FROM
        (
                SELECT  CONCAT(B.ROOM_NO,A.SEAT_NO,B.ROOM_NM) AS ROW_NO,
                        A.ROOM_NO,
                        B.ROOM_NM,
                        A.SEAT_NO
                FROM   W_ROOM_SEAT A,W_ROOM_MST B
                WHERE  A.ROOM_NO = B.ROOM_NO
                AND   B.ROOM_NO = IF('$srcRoomNo' = '',B.ROOM_NO,'$srcRoomNo')
                AND    A.SEAT_NO = IF('$srcSeatNo' = '',A.SEAT_NO,'$srcSeatNo')
        
        ) A, (SELECT * FROM W_MEMBERSHIP_RESERVE WHERE RESERVE_STAT IN ('1','4','5','7') AND   ((START_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm') OR   (END_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm') OR ('$srcStartTerm' BETWEEN START_DAY AND END_DAY) OR ('$srcEndTerm' BETWEEN START_DAY AND END_DAY))) B
        WHERE     A.ROOM_NO = B.ROOM_NO
        AND    A.SEAT_NO = B.SEAT_NO
        AND   USER_NM LIKE '%$srcUserNm%'       
        AND   USER_ID LIKE '%$srcUserId%'       
        ORDER BY A.ROOM_NO,A.SEAT_NO
        ) Z
        WHERE   RESERVE_STAT = IF('$srcReserveStat' = '',RESERVE_STAT,'$srcReserveStat')

";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		echo "<TR>";
                echo "<TD align='center'>".$row['ROOM_NM']."</TD>";
                echo "<TD>".$row['SEAT_NO']."</TD>";
                echo "<TD align='center'>".$row['RESERVE_TXT']."</TD>";
                echo "<TD align='center'>".$row['USER_ID']."</TD>";
                echo "<TD align='center'>".$row['USER_NM']."</TD>";
                echo "<TD align='center'>".$row['START_DAY']."</TD>";
                echo "<TD align='center'>".$row['END_DAY']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['START_TM']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['END_TM']."</TD>";
		echo "</TR>";
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo "</TABLE>";

?>
