<?php
header( "Content-type: application/vnd.ms-excel" );
header( "Content-type: application/vnd.ms-excel; charset=utf-8");
header( "Content-Disposition: attachment; filename = 월간이용권-예약변경취소.xls" );
header( "Content-Description: PHP4 Generated Data" );
/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
$srcStartTerm = str_replace("-","",$srcStartTerm);
$srcEndTerm = str_replace("-","",$srcEndTerm);

//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$arrReserveStat=['','발권취소','','','사용완료','발권예약','관리자 취소','이용중'];
if($srcReserveStat == '')
{       
        $srcReserveStatIndex = 0;
}
else
{
        $srcReserveStatIndex = $srcReserveStat;
}

echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td width='80'>열람실</td>
   <td width='80'>$srcRoomNo</td>
   <td width='80'>좌석번호</td>
   <td width='80'>$srcSeatNo</td>
</tr>
<tr>
   <td width='80'>상태</td>
   <td colspan='3'>$arrReserveStat[$srcReserveStatIndex]</td>
</tr>
<tr>
   <td>이용일자</td>
   <td colspan='3'>$srcStartTerm ~ $srcEndTerm</td>
   </tr>
<tr>
   <td>이용자명</td>
   <td>$srcUserNm</td>
   <td>이용자ID</td>
   <td>$srcUserId</td>
   </tr>
</table>  
<br><br><br>
<table border='1'>  
<tr>  
   <td>결제일자</td>  
   <td>상품대분류명</td>  
   <td>상품명</td>  
   <td>이용자 아이디</td>  
   <td>이용자명</td>  
   <td>연락처</td>  
   <td>열람실명</td>  
   <td>열람실</td>  
   <td>좌석번호</td>  
   <td>시작일자</td>  
   <td>종료일자</td>  
   <td>발권상태</td>  
   <td>결제상태</td>  
   <td>취소일자</td>  
   <td>결제번호</td>  
</tr>";



/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/

$sql = "
SELECT *
FROM
(
	SELECT  '' AS RESERVE_NO,
		B.regdate AS PAY_DT,
		'M' AS SEAT_GB_CD,
		'지정석' AS SEAT_GB_NM,
		B.prName AS PRODUCT_NM,
        	B.idx AS PAYMENT_NO,
        	B.prIdxSrc AS PRODUCT_CD,
        	B.isCancel AS CANCEL_YN,
        	B.cancelDate AS CANCEL_DT,
        	IF(B.isCancel='N','결제','취소') AS PAY_STAT,
        	B.userId AS USER_ID,
        	(SELECT userName FROM RT_USER WHERE userId = B.userId) AS USER_NM,
        	(SELECT userPhone FROM RT_USER WHERE userId = B.userId) AS USER_PHONE,
                '' AS ROOM_NO,
		'' AS ROOM_NM,
                '' AS SEAT_NO,
        	'' AS START_DAY_TXT,
        	'' AS START_DAY,
        	'' AS END_DAY_TXT,
        	'' AS END_DAY,
		'' AS PERIOD,
                '999' AS RESERVE_STAT,
        	'발권대기' AS RESERVE_STAT_NM,
		B.cancelDate
	FROM    (SELECT * FROM RT_PAYMENT 
		WHERE isCancel='N'
        	AND     isdel='N'
        	AND     prIdxSrc = IF('$srcProductCd' = '',prIdxSrc,'$srcProductCd')
        	AND     prIdxSrc IN (SELECT CODE FROM W_CODE_MST WHERE CODE_GB IN( 'PRODUCT','PRODUCT_OLD') AND CODE_VAL = 'M')
        	AND     NOT EXISTS (SELECT 1 FROM W_MEMBERSHIP_RESERVE WHERE RESERVE_STAT IN ('1','4','5','6','7') AND APL_NOSHOW_TM = idx) ) B 
	UNION ALL
	SELECT  A.RESERVE_NO,
                B.regdate AS PAY_DT,
                'M' AS SEAT_GB_CD,
                '지정석' AS SEAT_GB_NM,
                B.prName AS PRODUCT_NM,
                B.idx AS PAYMENT_NO,
                B.prIdxSrc AS PRODUCT_CD,
                B.isCancel AS CANCEL_YN,
                B.cancelDate AS CANCEL_DT,
                IF(B.isCancel='N','결제','취소') AS PAY_STAT,
                B.userId AS USER_ID,
                (SELECT userName FROM RT_USER WHERE userId = B.userId) AS USER_NM,
        	(SELECT userPhone FROM RT_USER WHERE userId = B.userId) AS USER_PHONE,
                IF(A.ROOM_NO IS NULL,'',A.ROOM_NO) AS ROOM_NO,
                (SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = A.ROOM_NO) AS ROOM_NM,
                IF(A.SEAT_NO IS NULL,'',A.SEAT_NO) AS SEAT_NO,
                FN_CONV_DATE(START_DAY,'Y-m-d') AS START_DAY_TXT,
                START_DAY AS START_DAY,
                FN_CONV_DATE(END_DAY,'Y-m-d') AS END_DAY_TXT,
                END_DAY AS END_DAY,
                APL_CANCEL_TM AS PERIOD,
                IF(A.RESERVE_STAT IS NULL,'999',A.RESERVE_STAT) AS RESERVE_STAT,
                IF(RESERVE_STAT IS NULL,'발권대기',IF(RESERVE_STAT = '5','이용중',FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT))) AS RESERVE_STAT_NM,
		B.cancelDate
        FROM    (SELECT * FROM RT_PAYMENT WHERE isdel='N'
        	AND     prIdxSrc = IF('$srcProductCd' = '',prIdxSrc,'$srcProductCd')
        	AND     prIdxSrc IN (SELECT CODE FROM W_CODE_MST WHERE CODE_GB IN ( 'PRODUCT','PRODUCT_OLD') AND CODE_VAL = 'M')
		) B, (
                                                SELECT * 
                                                FROM W_MEMBERSHIP_RESERVE A
                                                WHERE RESERVE_STAT IN ('1','4','5','6','7')
                                                AND (START_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' 
                                                    OR END_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' 
                                                    OR '$srcStartTerm' BETWEEN START_DAY AND END_DAY
                                                    OR '$srcEndTerm' BETWEEN START_DAY AND END_DAY ) 
                                     ) A
        WHERE      B.idx = A.APL_NOSHOW_TM
	UNION ALL
	SELECT  '' AS RESERVE_NO,
		B.regdate AS PAY_DT,
		'F' AS SEAT_GB_CD,
		'자유석' AS SEAT_GB_NM,
		B.prName AS PRODUCT_NM,
        	B.idx AS PAYMENT_NO,
        	B.prIdxSrc AS PRODUCT_CD,
        	B.isCancel AS CANCEL_YN,
        	B.cancelDate AS CANCEL_DT,
        	IF(B.isCancel='N','결제','취소') AS PAY_STAT,
        	B.userId AS USER_ID,
        	(SELECT userName FROM RT_USER WHERE userId = B.userId) AS USER_NM,
        	(SELECT userPhone FROM RT_USER WHERE userId = B.userId) AS USER_PHONE,
                '' AS ROOM_NO,
		'' AS ROOM_NM,
                '' AS SEAT_NO,
        	'' AS START_DAY_TXT,
        	'' AS START_DAY,
        	'' AS END_DAY_TXT,
        	'' AS END_DAY,
		'' AS PERIOD,
                '999' AS RESERVE_STAT,
        	'발권대기' AS RESERVE_STAT_NM,
		B.cancelDate
	FROM    (SELECT * FROM RT_PAYMENT WHERE isCancel='N'
        AND     isdel='N'
        AND     prIdxSrc = IF('$srcProductCd' = '',prIdxSrc,'$srcProductCd')
        AND     prIdxSrc IN (SELECT CODE FROM W_CODE_MST WHERE CODE_GB IN ( 'PRODUCT','PRODUCT_OLD') AND CODE_VAL = 'F')
        AND     NOT EXISTS (SELECT 1 FROM W_FREESEAT_RESERVE WHERE RESERVE_STAT IN ('1','4','5','6','7') AND APL_NOSHOW_TM = idx) 
	) B
	UNION ALL
	SELECT  A.RESERVE_NO,
                B.regdate AS PAY_DT,
                'F' AS SEAT_GB_CD,
                '자유석' AS SEAT_GB_NM,
                B.prName AS PRODUCT_NM,
                B.idx AS PAYMENT_NO,
                B.prIdxSrc AS PRODUCT_CD,
                B.isCancel AS CANCEL_YN,
                B.cancelDate AS CANCEL_DT,
                IF(B.isCancel='N','결제','취소') AS PAY_STAT,
                B.userId AS USER_ID,
                (SELECT userName FROM RT_USER WHERE userId = B.userId) AS USER_NM,
        	(SELECT userPhone FROM RT_USER WHERE userId = B.userId) AS USER_PHONE,
                '' AS ROOM_NO,
                '' AS ROOM_NM,
                '' AS SEAT_NO,
                FN_CONV_DATE(START_DAY,'Y-m-d') AS START_DAY_TXT,
                START_DAY AS START_DAY,
                FN_CONV_DATE(END_DAY,'Y-m-d') AS END_DAY_TXT,
                END_DAY AS END_DAY,
                APL_CANCEL_TM AS PERIOD,
                IF(A.RESERVE_STAT IS NULL,'999',A.RESERVE_STAT) AS RESERVE_STAT,
                IF(RESERVE_STAT IS NULL,'발권대기',IF(RESERVE_STAT = '5','이용중',FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT))) AS RESERVE_STAT_NM,
		B.cancelDate
        FROM    (SELECT * FROM RT_PAYMENT WHERE  isdel='N'
        AND     prIdxSrc = IF('$srcProductCd' = '',prIdxSrc,'$srcProductCd')
        AND     prIdxSrc IN (SELECT CODE FROM W_CODE_MST WHERE CODE_GB IN ( 'PRODUCT','PRODUCT_OLD') AND CODE_VAL = 'F')
        ) B, (
                                                SELECT * 
                                                FROM W_FREESEAT_RESERVE A
                                                WHERE RESERVE_STAT IN ('1','4','5','6','7')
                                                AND (START_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' 
                                                    OR END_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' 
                                                    OR '$srcStartTerm' BETWEEN START_DAY AND END_DAY
                                                    OR '$srcEndTerm' BETWEEN START_DAY AND END_DAY ) 
                                     ) A
        WHERE      B.idx = A.APL_NOSHOW_TM
) Z
	WHERE     Z.ROOM_NO = IF('$srcRoomNo'='',Z.ROOM_NO,'$srcRoomNo')
	AND     Z.SEAT_NO = IF('$srcSeatNo'='',Z.SEAT_NO,'$srcSeatNo')
	AND     Z.USER_ID LIKE '%$srcUserId%'
	AND     Z.USER_NM LIKE '%$srcUserNm%'
	AND     Z.RESERVE_STAT = IF('$srcReserveStat'='',Z.RESERVE_STAT,'$srcReserveStat')
	AND     Z.SEAT_GB_CD = IF('$srcProductGb'='',Z.SEAT_GB_CD,'$srcProductGb')
	AND     Z.CANCEL_YN = IF('$srcPayStat'='',Z.CANCEL_YN,'$srcPayStat')
	ORDER BY PAY_DT DESC
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{
                echo "<TR>";
                echo "<TD align='center'>".$row['PAY_DT']."</TD>";
                echo "<TD align='center'>".$row['SEAT_GB_NM']."</TD>";
                echo "<TD align='center'>".$row['PRODUCT_NM']."</TD>";
                echo "<TD align='center'>".$row['USER_ID']."</TD>";
                echo "<TD align='center'>".$row['USER_NM']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['USER_PHONE']."</TD>";
                echo "<TD align='center'>".$row['ROOM_NM']."</TD>";
                echo "<TD align='center'>".$row['ROOM_NO']."</TD>";
                echo "<TD align='center'>".$row['SEAT_NO']."</TD>";
                echo "<TD align='center'>".$row['START_DAY_TXT']."</TD>";
                echo "<TD align='center'>".$row['END_DAY_TXT']."</TD>";
                echo "<TD align='center'>".$row['RESERVE_STAT_NM']."</TD>";
                echo "<TD align='center'>".$row['PAY_STAT']."</TD>";
                echo "<TD align='center'>".$row['CANCEL_DT']."</TD>";
                echo "<TD align='center'>".$row['PAYMENT_NO']."</TD>";
                echo "</TR>";
        //      $resultCd = '00';
        //      $resultMsg = '정상';


	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo "</TABLE>";
?>
