<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/

$sql = "
SELECT *
FROM
(
	SELECT  A.RESERVE_NO,
		B.regdate AS PAY_DT,
		'M' AS SEAT_GB_CD,
		'지정석' AS SEAT_GB_NM,
		B.prName AS PRODUCT_NM,
        	B.idx AS PAYMENT_NO,
        	B.prIdxSrc AS PRODUCT_CD,
        	B.isCancel AS CANCEL_YN,
        	B.cancelDate AS CANCEL_DT,
        	IF(B.isCancel='N','결제','취소') AS PAY_STAT,
        	B.userId AS USER_ID,
        	(SELECT userName FROM RT_USER WHERE userId = B.userId) AS USER_NM,
                IF(A.ROOM_NO IS NULL,'',A.ROOM_NO) AS ROOM_NO,
		(SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = A.ROOM_NO) AS ROOM_NM,
                IF(A.SEAT_NO IS NULL,'',A.SEAT_NO) AS SEAT_NO,
        	FN_CONV_DATE(START_DAY,'Y-m-d') AS START_DAY_TXT,
        	START_DAY AS START_DAY,
        	FN_CONV_DATE(END_DAY,'Y-m-d') AS END_DAY_TXT,
        	END_DAY AS END_DAY,
		APL_CANCEL_TM AS PERIOD,
                IF(A.RESERVE_STAT IS NULL,'999',A.RESERVE_STAT) AS RESERVE_STAT,
        	IF(RESERVE_STAT IS NULL,'발권대기',IF(RESERVE_STAT = '5','이용중',FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT))) AS RESERVE_STAT_NM,
		B.cancelDate
	FROM    (SELECT * FROM RT_PAYMENT 
		WHERE isCancel='N'
        	AND     isdel='N'
        	AND     prIdxSrc = IF('$reqProductCd' = '',prIdxSrc,'$reqProductCd')
        	AND     prIdxSrc IN (SELECT CODE FROM W_CODE_MST WHERE CODE_GB = 'PRODUCT' AND CODE_VAL = 'M')
        	AND     NOT EXISTS (SELECT 1 FROM W_MEMBERSHIP_RESERVE WHERE RESERVE_STAT IN ('5','7') AND APL_NOSHOW_TM = idx) AND regDate  > '2018-06-26 00:00:00') B LEFT OUTER JOIN (
						SELECT * 
						FROM W_MEMBERSHIP_RESERVE A
                                        	WHERE RESERVE_STAT IN ('5','7')
						AND (START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
						    OR END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
                                                    OR '$reqStartTerm' BETWEEN START_DAY AND END_DAY
						    OR '$reqEndTerm' BETWEEN START_DAY AND END_DAY ) 
                                     ) A
	ON      B.idx = A.APL_NOSHOW_TM
	UNION ALL
	SELECT  A.RESERVE_NO,
                B.regdate AS PAY_DT,
                'M' AS SEAT_GB_CD,
                '지정석' AS SEAT_GB_NM,
                B.prName AS PRODUCT_NM,
                B.idx AS PAYMENT_NO,
                B.prIdxSrc AS PRODUCT_CD,
                B.isCancel AS CANCEL_YN,
                B.cancelDate AS CANCEL_DT,
                IF(B.isCancel='N','결제','취소') AS PAY_STAT,
                B.userId AS USER_ID,
                (SELECT userName FROM RT_USER WHERE userId = B.userId) AS USER_NM,
                IF(A.ROOM_NO IS NULL,'',A.ROOM_NO) AS ROOM_NO,
                (SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = A.ROOM_NO) AS ROOM_NM,
                IF(A.SEAT_NO IS NULL,'',A.SEAT_NO) AS SEAT_NO,
                FN_CONV_DATE(START_DAY,'Y-m-d') AS START_DAY_TXT,
                START_DAY AS START_DAY,
                FN_CONV_DATE(END_DAY,'Y-m-d') AS END_DAY_TXT,
                END_DAY AS END_DAY,
                APL_CANCEL_TM AS PERIOD,
                IF(A.RESERVE_STAT IS NULL,'999',A.RESERVE_STAT) AS RESERVE_STAT,
                IF(RESERVE_STAT IS NULL,'발권대기',IF(RESERVE_STAT = '5','이용중',FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT))) AS RESERVE_STAT_NM,
		B.cancelDate
        FROM    (SELECT * FROM RT_PAYMENT WHERE isCancel='N'
        AND     isdel='N'
        AND     prIdxSrc = IF('$reqProductCd' = '',prIdxSrc,'$reqProductCd')
        AND     prIdxSrc IN (SELECT CODE FROM W_CODE_MST WHERE CODE_GB = 'PRODUCT' AND CODE_VAL = 'M')
AND regDate  > '2018-06-26 00:00:00') B, (
                                                SELECT * 
                                                FROM W_MEMBERSHIP_RESERVE A
                                                WHERE RESERVE_STAT IN ('1','5','7')
                                                AND (START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
                                                    OR END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
                                                    OR '$reqStartTerm' BETWEEN START_DAY AND END_DAY
                                                    OR '$reqEndTerm' BETWEEN START_DAY AND END_DAY ) 
                                     ) A
        WHERE      B.idx = A.APL_NOSHOW_TM
) Z
	WHERE     Z.ROOM_NO = IF('$reqRoomNo'='',Z.ROOM_NO,'$reqRoomNo')
	AND     Z.SEAT_NO = IF('$reqSeatNo'='',Z.SEAT_NO,'$reqSeatNo')
	AND     Z.USER_ID LIKE '%$reqUserId%'
	AND     Z.USER_NM LIKE '%$reqUserNm%'
	AND     Z.RESERVE_STAT = IF('$reqReserveStat'='',Z.RESERVE_STAT,'$reqReserveStat')
	AND     Z.SEAT_GB_CD = IF('$reqProductGb'='',Z.SEAT_GB_CD,'$reqProductGb')
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('PAY_DT',$row['PAY_DT']));
		$tagReserve->appendChild($domtree->createElement('SEAT_GB_CD',$row['SEAT_GB_CD']));
		$tagReserve->appendChild($domtree->createElement('SEAT_GB_NM',$row['SEAT_GB_NM']));
		$tagReserve->appendChild($domtree->createElement('PRODUCT_NM',$row['PRODUCT_NM']));
		$tagReserve->appendChild($domtree->createElement('PRODUCT_CD',$row['PRODUCT_CD']));
		$tagReserve->appendChild($domtree->createElement('PAYMENT_NO',$row['PAYMENT_NO']));
		$tagReserve->appendChild($domtree->createElement('CANCEL_YN',$row['CANCEL_YN']));
		$tagReserve->appendChild($domtree->createElement('CANCEL_DT',$row['CANCEL_DT']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('START_DAY',$row['START_DAY']));
		$tagReserve->appendChild($domtree->createElement('START_DAY_TXT',$row['START_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('END_DAY',$row['END_DAY']));
		$tagReserve->appendChild($domtree->createElement('END_DAY_TXT',$row['END_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT_NM',$row['RESERVE_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('PERIOD',$row['PERIOD']));
		$tagReserve->appendChild($domtree->createElement('CANCEL_DT',$row['cancelDate']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
