<?php

header( "Content-type: application/vnd.ms-excel" );
header( "Content-type: application/vnd.ms-excel; charset=utf-8");
header( "Content-Disposition: attachment; filename = 월간이용권_이용조회.xls" );
header( "Content-Description: PHP4 Generated Data" );



/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td width='80'>열람실</td>
   <td width='80'>$srcRoomNo</td>
   <td width='80'>좌석번호</td>
   <td width='80'>$srcSeatNo</td>
</tr>
<tr>
   <td>이용일자</td>
   <td colspan='3'>$srcStartTerm ~ $srcEndTerm</td>
   </tr>
<tr>
   <td>이용자명</td>
   <td>$srcUserNm</td>
   <td>이용자ID</td>
   <td>$srcUserId</td>
   </tr>
</table>  
<br><br><br>
<table border='1'>  
<tr>  
   <td>이용일자</td>  
   <td>상품대분류명</td>  
   <td>상품명</td>  
   <td>이용자 아이디</td>  
   <td>이용자명</td>  
   <td>열람실명</td>  
   <td>좌석번호</td>  
   <td>상태</td>  
   <td>시작일자</td>  
   <td>종료일자</td>  
   <td>현재이용상태</td>  
</tr>";

$srcStartTerm = str_replace("-","",$srcStartTerm);
$srcEndTerm = str_replace("-","",$srcEndTerm);

/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/

$sql = "
SELECT *
FROM 
(
	SELECT   RESERVE_NO,
                 PAY_DT,
                SEAT_GB_CD,
                SEAT_GB_NM,
                PRODUCT_NM,
                PAYMENT_NO,
                PRODUCT_CD,
                CANCEL_YN,
                CANCEL_DT,
                PAY_STAT,
                USER_ID,
                USER_NM,
                ROOM_NO,
                ROOM_NM,
                SEAT_NO,
                START_DAY_TXT,
                START_DAY,
                END_DAY_TXT,
                END_DAY,
                USE_DAY_TXT,
                USE_DAY,
		SUB_CNT,
                PERIOD,
                IF(RESERVE_STAT IS NULL,'0',RESERVE_STAT) AS RESERVE_STAT,
                RESERVE_STAT_NM,
		INOUT_STATUS

FROM
(
	SELECT  A.RESERVE_NO,
                B.regdate AS PAY_DT,
                'M' AS SEAT_GB_CD,
                '지정석' AS SEAT_GB_NM,
                B.prName AS PRODUCT_NM,
                B.idx AS PAYMENT_NO,
                B.prIdxSrc AS PRODUCT_CD,
                B.isCancel AS CANCEL_YN,
                B.cancelDate AS CANCEL_DT,
                IF(B.isCancel='N','결제','취소') AS PAY_STAT,
                B.userId AS USER_ID,
                (SELECT userName FROM RT_USER WHERE userId = B.userId) AS USER_NM,
                IF(A.ROOM_NO IS NULL,'',A.ROOM_NO) AS ROOM_NO,
                (SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = A.ROOM_NO) AS ROOM_NM,
                IF(A.SEAT_NO IS NULL,'',A.SEAT_NO) AS SEAT_NO,
                FN_CONV_DATE(START_DAY,'Y-m-d') AS START_DAY_TXT,
                START_DAY AS START_DAY,
                FN_CONV_DATE(END_DAY,'Y-m-d') AS END_DAY_TXT,
                END_DAY AS END_DAY,
		FN_CONV_DATE(START_DAY,'Y-m-d') AS USE_DAY_TXT,
		START_DAY AS USE_DAY,
		0 AS SUB_CNT,
                APL_CANCEL_TM AS PERIOD,
                IF(A.RESERVE_STAT IS NULL,'999',A.RESERVE_STAT) AS RESERVE_STAT,
                IF(RESERVE_STAT IS NULL,'발권대기',IF(RESERVE_STAT = '5','이용중',FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT))) AS RESERVE_STAT_NM,
		(SELECT INOUT_STATUS FROM WG_STATUS WHERE USER_ID = B.userId) AS INOUT_STATUS
        FROM    RT_PAYMENT B, (
                                                SELECT * 
                                                FROM W_MEMBERSHIP_RESERVE A
                                                WHERE RESERVE_STAT IN ('1','4','5','6','7')
                                                AND (START_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' 
                                                    OR END_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' 
                                                    OR '$srcStartTerm' BETWEEN START_DAY AND END_DAY
                                                    OR '$srcEndTerm' BETWEEN START_DAY AND END_DAY ) 
                                     ) A
        WHERE      B.idx = A.APL_NOSHOW_TM
        AND   isCancel='N'
        AND     isdel='N'
        AND     prIdxSrc = IF('' = '',prIdxSrc,'')
        AND     prIdxSrc IN (SELECT CODE FROM W_CODE_MST WHERE CODE_GB IN('PRODUCT','PRODUCT_OLD') AND CODE_VAL = 'M')
	UNION ALL
	SELECT          A.RESERVE_NO,
                	'' AS PAY_DT,
                	'F' AS SEAT_GB_CD,
                	'자유석' AS SEAT_GB_NM,
                	(SELECT prName FROM RT_PAYMENT WHERE idx = B.APL_NOSHOW_TM) AS PRODUCT_NM,
                '' AS PAYMENT_NO,
                (SELECT prIdxSrc FROM RT_PAYMENT WHERE idx = B.APL_NOSHOW_TM) AS PRODUCT_CD,
                '' AS CANCEL_YN,
                '' AS CANCEL_DT,
                '' AS PAY_STAT,
                B.USER_ID AS USER_ID,
                B.USER_NM AS USER_NM,
                IF(B.ROOM_NO IS NULL,'',B.ROOM_NO) AS ROOM_NO,
                (SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = B.ROOM_NO) AS ROOM_NM,
                IF(B.SEAT_NO IS NULL,'',B.SEAT_NO) AS SEAT_NO,
                FN_CONV_DATE(START_DAY,'Y-m-d') AS START_DAY_TXT,
                START_DAY AS START_DAY,
                FN_CONV_DATE(END_DAY,'Y-m-d') AS END_DAY_TXT,
                END_DAY AS END_DAY,
                FN_CONV_DATE(USE_DAY,'Y-m-d') AS USE_DAY_TXT,
                USE_DAY AS USE_DAY,
		SUB_CNT,
                B.APL_CANCEL_TM AS PERIOD,
                IF(B.RESERVE_STAT IS NULL,'999',B.RESERVE_STAT)  AS RESERVE_STAT,
                IF(B.RESERVE_STAT = '5','이용중',FN_GET_CODE('RESERVE_STAT',B.RESERVE_STAT))  AS RESERVE_STAT_NM,
		(SELECT INOUT_STATUS FROM WG_STATUS WHERE USER_ID = B.USER_ID) AS INOUT_STATUS

        FROM    (SELECT * FROM W_FREESEAT_RESERVE WHERE RESERVE_STAT IN  ('1','4','5','6','7') AND FREE_SEAT_GB = 'F') B LEFT OUTER JOIN (
                                                SELECT COUNT(RESERVE_NO) AS SUB_CNT,USER_ID,USE_DAY AS USE_DAY,MAX(RESERVE_NO) AS RESERVE_NO
                                                FROM W_SEAT_RESERVE A
                                                WHERE RESERVE_STAT IN ('1','4','5','7')
                                                AND   APL_ENTER_TM = 'FREESEAT'
                                                AND (USE_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' ) 
                                                GROUP BY USER_ID,USE_DAY
                                     ) A
        ON B.USER_ID = A.USER_ID
        AND (START_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' 
			OR END_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm' 
            OR '$srcStartTerm' BETWEEN START_DAY AND END_DAY
            OR '$srcEndTerm' BETWEEN START_DAY AND END_DAY )
        
        
) Z
) X
	WHERE     X.ROOM_NO = IF(X.ROOM_NO IS NULL,NULL,IF('$srcRoomNo'='',X.ROOM_NO,'$srcRoomNo'))
	AND     X.SEAT_NO = IF(X.SEAT_NO IS NULL,NULL,IF('$srcSeatNo'='',X.SEAT_NO,'$srcSeatNo'))
	AND     X.USER_ID LIKE '%$srcUserId%'
	AND     X.USER_NM LIKE '%$srcUserNm%'
	AND     X.SEAT_GB_CD = IF('$srcProductGb'='',X.SEAT_GB_CD,'$srcProductGb')
	AND     X.PRODUCT_CD = IF('$srcProductCd'='',X.PRODUCT_CD,'$srcProductCd')
	AND     X.RESERVE_STAT = IF('$srcReserveStat'='',X.RESERVE_STAT,'$srcReserveStat')
	ORDER BY USE_DAY DESC
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{
		 /* RESERVE NODE */
                echo "<TR>";
                echo "<TD align='center'>".$row['USE_DAY_TXT']."</TD>";
                echo "<TD align='center'>".$row['SEAT_GB_NM']."</TD>";
                echo "<TD align='center'>".$row['PRODUCT_NM']."</TD>";
                echo "<TD align='center'>".$row['USER_ID']."</TD>";
                echo "<TD align='center'>".$row['USER_NM']."</TD>";
                echo "<TD align='center'>".$row['ROOM_NM']."</TD>";
                echo "<TD align='center'>".$row['SEAT_NO']."</TD>";
                echo "<TD align='center'>".$row['RESERVE_STAT_NM']."</TD>";
                echo "<TD align='center'>".$row['START_DAY_TXT']."</TD>";
                echo "<TD align='center'>".$row['END_DAY_TXT']."</TD>";
                echo "<TD align='center'>".$row['INOUT_STATUS']."</TD>";
                echo "</TR>";


	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo "</TABLE>";

?>
