<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(isset($reqRoomNo))
{
		
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
if($reqUserId != '' || $reqUserNm != '')
{
$sql = "SELECT *
	FROM
	(
	SELECT 	ROW_NO,
		A.ROOM_NO,
		A.ROOM_NM,
        	A.SEAT_NO,
	 	IF(B.APL_ENTER_TM = 'FREESEAT','F','D') AS SEAT_GB,	
	 	IF(B.APL_ENTER_TM = 'FREESEAT','자유석','일일이용권') AS SEAT_GB_NM,	
        	IF(B.RESERVE_STAT IS NOT NULL,IF(B.RESERVE_STAT='5','예약','사용중'),'공석') AS RESERVE_TXT,
        	IF(B.RESERVE_STAT IS NULL,'0',B.RESERVE_STAT)  AS RESERVE_STAT
	FROM
	(
		SELECT 	CONCAT(A.ROOM_NO,B.N,A.ROOM_NM) AS ROW_NO,
       			A.ROOM_NO,
       			A.ROOM_NM,
       			B.N AS SEAT_NO
		FROM   W_ROOM_MST A,W_TCOPY3 B
		WHERE  A.ROOM_NO = IF('$reqRoomNo'='' ,A.ROOM_NO,'$reqRoomNo')
		AND    B.N >= A.SEAT_NO_S
		AND    B.N <= A.SEAT_NO_E
		AND    B.N NOT IN (SELECT SEAT_NO FROM W_ROOM_SEAT WHERE ROOM_NO = A.ROOM_NO)
	
	) A, 
	(
		SELECT * 
		FROM W_SEAT_RESERVE 
		WHERE RESERVE_STAT IN ('5','7') 
		AND USE_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
		AND     (
                    (START_TM >=  '$reqStartTm' AND START_TM < '$reqEndTm') 
                OR  (END_TM > '$reqStartTm' AND END_TM < '$reqEndTm') 
                OR ('$reqStartTm' >= START_TM AND '$reqStartTm' < END_TM)
                OR ('$reqEndTm' > START_TM AND '$reqEndTm' < END_TM)
                 )

		AND   USER_ID LIKE '%$reqUserId%'
		AND   USER_NM LIKE '%$reqUserNm%'
	) B
	WHERE  A.ROOM_NO = B.ROOM_NO
	AND    A.SEAT_NO = B.SEAT_NO
	ORDER BY A.ROOM_NO,A.SEAT_NO
	) Z
	WHERE RESERVE_STAT = IF('$reqReserveStat'='',RESERVE_STAT,'$reqReserveStat')
	AND   SEAT_NO = IF('$reqSeatNo'='' ,SEAT_NO,'$reqSeatNo')
	GROUP BY ROW_NO,
                ROOM_NO,
                ROOM_NM,
                SEAT_NO,
                RESERVE_TXT,
                RESERVE_STAT,SEAT_GB,SEAT_GB_NM
	ORDER BY ROW_NO

";
}
else
{
$sql = "SELECT *
	FROM
	(
	SELECT 	ROW_NO,
		A.ROOM_NO,
		A.ROOM_NM,
        	A.SEAT_NO,
	 	IF(B.APL_ENTER_TM = 'FREESEAT','F','D') AS SEAT_GB,	
	 	IF(B.APL_ENTER_TM = 'FREESEAT','자유석','일일이용권') AS SEAT_GB_NM,	
        	IF(B.RESERVE_STAT IS NOT NULL,IF(B.RESERVE_STAT='5','발권대기','이용중'),'공석') AS RESERVE_TXT,
        	IF(B.RESERVE_STAT IS NULL,'0',B.RESERVE_STAT)  AS RESERVE_STAT
	FROM
	(
		SELECT 	CONCAT(A.ROOM_NO,B.N,A.ROOM_NM) AS ROW_NO,
       			A.ROOM_NO,
       			A.ROOM_NM,
       			B.N AS SEAT_NO
		FROM   W_ROOM_MST A,W_TCOPY3 B
		WHERE  A.ROOM_NO = IF('$reqRoomNo'='' ,A.ROOM_NO,'$reqRoomNo')
		AND    B.N >= A.SEAT_NO_S
		AND    B.N <= A.SEAT_NO_E
		AND    B.N NOT IN (SELECT SEAT_NO FROM W_ROOM_SEAT WHERE ROOM_NO = A.ROOM_NO)
	
	) A LEFT OUTER JOIN 
	(
		SELECT * 
		FROM W_SEAT_RESERVE 
		WHERE RESERVE_STAT IN ('5','7') 
		AND USE_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
		AND     (
                    (START_TM >=  '$reqStartTm' AND START_TM < '$reqEndTm') 
                OR  (END_TM > '$reqStartTm' AND END_TM < '$reqEndTm') 
                OR ('$reqStartTm' >= START_TM AND '$reqStartTm' < END_TM)
                OR ('$reqEndTm' > START_TM AND '$reqEndTm' < END_TM)
                 )

	AND   USER_ID LIKE '%$reqUserId%'
	AND   USER_NM LIKE '%$reqUserNm%'
) B
	ON  A.ROOM_NO = B.ROOM_NO
	AND    A.SEAT_NO = B.SEAT_NO
	ORDER BY A.ROOM_NO,A.SEAT_NO
	) Z
	WHERE RESERVE_STAT = IF('$reqReserveStat'='',RESERVE_STAT,'$reqReserveStat')
	AND   SEAT_NO = IF('$reqSeatNo'='' ,SEAT_NO,'$reqSeatNo')
	GROUP BY ROW_NO,
                ROOM_NO,
                ROOM_NM,
                SEAT_NO,
                RESERVE_TXT,
                RESERVE_STAT,SEAT_GB,SEAT_GB_NM
	ORDER BY ROOM_NO,SEAT_NO 

";
}
$seatCnt = 0;
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{
		$seatCnt++;
		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('ROW_NO',$row['ROW_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_TXT',$row['RESERVE_TXT']));
		$tagReserve->appendChild($domtree->createElement('SEAT_GB',$row['SEAT_GB']));
		$tagReserve->appendChild($domtree->createElement('SEAT_GB_NM',$row['SEAT_GB_NM']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}
/*
if($seatCnt == 0)
{
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		$tagReserve->appendChild($domtree->createElement('ROW_NO','0'));
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',''));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO','0'));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM','0'));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO','0'));
		$tagReserve->appendChild($domtree->createElement('USER_ID','0'));
		$tagReserve->appendChild($domtree->createElement('USER_NM','0'));
		$tagReserve->appendChild($domtree->createElement('USE_DAY','0'));
		$tagReserve->appendChild($domtree->createElement('START_TM','0'));
		$tagReserve->appendChild($domtree->createElement('END_TM','0'));
		$tagReserve->appendChild($domtree->createElement('START_TM_TMP','0'));
		$tagReserve->appendChild($domtree->createElement('END_TM_TMP','0'));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT','0'));
		$tagReserve->appendChild($domtree->createElement('RESERVE_TXT','공석'));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT','0'));
}
*/
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
