<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
/*
$sql = "
	SELECT *
	FROM
	(
		select
    			p1.RESERVE_NO AS ID,
    			@pv:= trim(p1.reserve_no),
    			p1.chg_reserve_no,
    			date_format(p2.UPD_DT,'%H:%i') AS UPD_DT,
    			p2.USER_ID,
    			p2.USER_NM,
    			FN_GET_CODE('RESERVE_STAT',p2.RESERVE_STAT) AS RESERVE_STAT,
    			(SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = p2.ROOM_NO) AS ROOM_NM,
			p2.SEAT_NO,
    			CONCAT(SUBSTRING(p2.START_TM,1,2),':',SUBSTRING(p2.START_TM,3,2)) AS START_TM, 
    			CONCAT(SUBSTRING(p2.END_TM,1,2),':',SUBSTRING(p2.END_TM,3,2)) AS END_TM,
    			FN_GET_CODE('PAY_STAT',p2.PAY_STAT) AS PAY_STAT,
    			p2.PAY_AMT,
    			p2.REFUND_AMT
		from (select * from W_SEAT_RESERVE where user_id = '$reqUserId' and use_day ='$reqUseDay' order by reserve_no desc ) p1
		join (select @pv:=$reqReserveNo)tmp
		left join W_SEAT_RESERVE p2 on p2.reserve_no=p1.reserve_no
		where trim(p1.chg_reserve_no) = trim(@pv)
	) Z
	WHERE   ID != $reqReserveNo
	ORDER BY ID ASC
";
*/
$sql = "
		select
    			RESERVE_NO AS ID,
    			date_format(UPD_DT,'%H:%i') AS UPD_DT,
    			USER_ID,
    			USER_NM,
    			FN_GET_CODE('RESERVE_STAT',RESERVE_STAT) AS RESERVE_STAT,
    			(SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = A.ROOM_NO) AS ROOM_NM,
			SEAT_NO,
    			CONCAT(SUBSTRING(START_TM,1,2),':',SUBSTRING(START_TM,3,2)) AS START_TM, 
    			CONCAT(SUBSTRING(END_TM,1,2),':',SUBSTRING(END_TM,3,2)) AS END_TM,
    			FN_GET_CODE('PAY_STAT',PAY_STAT) AS PAY_STAT,
    			PAY_AMT,
    			REFUND_AMT
		FROM    W_SEAT_RESERVE A
		WHERE   ROOM_NO != 0
		AND     USER_ID = '$reqUserId' 
		AND     USE_DAY ='$reqUseDay' 
	/*	AND     RESERVE_NO != '$reqReserveNo'*/
		ORDER BY START_TM DESC
";		
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['ID']));
		$tagReserve->appendChild($domtree->createElement('UPD_DT',$row['UPD_DT']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('START_TM',$row['START_TM']));
		$tagReserve->appendChild($domtree->createElement('END_TM',$row['END_TM']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('PAY_AMT',$row['PAY_AMT']));
		$tagReserve->appendChild($domtree->createElement('REFUND_AMT',$row['REFUND_AMT']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
