<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT 	ROOM_NO,
		ROOM_NM,
		SEAT_NO_CNT,
		RESERVE_CNT,
		USE_CNT,
		IF(ROOM_NO != 0 ,SEAT_NO_CNT - RESERVE_CNT - USE_CNT,0) AS REST_CNT,
		RESERVE_PER_DAY
	FROM 
	(
		SELECT 	ROOM_NO,
			IF(ROOM_NO = 4,CONCAT(ROOM_NM,'(일반석)'),ROOM_NM) AS ROOM_NM,
			SEAT_NO_CNT - (SELECT COUNT(*) FROM W_ROOM_SEAT WHERE ROOM_NO = A.ROOM_NO) AS SEAT_NO_CNT,
			(SELECT COUNT(*) FROM W_SEAT_RESERVE WHERE USE_DAY = IF(DATE_FORMAT(NOW()+0,'%H%i') <= '0200',DATE_FORMAT(DATE_ADD(NOW()+0,INTERVAL -1 DAY),'%Y%m%d'),DATE_FORMAT(NOW()+0,'%Y%m%d')) AND ROOM_NO = A.ROOM_NO AND RESERVE_STAT = '5') AS RESERVE_CNT,
			(SELECT COUNT(*) FROM W_SEAT_RESERVE WHERE USE_DAY = IF(DATE_FORMAT(NOW()+0,'%H%i') <= '0200',DATE_FORMAT(DATE_ADD(NOW()+0,INTERVAL -1 DAY),'%Y%m%d'),DATE_FORMAT(NOW()+0,'%Y%m%d')) AND ROOM_NO = A.ROOM_NO AND RESERVE_STAT = '7') AS USE_CNT,
			RESERVE_PER_DAY
		FROM W_ROOM_MST A
		WHERE ROOM_NO IN (1,2,3,4)
		UNION ALL
		SELECT  ROOM_NO,
			CONCAT(ROOM_NM,'(지정석)') AS ROOM_NM,
			(SELECT COUNT(*) FROM W_ROOM_SEAT WHERE ROOM_NO = A.ROOM_NO) AS SEAT_NO_CNT,
			0 AS RESERVE_CNT,
			(SELECT COUNT(*) FROM W_MEMBERSHIP_RESERVE WHERE ROOM_NO = A.ROOM_NO AND IF(DATE_FORMAT(NOW()+0,'%H%i') <= '0200',DATE_FORMAT(DATE_ADD(NOW()+0,INTERVAL -1 DAY),'%Y%m%d'),DATE_FORMAT(NOW()+0,'%Y%m%d')) BETWEEN START_DAY AND END_DAY AND RESERVE_STAT IN ('5','7')) AS USE_CNT,
			RESERVE_PER_DAY
		FROM W_ROOM_MST A
		WHERE ROOM_NO IN (4)
		UNION ALL
		SELECT  ROOM_NO,
			ROOM_NM,
			(SELECT COUNT(*) FROM W_ROOM_SEAT WHERE ROOM_NO = A.ROOM_NO) AS SEAT_NO_CNT,
			0 AS RESERVE_CNT,
			(
SELECT COUNT(*)
FROM   WG_STATUS
WHERE  INOUT_STATUS = 'I'
AND    ENTRY_DATE = DATE_FORMAT(NOW()+0,'%Y%m%d')
AND    USER_ID NOT IN (SELECT USER_ID FROM W_SEAT_RESERVE WHERE USE_DAY = IF(DATE_FORMAT(NOW()+0,'%H%i') <= '0200',DATE_FORMAT(DATE_ADD(NOW()+0,INTERVAL -1 DAY),'%Y%m%d'),DATE_FORMAT(NOW()+0,'%Y%m%d')) AND RESERVE_STAT = '7')
AND    USER_ID NOT IN (SELECT USER_ID FROM W_MEMBERSHIP_RESERVE WHERE IF(DATE_FORMAT(NOW()+0,'%H%i') <= '0200',DATE_FORMAT(DATE_ADD(NOW()+0,INTERVAL -1 DAY),'%Y%m%d'),DATE_FORMAT(NOW()+0,'%Y%m%d')) BETWEEN START_DAY AND END_DAY AND RESERVE_STAT = '5')
AND    USER_ID NOT IN (SELECT USER_ID FROM W_FREESEAT_RESERVE WHERE IF(DATE_FORMAT(NOW()+0,'%H%i') <= '0200',DATE_FORMAT(DATE_ADD(NOW()+0,INTERVAL -1 DAY),'%Y%m%d'),DATE_FORMAT(NOW()+0,'%Y%m%d')) BETWEEN START_DAY AND END_DAY AND RESERVE_STAT = '5')
AND    USER_ID NOT IN (SELECT B.USER_ID FROM W_SROOM_RESERVE A,W_SROOM_RESERVE_SUB B WHERE A.USE_DAY = IF(DATE_FORMAT(NOW()+0,'%H%i') <= '0200',DATE_FORMAT(DATE_ADD(NOW()+0,INTERVAL -1 DAY),'%Y%m%d'),DATE_FORMAT(NOW()+0,'%Y%m%d')) AND RESERVE_STAT = '7' AND A.RESERVE_NO = B.RESERVE_NO)) AS USE_CNT,
			RESERVE_PER_DAY
		FROM W_ROOM_MST A
		WHERE ROOM_NO IN (0)
		UNION ALL
		SELECT 	ROOM_NO,
			CONCAT(ROOM_NM,'(지정석)') AS ROOM_NM,
			(SELECT COUNT(*) FROM W_ROOM_SEAT WHERE ROOM_NO = A.ROOM_NO) AS SEAT_NO_CNT,
			0 AS RESERVE_CNT,
			(SELECT COUNT(*) FROM W_MEMBERSHIP_RESERVE WHERE ROOM_NO = A.ROOM_NO AND DATE_FORMAT(NOW()+0,'%Y%m%d') BETWEEN START_DAY AND END_DAY AND RESERVE_STAT IN ('5','7')) AS USE_CNT,
			RESERVE_PER_DAY
		FROM W_ROOM_MST A
		WHERE ROOM_NO IN (5,6)
) Z
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("ROOM");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO_CNT',$row['SEAT_NO_CNT']));
		$tagReserve->appendChild($domtree->createElement('USE_CNT',$row['USE_CNT']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_CNT',$row['RESERVE_CNT']));
		$tagReserve->appendChild($domtree->createElement('REST_CNT',$row['REST_CNT']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_PER_DAY',$row['RESERVE_PER_DAY']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
