<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(isset($reqRoomNo))
{
		
}
if($reqUseDay == '')
{
	$reqUseDay = date('Ymd');
}
if($reqStartTm == '')
{
	$reqStartTm = date('Hi');
	$reqEndTm = '2500';
}

//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT 	ROW_NO,
		Z.ROOM_NO,
		Z.ROOM_NM,
        	Z.SEAT_NO,
        	'' AS RESERVE_TXT,
        	''  AS RESERVE_STAT
	FROM
	(
		SELECT 	CONCAT(A.ROOM_NO,B.N,A.ROOM_NM) AS ROW_NO,
       			A.ROOM_NO,
       			A.ROOM_NM,
       			B.N AS SEAT_NO
		FROM   W_ROOM_MST A,W_TCOPY3 B
		WHERE  A.ROOM_NO = IF('$reqRoomNo'='' ,A.ROOM_NO,'$reqRoomNo')
		AND    B.N >= A.SEAT_NO_S
		AND    B.N <= A.SEAT_NO_E
		AND    B.N NOT IN (SELECT SEAT_NO FROM W_ROOM_SEAT WHERE ROOM_NO = A.ROOM_NO)
		AND    B.N NOT IN (	
		SELECT SEAT_NO 
		FROM W_SEAT_RESERVE 
		WHERE RESERVE_STAT IN ('5','7') 
		AND   ROOM_NO = IF('$reqRoomNo'='' ,ROOM_NO,'$reqRoomNo')
		AND USE_DAY  =  '$reqUseDay' 
		AND     (
                    (START_TM >=  '$reqStartTm' AND START_TM < '$reqEndTm') 
                OR  (END_TM > '$reqStartTm' AND END_TM < '$reqEndTm') 
                OR ('$reqStartTm' >= START_TM AND '$reqStartTm' < END_TM)
                OR ('$reqEndTm' > START_TM AND '$reqEndTm' < END_TM)
                 )
		AND   USER_ID LIKE '%$reqUserId%'
		AND   USER_NM LIKE '%$reqUserNm%'
		UNION ALL
		SELECT SEAT_NO 
		FROM W_MEMBERSHIP_RESERVE 
		WHERE RESERVE_STAT IN ('5','7') 
		AND   ROOM_NO = IF('$reqRoomNo'='' ,ROOM_NO,'$reqRoomNo')
		AND   '$reqUseDay' BETWEEN START_DAY AND END_DAY 
		)
	) Z
	ORDER BY SEAT_NO

";
$seatCnt = 0;
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{
		$seatCnt++;
		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('ROW_NO',$row['ROW_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_TXT',$row['RESERVE_TXT']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}
/*
if($seatCnt == 0)
{
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		$tagReserve->appendChild($domtree->createElement('ROW_NO','0'));
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',''));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO','0'));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM','0'));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO','0'));
		$tagReserve->appendChild($domtree->createElement('USER_ID','0'));
		$tagReserve->appendChild($domtree->createElement('USER_NM','0'));
		$tagReserve->appendChild($domtree->createElement('USE_DAY','0'));
		$tagReserve->appendChild($domtree->createElement('START_TM','0'));
		$tagReserve->appendChild($domtree->createElement('END_TM','0'));
		$tagReserve->appendChild($domtree->createElement('START_TM_TMP','0'));
		$tagReserve->appendChild($domtree->createElement('END_TM_TMP','0'));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT','0'));
		$tagReserve->appendChild($domtree->createElement('RESERVE_TXT','공석'));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT','0'));
}
*/
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
