<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT 	SROOM_NO,
		SROOM_NM,
		SEAT_CNT,
		PAY_PER_HOUR,
		PAY_PER_MIN,
		FN_CONV_DATE(CONCAT('20171201',OPEN_TM,'00'),'H:i') AS OPEN_TM,
		FN_CONV_DATE(CONCAT('20171201',CLOSE_TM,'00'),'H:i') AS CLOSE_TM,
		USE_YN
	FROM 	W_SROOM_MST 
	ORDER BY SROOM_NO 
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("SROOM");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('SROOM_NO',$row['SROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('SROOM_NM',$row['SROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_CNT',$row['SEAT_CNT']));
		$tagReserve->appendChild($domtree->createElement('PAY_PER_HOUR',$row['PAY_PER_HOUR']));
		$tagReserve->appendChild($domtree->createElement('PAY_PER_MIN',$row['PAY_PER_MIN']));
		$tagReserve->appendChild($domtree->createElement('USE_YN',$row['USE_YN']));
		$tagReserve->appendChild($domtree->createElement('OPEN_TM',$row['OPEN_TM']));
		$tagReserve->appendChild($domtree->createElement('CLOSE_TM',$row['CLOSE_TM']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
