<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "SELECT  C.RESERVE_NO,C.SROOM_NO,
                B.SROOM_NM,
                FN_CONV_DATE(CONCAT(C.START_DAY,'000000'),'Y-m-d') AS START_DAY_TXT,
                FN_CONV_DATE(CONCAT(C.END_DAY,'000000'),'Y-m-d') AS END_DAY_TXT,
                C.START_DAY AS START_DAY,
                C.END_DAY AS END_DAY,
                C.USER_ID,
                C.USER_NM,
                CONCAT(SUBSTRING(C.START_TM,1,2),':',SUBSTRING(C.START_TM,3,2)) AS START_TM_TXT,
                CONCAT(SUBSTRING(C.END_TM,1,2),':',SUBSTRING(C.END_TM,3,2)) AS END_TM_TXT,
                C.START_TM,
                C.END_TM,
                C.RESERVE_STAT,
                FN_GET_CODE('RESERVE_STAT',C.RESERVE_STAT) AS RESERVE_STAT_NM,
                C.PAY_STAT,
                FN_GET_CODE('PAY_STAT',C.PAY_STAT) AS PAY_STAT_NM,
                TOTAL_AMT,
                PAY_AMT,
                REMAIN_AMT,
                REFUND_AMT,
		CO_USER
        FROM    W_SROOM_MEMBERSHIP_MST C,W_SROOM_MST B 
	WHERE   (C.START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' OR C.END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' OR '$reqStartTerm' BETWEEN C.START_DAY AND C.END_DAY OR '$reqEndTerm' BETWEEN C.START_DAY AND C.END_DAY) 
	AND     (C.START_TM BETWEEN '$reqStartTm' AND '$reqEndTm' OR C.END_TM BETWEEN '$reqStartTm' AND '$reqEndTm'
		OR '$reqStartTm' BETWEEN C.START_TM AND C.END_TM OR '$reqEndTm' BETWEEN C.START_TM AND C.END_TM) 
        AND     C.SROOM_NO = IF('$reqSroomNo' = '',C.SROOM_NO,'$reqSroomNo')
        AND     C.RESERVE_STAT != '0'
        AND     C.RESERVE_STAT = IF('$reqReserveStat' = '',C.RESERVE_STAT,'$reqReserveStat')
        AND     C.SROOM_NO  = B.SROOM_NO
        AND     C.CO_USER LIKE IF('$reqUserNm' = '',C.CO_USER,'%$reqUserNm%')
        AND     C.CO_USER LIKE IF('$reqUserId' = '',C.CO_USER,'%$reqUserId%')
        ORDER BY  C.START_DAY DESC,C.START_TM DESC
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('SROOM_NO',$row['SROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('SROOM_NM',$row['SROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('START_DAY_TXT',$row['START_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('END_DAY_TXT',$row['END_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('START_DAY',$row['START_DAY']));
		$tagReserve->appendChild($domtree->createElement('END_DAY',$row['END_DAY']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('CO_USER',$row['CO_USER']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT_NM',$row['RESERVE_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('START_TM',$row['START_TM']));
		$tagReserve->appendChild($domtree->createElement('END_TM',$row['END_TM']));
		$tagReserve->appendChild($domtree->createElement('START_TM_TXT',$row['START_TM_TXT']));
		$tagReserve->appendChild($domtree->createElement('END_TM_TXT',$row['END_TM_TXT']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT_NM',$row['PAY_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('TOTAL_AMT',$row['TOTAL_AMT']));
		$tagReserve->appendChild($domtree->createElement('PAY_AMT',$row['PAY_AMT']));
		$tagReserve->appendChild($domtree->createElement('REMAIN_AMT',$row['REMAIN_AMT']));
		$tagReserve->appendChild($domtree->createElement('REFUND_AMT',$row['REFUND_AMT']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
