<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "SELECT  A.RESERVE_NO,A.SROOM_NO,
                B.SROOM_NM,
                A.USE_DAY,
                FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS USE_DAY_TXT,
		B.SEAT_CNT,
                A.USER_ID,
                A.USER_NM,
                SUBSTRING(A.START_TM,1,2) AS START_TM,
                SUBSTRING(A.END_TM,1,2)AS END_TM,
                A.RESERVE_STAT,
                FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
                A.PAY_STAT,
                FN_GET_CODE('PAY_STAT',A.PAY_STAT) AS PAY_STAT_NM,
                TOTAL_AMT,
                PAY_AMT,
                REMAIN_AMT,
                REFUND_AMT,
                (SELECT GROUP_CONCAT(CONCAT(USER_NM,'|',USER_ID)) FROM W_SROOM_RESERVE_SUB WHERE RESERVE_NO = A.RESERVE_NO) AS CO_USER
        FROM    W_SROOM_RESERVE A,W_SROOM_MST B 
        WHERE   A.SROOM_NO = B.SROOM_NO
        AND     A.RESERVE_NO = '$reqReserveNo' 
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('SROOM_NO',$row['SROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('SROOM_NM',$row['SROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_CNT',$row['SEAT_CNT']));
		$tagReserve->appendChild($domtree->createElement('USE_DAY',$row['USE_DAY']));
		$tagReserve->appendChild($domtree->createElement('USE_DAY_TXT',$row['USE_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('CO_USER',$row['CO_USER']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT_NM',$row['RESERVE_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('START_TM',$row['START_TM']));
		$tagReserve->appendChild($domtree->createElement('END_TM',$row['END_TM']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT_NM',$row['PAY_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('TOTAL_AMT',$row['TOTAL_AMT']));
		$tagReserve->appendChild($domtree->createElement('PAY_AMT',$row['PAY_AMT']));
		$tagReserve->appendChild($domtree->createElement('REMAIN_AMT',$row['REMAIN_AMT']));
		$tagReserve->appendChild($domtree->createElement('REFUND_AMT',$row['REFUND_AMT']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
