<?php

header( "Content-type: application/vnd.ms-excel" );   
header( "Content-type: application/vnd.ms-excel; charset=utf-8");  
header( "Content-Disposition: attachment; filename = 팀룸.xls" );   
header( "Content-Description: PHP4 Generated Data" );   


/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
$srcStartTm = $srcStartTm.'00';
$srcEndTm = $srcEndTm.'00';

$srcStartTerm = str_replace("-","",$srcStartTerm);
$srcEndTerm = str_replace("-","",$srcEndTerm);
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$arrReserveStat=['','예약취소','','','사용완료','예약','','사용중'];
if($srcReserveStat == '')
{
	$srcReserveStatIndex = 0;
}
else
{
	$srcReserveStatIndex = $srcReserveStat;
}
echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td>팀룸</td>
   <td>$srcSroomNo</td>
   <td>상태</td>
   <td>$arrReserveStat[$srcReserveStatIndex]</td>
   </tr>
<tr>
   <td>이용일자</td>
   <td colspan='3'>$srcStartTerm ~ $srcEndTerm</td>
   </tr>
<tr>
   <td>이용시간</td>
   <td colspan='3'>$srcStartTm ~ $srcEndTm</td>
   </tr>
<tr>
   <td>이용자명</td>
   <td>$srcUserNm</td>
   <td>이용자ID</td>
   <td>$srcUserId</td>
   </tr>
<tr></tr>
<tr></tr>
<tr></tr>
<tr></tr>
<tr>  
   <td width='100'>이용일자</td>  
   <td>열람실명</td>  
   <td width='80'>정원</td>  
   <td>이용자 아이디</td>  
   <td>이용자명</td>  
   <td width='80'>상태</td>  
   <td width='80'>시작시간</td>  
   <td width='80'>종료시간</td>  
   <td width='80'>결제상태</td>  
   <td width='70'>결제R'</td>  
   <td width='70'>잔여R'</td>  
   <td width='70'>환불R'</td>  
   <td>동반이용자</td>  
</tr>";  



/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "SELECT  A.RESERVE_NO,A.SROOM_NO,
                B.SROOM_NM,
                A.USE_DAY,
                FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS USE_DAY_TXT,
		B.SEAT_CNT,
                A.USER_ID,
                A.USER_NM,
                CONCAT(SUBSTRING(A.START_TM,1,2),':',SUBSTRING(A.START_TM,3,2)) AS START_TM_TXT,
                CONCAT(SUBSTRING(A.END_TM,1,2),':',SUBSTRING(A.END_TM,3,2)) AS END_TM_TXT,
                A.START_TM,
                A.END_TM,
                A.RESERVE_STAT,
                FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
                A.PAY_STAT,
                FN_GET_CODE('PAY_STAT',A.PAY_STAT) AS PAY_STAT_NM,
                TOTAL_AMT,
                PAY_AMT,
                REMAIN_AMT,
                REFUND_AMT,
                (SELECT GROUP_CONCAT(CONCAT(USER_NM,'(',USER_ID,')')) FROM W_SROOM_RESERVE_SUB WHERE RESERVE_NO = A.RESERVE_NO) AS CO_USER
        FROM    W_SROOM_RESERVE A,W_SROOM_MST B 
        WHERE   A.SROOM_NO = B.SROOM_NO
        AND     A.SROOM_NO = IF('$srcSroomNo' = '',A.SROOM_NO,'$srcSroomNo')
        AND     A.RESERVE_STAT != '0'
        AND     A.RESERVE_STAT = IF('$srcReserveStat' = '',A.RESERVE_STAT,'$srcReserveStat')
        AND     A.PAY_STAT != '9'
	AND     A.USE_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm'
	AND     (A.START_TM BETWEEN '$srcStartTm' AND '$srcEndTm' OR A.END_TM BETWEEN '$srcStartTm' AND '$srcEndTm') 
        AND     A.RESERVE_NO IN (SELECT RESERVE_NO FROM W_SROOM_RESERVE_SUB WHERE USER_NM LIKE '%$srcUserNm%' AND USER_ID LIKE '%$srcUserId%') 
        ORDER BY  A.USE_DAY DESC
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		echo "<TR>";
		echo "<TD>".$row['USE_DAY_TXT']."</TD>";
		echo "<TD>".$row['SROOM_NM']."</TD>";
		echo "<TD>".$row['SEAT_CNT']."</TD>";
		echo "<TD>".$row['USER_ID']."</TD>";
		echo "<TD>".$row['USER_NM']."</TD>";
		echo "<TD>".$row['RESERVE_STAT_NM']."</TD>";
		echo "<TD>".$row['START_TM_TXT']."</TD>";
		echo "<TD>".$row['END_TM_TXT']."</TD>";
		echo "<TD>".$row['PAY_STAT_NM']."</TD>";
		echo "<TD>".$row['PAY_AMT']."</TD>";
		echo "<TD>".$row['REMAIN_AMT']."</TD>";
		echo "<TD>".$row['REFUND_AMT']."</TD>";
		echo "<TD>".$row['CO_USER']."</TD>";
		echo "</TR>";
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
		echo "</TABLE>";
?>
