<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
SELECT * 
FROM
(
	SELECT 	'예약석' AS USE_KIND,
		A.RESERVE_NO,
		A.ROOM_NO,
		B.ROOM_NM,
		A.SEAT_NO,
		A.USE_DAY AS START_DAY,
		A.USE_DAY AS END_DAY,
		FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS START_DAY_TXT,
		FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS END_DAY_TXT,
		A.USER_ID,
		A.USER_NM,
		FN_CONV_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'H:i') AS START_TM,
		FN_CONV_DATE(CONCAT(A.USE_DAY,A.END_TM,'00'),'H:i') AS END_TM,
		A.START_TM AS START_TM_TMP,
		A.END_TM AS END_TM_TMP,
		A.RESERVE_STAT,
		FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
		A.PAY_STAT,
		FN_GET_CODE('PAY_STAT',A.PAY_STAT) AS PAY_STAT_NM,
		A.TOTAL_AMT,
		A.PAY_AMT,
		A.REMAIN_AMT,
		A.REFUND_AMT,
		(SELECT COUNT(RESERVE_NO) FROM W_SEAT_RESERVE WHERE CHG_RESERVE_NO = A.RESERVE_NO) AS CHG_RESERVE_NO,
		C.COUPON_YN
	FROM 	W_ROOM_MST B,W_SEAT_RESERVE A,W_SEAT_PAYMENT C
        WHERE   'R' = IF('$reqUseKind'='','R','$reqUseKind')
	AND     B.ROOM_NO != 0
	AND     A.ROOM_NO = B.ROOM_NO
	AND     A.ROOM_NO = IF('$reqRoomNo' = '',A.ROOM_NO,'$reqRoomNo')
	AND     A.SEAT_NO = IF('$reqSeatNo' = '',A.SEAT_NO,'$reqSeatNo')
	AND     A.RESERVE_STAT != '0'
	AND     A.RESERVE_STAT = IF('$reqReserveStat' = '',A.RESERVE_STAT,'$reqReserveStat')
	AND     A.USE_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'    
	AND     A.USER_NM LIKE '%$reqUserNm%' 
	AND     A.USER_ID LIKE '%$reqUserId%' 
	AND     A.CHG_RESERVE_NO IN ('','0','1','3','2')
	AND     A.RESERVE_NO = C.RESERVE_NO
	UNION ALL
	SELECT *
        FROM
        (
        SELECT  '월고정석' AS USE_KIND,
                B.RESERVE_NO,
                A.ROOM_NO,
                A.ROOM_NM,
                A.SEAT_NO,
                IF(B.START_DAY IS NULL,DATE_FORMAT(NOW()+0,'%Y%m%d'),B.START_DAY)AS START_DAY,
                B.END_DAY AS END_DAY,
                FN_CONV_DATE(B.START_DAY,'Y-m-d') AS START_DAY_TXT,
                FN_CONV_DATE(B.END_DAY,'Y-m-d') AS END_DAY_TXT,
                IF(B.USER_ID IS NULL,'',B.USER_ID) AS USER_ID,
                IF(B.USER_NM IS NULL,'',B.USER_NM) AS USER_NM,
                CONCAT(SUBSTRING(B.START_TM,1,2),':',SUBSTRING(B.START_TM,3,2)) AS START_TM,
                CONCAT(SUBSTRING(B.END_TM,1,2),':',SUBSTRING(B.END_TM,3,2)) AS END_TM,
                '' AS START_TM_TMP,
                '' AS END_TM_TMP,
                IF(B.RESERVE_STAT IS NULL,0,B.RESERVE_STAT)  AS RESERVE_STAT,
                IF(B.RESERVE_STAT IS NOT NULL,FN_GET_CODE('RESERVE_STAT',B.RESERVE_STAT),'공석') AS RESERVE_STAT_NM,
		'' AS PAY_STAT,
		IF(RESERVE_STAT='5','완결','환불') AS PAY_STAT_NM,
		'' AS TOTAL_AMT,
		'' AS PAY_AMT,
		'' AS REMAIN_AMT,
		'' AS REFUND_AMT,
		'' AS CHG_RESERVE_NO,
		'-' AS COUPON_YN
        FROM
        (
                SELECT  CONCAT(B.ROOM_NO,A.SEAT_NO,B.ROOM_NM) AS ROW_NO,
                        A.ROOM_NO,
                        B.ROOM_NM,
                        A.SEAT_NO
                FROM   W_ROOM_SEAT A,W_ROOM_MST B
                WHERE  A.ROOM_NO = B.ROOM_NO
                AND   B.ROOM_NO = IF('$reqRoomNo' = '',B.ROOM_NO,'$reqRoomNo')
                AND    A.SEAT_NO = IF('$reqSeatNo' = '',A.SEAT_NO,'$reqSeatNo')
        
        ) A, (SELECT * FROM W_MEMBERSHIP_RESERVE WHERE RESERVE_STAT IN ('1','4','5','7') AND   ((START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm') OR   (END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm') OR ('$reqStartTerm' BETWEEN START_DAY AND END_DAY) OR ('$reqEndTerm' BETWEEN START_DAY AND END_DAY))) B
        WHERE   'M' = IF('$reqUseKind'='','M','$reqUseKind')
	AND	A.ROOM_NO = B.ROOM_NO
        AND    	A.SEAT_NO = B.SEAT_NO
        AND   	USER_NM LIKE '%$reqUserNm%'       
        AND   	USER_ID LIKE '%$reqUserId%'       
        ORDER BY A.ROOM_NO,A.SEAT_NO
        ) Z
        WHERE   RESERVE_STAT = IF('$reqReserveStat' = '',RESERVE_STAT,'$reqReserveStat')
	UNION ALL
        SELECT  '자유석' AS USE_KIND, 
                A.RESERVE_NO,
                A.ROOM_NO,
                B.ROOM_NM,
                '-' AS SEAT_NO,
                IF(A.START_DAY IS NULL,DATE_FORMAT(NOW()+0,'%Y%m%d'),A.START_DAY)AS START_DAY,
                A.END_DAY AS END_DAY,
                FN_CONV_DATE(A.START_DAY,'Y-m-d') AS START_DAY_TXT,
                FN_CONV_DATE(A.END_DAY,'Y-m-d') AS END_DAY_TXT,
                IF(A.USER_ID IS NULL,'',A.USER_ID) AS USER_ID,
                IF(A.USER_NM IS NULL,'',A.USER_NM) AS USER_NM,
                CONCAT(SUBSTRING(A.START_TM,1,2),':',SUBSTRING(A.START_TM,3,2)) AS START_TM,
                CONCAT(SUBSTRING(A.END_TM,1,2),':',SUBSTRING(A.END_TM,3,2)) AS END_TM,
                A.START_TM AS START_TM_TMP,
                A.END_TM AS END_TM_TMP,
                IF(A.RESERVE_STAT IS NULL,0,A.RESERVE_STAT)  AS RESERVE_STAT,
                FN_GET_CODE('RESERVE_STAT',IF(A.RESERVE_STAT IS NULL,'0',A.RESERVE_STAT)) AS RESERVE_STAT_NM,
		'' AS PAY_STAT,
		IF(RESERVE_STAT='5','완결','환불') AS PAY_STAT_NM,
		'' AS TOTAL_AMT,
		'' AS PAY_AMT,
		'' AS REMAIN_AMT,
		'' AS REFUND_AMT,
		'' AS CHG_RESERVE_NO,
		'-' AS COUPON_YN
        FROM   W_FREESEAT_RESERVE A,W_ROOM_MST B
        WHERE   'F' = IF('$reqUseKind'='','F','$reqUseKind')
	AND 	A.RESERVE_STAT IN ('1','4','5','7') 
        AND    	A.RESERVE_STAT = IF('$reqReserveStat' = '',RESERVE_STAT,'$reqReserveStat')
        AND    	(START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'  
        OR     	END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'
        OR     	'$reqStartTerm' BETWEEN START_DAY AND END_DAY
        OR     	'$reqEndTerm' BETWEEN START_DAY AND END_DAY)
        AND     A.ROOM_NO = B.ROOM_NO
        AND    	A.ROOM_NO = IF('$reqRoomNo' = '',A.ROOM_NO,'$reqRoomNo')
        AND   	USER_NM LIKE '%$reqUserNm%'       
        AND   	USER_ID LIKE '%$reqUserId%'       
	UNION ALL
        SELECT  '시간제' AS USE_KIND,
		A.RESERVE_NO,
		A.ROOM_NO,
                B.ROOM_NM,
                '-' AS SEAT_NO,
                A.USE_DAY AS START_DAY,
                A.USE_DAY AS END_DAY,
                FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS START_DAY_TXT,
                FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS END_DAY_TXT,
                A.USER_ID,
                A.USER_NM,
                FN_CONV_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'H:i') AS START_TM,
                FN_CONV_DATE(CONCAT(A.USE_DAY,A.END_TM,'00'),'H:i') AS END_TM,
                A.START_TM AS START_TM_TMP,
                A.END_TM AS END_TM_TMP,
                A.RESERVE_STAT,
                FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
                A.PAY_STAT,
                FN_GET_CODE('PAY_STAT',A.PAY_STAT) AS PAY_STAT_NM,
                A.TOTAL_AMT,
                A.PAY_AMT,
                A.REMAIN_AMT,
                A.REFUND_AMT,
                (SELECT COUNT(RESERVE_NO) FROM W_SEAT_RESERVE WHERE CHG_RESERVE_NO = A.RESERVE_NO) AS CHG_RESERVE_NO,
                C.COUPON_YN
        FROM    W_ROOM_MST B,W_SEAT_RESERVE A,W_SEAT_PAYMENT C
        WHERE   'T' = IF('$reqUseKind'='','T','$reqUseKind')
	AND      A.ROOM_NO = B.ROOM_NO
        AND     A.ROOM_NO = 0
        AND     A.SEAT_NO = IF('$reqSeatNo' = '',A.SEAT_NO,'$reqSeatNo')
        AND     A.RESERVE_STAT != '0'
        AND     A.RESERVE_STAT = IF('$reqReserveStat' = '',A.RESERVE_STAT,'$reqReserveStat')
        AND     A.USE_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'    
        AND     A.USER_NM LIKE '%$reqUserNm%' 
        AND     A.USER_ID LIKE '%$reqUserId%' 
        AND     A.CHG_RESERVE_NO IN ('','0','1','3','2')
        AND     A.RESERVE_NO = C.RESERVE_NO
	UNION ALL
	SELECT  '시간제외상' AS USE_KIND,
		A.RESERVE_NO,
		'-' AS ROOM_NO,
		'Time Zone' AS ROOM_NM,
		'-' AS SEAT_NO,
                A.START_DAY,
                A.END_DAY,
                FN_CONV_DATE(CONCAT(A.START_DAY,'000000'),'Y-m-d') AS START_DAY_TXT,
                FN_CONV_DATE(CONCAT(A.END_DAY,'000000'),'Y-m-d') AS END_DAY_TXT,
                A.USER_ID,
                B.username AS USER_NM,
                FN_CONV_DATE(CONCAT(A.START_DAY,A.START_TM,'00'),'H:i') AS START_TM,
                FN_CONV_DATE(CONCAT(A.END_DAY,A.END_TM,'00'),'H:i') AS END_TM,
                A.START_TM AS START_TM_TMP,
                A.END_TM AS END_TM_TMP,
                A.RESERVE_STAT,
                FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
                A.PAY_STAT,
                FN_GET_CODE('PAY_STAT',A.PAY_STAT) AS PAY_STAT_NM,
                TOTAL_AMT,
                PAY_AMT,
                REMAIN_AMT,
                REFUND_AMT,
		'' AS CHG_RESERVE_NO,
		'-' AS COUPON_YN
        FROM    W_FREESEAT_NO_OUT A ,RT_USER B
        WHERE   'C' = IF('$reqUseKind'='','C','$reqUseKind')
       	AND   	(START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' OR END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm') 
        AND     A.RESERVE_STAT != '0'
        AND     A.USER_ID LIKE '%$reqUserId%' 
        AND     A.USER_ID = B.userId
        AND     B.userName LIKE '%$reqUserNm%' 
	UNION ALL
	SELECT  '팀룸' AS USE_KIND,
		A.RESERVE_NO,
		A.SROOM_NO AS ROOM_NO,
                B.SROOM_NM AS ROOM_NM,
		'-' AS SEAT_NO,
                A.USE_DAY AS START_DAY,
                A.USE_DAY AS END_DAY,
                FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS START_DAY_TXT,
                FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS END_DAY_TXT,
                A.USER_ID,
                A.USER_NM,
                A.START_TM AS START_TM_TMP,
                A.END_TM AS END_TM_TMP,
                CONCAT(SUBSTRING(A.START_TM,1,2),':',SUBSTRING(A.START_TM,3,2)) AS START_TM,
                CONCAT(SUBSTRING(A.END_TM,1,2),':',SUBSTRING(A.END_TM,3,2)) AS END_TM,
                A.RESERVE_STAT,
                FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
                A.PAY_STAT,
		IF(RESERVE_STAT='1','환불','완결') AS PAY_STAT_NM,
                TOTAL_AMT,
                PAY_AMT,
                REMAIN_AMT,
                REFUND_AMT,
		'' AS CHG_RESERVE_NO,
		'-' AS COUPON_YN
        FROM    W_SROOM_RESERVE A,W_SROOM_MST B 
        WHERE   'S' = IF('$reqUseKind'='','S','$reqUseKind')
        AND   	A.SROOM_NO = B.SROOM_NO
        AND     A.SROOM_NO = IF('$reqRoomNo' = '',A.SROOM_NO,'$reqRoomNo')
        AND     A.RESERVE_STAT != '0'
        AND     A.RESERVE_STAT = IF('$reqReserveStat' = '',A.RESERVE_STAT,'$reqReserveStat')
        AND     A.PAY_STAT != '9'
        AND     A.USE_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'
        AND     A.RESERVE_NO IN (SELECT RESERVE_NO FROM W_SROOM_RESERVE_SUB WHERE USER_NM LIKE '%$reqUserNm%' AND USER_ID LIKE '%$reqUserId%') 
)Z
ORDER BY START_DAY DESC

";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('USE_KIND',$row['USE_KIND']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('START_DAY',$row['START_DAY']));
		$tagReserve->appendChild($domtree->createElement('START_DAY_TXT',$row['START_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('END_DAY',$row['END_DAY']));
		$tagReserve->appendChild($domtree->createElement('END_DAY_TXT',$row['END_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT_NM',$row['RESERVE_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('START_TM',$row['START_TM']));
		$tagReserve->appendChild($domtree->createElement('END_TM',$row['END_TM']));
		$tagReserve->appendChild($domtree->createElement('START_TM_TMP',$row['START_TM_TMP']));
		$tagReserve->appendChild($domtree->createElement('END_TM_TMP',$row['END_TM_TMP']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT_NM',$row['PAY_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('TOTAL_AMT',$row['TOTAL_AMT']));
		$tagReserve->appendChild($domtree->createElement('PAY_AMT',$row['PAY_AMT']));
		$tagReserve->appendChild($domtree->createElement('REMAIN_AMT',$row['REMAIN_AMT']));
		$tagReserve->appendChild($domtree->createElement('REFUND_AMT',$row['REFUND_AMT']));
		$tagReserve->appendChild($domtree->createElement('CHG_RESERVE_NO',$row['CHG_RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('COUPON_YN',$row['COUPON_YN']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
