<?php
/**

 * @brief : 자기자신 파일 명

 **/
/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//$arrParamUser = makeArrParam($arrUser,'|');
//echo $arrParamUser."<BR>";
//exit;
$userArray = makeArr($arrUser,'|');
$dupUser = "";
$dupCnt = 0;
for($i=0;$i<count($userArray);$i++)
{
	for($j=0;$j<count($userArray);$j++)
	{
		
		if($i != $j && $userArray[$i] == $userArray[$j])
		{
			$dupCnt++;
			$dupUser = $userArray[$i];
			errorXML('E021','동반 이용자 중 중복 이용자가 있습니다.  ['.$dupUser.']');
			exit;
			//$i = count($userArray);
		}
	}
}
$userCnt = count(makeArr($arrUser,'|'));
if($userCnt==0)
{
	$userCnt = 1;
}
/************************************************************************/
/*                   휴일                                              */
/************************************************************************/
if($useDay == '20180216' || $useDay == '20180217')
{
	errorXML('D000','2/16(금)~2/17(토) 설 연휴 휴관안내|좌석/팀룸 예약은 2/18(일)부터 정상 운영되니 |이용에 참고 부탁 드립니다.');
        exit;

}

/*
if($userCnt < 3)
{
	errorXML('E011','');
}
*/
//echo $userId;
/************************************************************************/
/*                   예약시간 체크                                      */
/************************************************************************/
//if($startTm < '0030' && $useDay == '20180202')
/*
if($startTm < $timeFormat['Hi'] && $useDay == $timeFormat['YMD'])
{

        errorXML('D000','현재시간보다 이전 시간 예약을 할 수 없습니다.');
        exit;

}
if( $useDay < $timeFormat['YMD'])
{

        errorXML('D000','현재날짜보다 이전 날짜 예약을 할 수 없습니다.');
        exit;

}
*/
if($startTm >= '0000' && $startTm < '0700')
{       
        errorXML('D000','예약시간은 07:00 ~ 25:00까지 입니다.');
        exit;
}
if($endTm >= '0000' && $endTm < '0700')
{
        errorXML('D000','예약시간은 07:00 ~ 25:00까지 입니다.');
        exit;
}
if($startTm >= $endTm )
{       
        errorXML('D000','종료시간을 확인해 주세요 .');
        exit; 
}

/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try 
{
 
	$pdo = pdoConn();
		
} 
catch (PDOException $pe) 
{
	errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}


/************************************************************************/
/*                  등록 아이디여부 체크                                */
/*                  등록 아이디는 과금하지 않음                         */
/************************************************************************/
$sql = "
        SELECT  1 AS USER_CNT
        FROM    W_SEAT_ID 
        WHERE   USER_ID = '$reqId'
";
$adminCnt = 0;
try
{
        foreach ($pdo->query($sql) as $row)
        {

                /* RESERVE CHILD NODE */
                $adminCnt = $row['USER_CNT'];
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
/************************************************************************/
/*                  어드민 아이디여부 체크                                */
/*                  등록 아이디는 과금하지 않음                         */
/************************************************************************/
$sql = "
        SELECT  1 AS ADMIN_CNT
        FROM    W_ADMIN_MST 
        WHERE   ADMIN_ID = '$regId'
";
try
{
        foreach ($pdo->query($sql) as $row)
        {

                /* RESERVE CHILD NODE */
                $adminCnt = $adminCnt + $row['ADMIN_CNT'];
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
if($adminCnt > 1)
{
	$userBalance = 0;
	$userRemCp = 0;
	$branchNo = 'M0';
	$cpYn = 'N';
	try 
	{
        	$reserveSql = 'CALL NEW_PR_RESERVE_SROOM_ADMIN(:i_userId,:i_sroomNo,:i_arrUser,:i_userCnt,:i_useDay,:i_startTm,:i_endTm,:i_branchNo,:i_regId,@o_resultCd,@o_resultMsg,@o_reserveNo)';
        	$stmt = $pdo->prepare($reserveSql);
        	$stmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
        	$stmt->bindParam(':i_sroomNo', $sroomNo, PDO::PARAM_INT);
        	$stmt->bindParam(':i_arrUser', $arrUser, PDO::PARAM_STR);
        	$stmt->bindParam(':i_userCnt', $userCnt, PDO::PARAM_INT);
        	$stmt->bindParam(':i_useDay', $useDay, PDO::PARAM_STR);
        	$stmt->bindParam(':i_startTm', $startTm, PDO::PARAM_STR);
        	$stmt->bindParam(':i_endTm', $endTm, PDO::PARAM_STR);
        	$stmt->bindParam(':i_branchNo', $branchNo, PDO::PARAM_STR);
        	$stmt->bindParam(':i_regId', $regId, PDO::PARAM_STR);

        	$stmt->execute();
        	$stmt->closeCursor();
 
        	// execute the second query to get values from OUT parameter
        	//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
        	$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt") ->fetch(PDO::FETCH_ASSOC);
        	if ($rs) 
		{
			//예약결과 
                	$reserveResultCd = $rs['@o_resultCd'];
                	$reserveResultMsg = $rs['@o_resultMsg'];
                	$reserveNo = $rs['@o_reserveNo'];
        	}
		else
		{
			errorXML('E012','');
		}
        	//echo $reserveResultMsg;
		
	} 
	catch (PDOException $pe) 
	{
		errorXML('E012',$pe->getMessage());
        	//die("Error occurred:" . $pe->getMessage());
	}
	if($reserveResultCd == 'G000')
	{
		$resultArr['RESULT_CD'] = '0000';
		$resultArr['RESULT_MSG'] = "예약이 완료되었습니다.관리자 예약으로 과금이되지 않습니다..";
		resultXML($resultArr);
		exit;
	}
	else
	{
		$resultArr['RESULT_CD'] = '0001';
		$resultArr['RESULT_MSG'] = "예약이 실패했습니다.";
		$resultArr['RESULT_MSG'] = $reserveResultMsg;
		resultXML($resultArr);
		exit;

	}


}
else
{
	/************************************************************************/
	/*                   잔액요청==>형아API                                 */
	/************************************************************************/
	$commonParam['REQ_ID'] = $reqId;
	$commonParam['REQ_FROM'] = $reqFrom;
	$curl_data = http_build_query($commonParam);
	$url = $haURL."getCreditSum.do"; 
	//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
	$response = get_curl($url,$curl_data); 

	//print_r($response);
	$userBalance =  parseXML('USER_CREDIT',$response);//이용자총 잔액
	$userRemCp =  parseXML('USER_PREPAYSUM',$response);//외상총잔액
	//$userBalance =  110;//이용자총 잔액
	/************************************************************************/
	/*                   좌석예약                                           */
	/************************************************************************/


	//printLog("PR_RESERVE_SROOM START ==>"); 
	try 
	{
        	$reserveSql = 'CALL NEW_PR_RESERVE_SROOM(:i_userId,:i_sroomNo,:i_arrUser,:i_userCnt,:i_useDay,:i_startTm,:i_endTm,:i_userBalance,:i_cpYn,:i_userRemCp,:i_branchNo,:i_regId,@o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt)';
        	$stmt = $pdo->prepare($reserveSql);
        	$stmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
        	$stmt->bindParam(':i_sroomNo', $sroomNo, PDO::PARAM_INT);
        	$stmt->bindParam(':i_arrUser', $arrUser, PDO::PARAM_STR);
        	$stmt->bindParam(':i_userCnt', $userCnt, PDO::PARAM_INT);
        	$stmt->bindParam(':i_useDay', $useDay, PDO::PARAM_STR);
        	$stmt->bindParam(':i_startTm', $startTm, PDO::PARAM_STR);
        	$stmt->bindParam(':i_endTm', $endTm, PDO::PARAM_STR);
        	$stmt->bindParam(':i_userBalance', $userBalance, PDO::PARAM_INT);
        	$stmt->bindParam(':i_cpYn', $cpYn, PDO::PARAM_STR); //외상
        	$stmt->bindParam(':i_userRemCp', $userRemCp, PDO::PARAM_INT);
        	$stmt->bindParam(':i_branchNo', $branchNo, PDO::PARAM_STR);
        	$stmt->bindParam(':i_regId', $regId, PDO::PARAM_STR);

        	$stmt->execute();
        	$stmt->closeCursor();
 
        	// execute the second query to get values from OUT parameter
        	//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
        	$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt") ->fetch(PDO::FETCH_ASSOC);
        	if ($rs) 
		{
			//예약결과 
                	$reserveResultCd = $rs['@o_resultCd'];
                	$reserveResultMsg = $rs['@o_resultMsg'];
                	$reserveNo = $rs['@o_reserveNo'];
                	$totAmt = $rs['@o_totAmt'];
                	$payAmt = $rs['@o_payAmt'];
                	$cpAmt = $rs['@o_cpAmt'];
        	}
		else
		{
			errorXML('E012','');
		}
        	//echo $reserveResultMsg;
		
	} 
	catch (PDOException $pe) 
	{
		errorXML('E012',$pe->getMessage());
        	//die("Error occurred:" . $pe->getMessage());
	}

	//printLog("PR_RESERVE_SROOM END ==>".$reserveResultCd); 
	//printLog("PR_RESERVE_SROOM END ==>".$reserveResultMsg); 
	//printLog("PAY AMT ==>".$payAmt."]"); 
	//좌석예약 성공 후 결제 요청
	if($reserveResultCd == 'G000')
	{
	//printLog("CP PAYMENT START ==>"); 
		//외상결제 먼저 처리
		if($cpAmt > 0 && $cpAmt != '')
		{
			$tmpStartDt = makeDt($useDay,$startTm);
                	$tmpEndDt = makeDt($useDay,$endTm);
			/************************************************************************/
			/*                   결제요청외상                                       */
			/************************************************************************/
			$commonParam['REQ_ID'] = $reqId;
			$commonParam['REQ_FROM'] = $reqFrom;
			$commonParam['REQ_PAY_TYPE'] = 'PCDTP';//R 크레딧 외상:PCDTP
			$commonParam['REQ_PAY_CHARGE'] = 'N'; //충전일때만 Y
			$commonParam['REQ_PAY_CREDIT'] = $cpAmt;
			$commonParam['REQ_PAY_WON'] = 0;
			$commonParam['REQ_PAY_NO'] = $reserveNo;
			$commonParam['REQ_PAY_PRDID'] = $prDidSroom;
			$commonParam['REQ_PAY_NAME'] = '스터디룸 예약';
			$commonParam['REQ_PAY_COUPON'] = 'N';
			$commonParam['REQ_PAY_COUPONID'] = 0;
			$commonParam['REQ_PAY_MEMO'] = '스터디룸 예약';
			$commonParam['REQ_START_DT'] = $tmpStartDt;
                	$commonParam['REQ_END_DT'] = $tmpEndDt;
			$curl_data = http_build_query($commonParam);
			$url = $haURL."setPayment.do"; 
			//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
			$response = get_curl($url,$curl_data); 
			/**************************************************************/
			/*             curl error 처리 예약 삭제                      */
			/*************************************************************/
			if($response == 'curl_error')
			{
				deleteSroomReserve($reserveNo,$reqId);
				exit;
			}
			/**************************************************************/
			$cpResultCd =  parseXML('RESULT_CD',$response);//결제결과
			$cpResultMsg =  parseXML('RESULT_MSG',$response);//결제결과
			$cpPaymentNo =  parseXML('PAY_RSTID',$response);//결제결과
			if($cpResultCd != '00')
			{
				deleteSroomReserve($reserveNo,$reqId,$cpResultMsg);
				exit;


			}
		}
//printLog("CP PAYMENT END ==>"); 
//printLog("POINT PAYMENT START ==>"); 
		if($payAmt > 0 && $payAmt != '')
		{
			$tmpStartDt = makeDt($useDay,$startTm);
                	$tmpEndDt = makeDt($useDay,$endTm);
			/************************************************************************/
			/*                   결제요청                                       */
			/************************************************************************/
			$commonParam['REQ_ID'] = $reqId;
			$commonParam['REQ_FROM'] = $reqFrom;
			$commonParam['REQ_PAY_TYPE'] = 'PRCRD';//R 크레딧 외상:PCDTP
			$commonParam['REQ_PAY_CHARGE'] = 'N'; //충전일때만 Y
			$commonParam['REQ_PAY_CREDIT'] = $payAmt;
			$commonParam['REQ_PAY_WON'] = 0;
			$commonParam['REQ_PAY_NO'] = $reserveNo.$reqId;
			$commonParam['REQ_PAY_PRDID'] = $prDidSroom;
			$commonParam['REQ_PAY_NAME'] = '스터디룸 예약';
			$commonParam['REQ_PAY_COUPON'] = 'N';
			$commonParam['REQ_PAY_COUPONID'] = 0;
			$commonParam['REQ_PAY_MEMO'] = '스터디룸 예약';
			$commonParam['REQ_START_DT'] = $tmpStartDt;
                	$commonParam['REQ_END_DT'] = $tmpEndDt;
			$curl_data = http_build_query($commonParam);
			$url = $haURL."setPayment.do"; 
			//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
			$response = get_curl($url,$curl_data); 
		
//print_r($curl_data);		
//print_r($response);		
			/**************************************************************/
			$payResultCd =  parseXML('RESULT_CD',$response);//결제결과
			$payResultMsg =  parseXML('RESULT_MSG',$response);//결제결과
			$payPaymentNo =  parseXML('PAY_RSTID',$response);//결제결과

			if($payResultCd != '00')
			{
				deleteSroomReserve($reserveNo,$reqId,$payResultMsg);
				exit;
			}
		
		}

//printLog("POINT PAYMENT END ==>"); 
		if(!isset($cpResultCd))
		{
			$cpResultCd = '';
		}
		if(!isset($payResultCd))
		{
			$payResultCd = '';
		}
		if(($cpAmt > 0 && $cpResultCd == '00') || ($payAmt > 0 && $payResultCd == '00'))
		{
//printLog("PR_RESERVE_SROOM_CONFIRM START ==>"); 
			/************************************************************************/
			/*                  결제결과 반영                                   */
			/************************************************************************/
			//결제결과반영 좌석 confirm or cancel
        		//RESERVE_SEAT reserve_stat ==> 5
        		//PAY_STAT ==> 0
        		//RESERVE_SEAT delete
        		//
			$deleteSql = 'CALL NEW_PR_RESERVE_SROOM_CONFIRM(:i_userId,:i_reserveNo,:i_payPaymentNo,:i_payAmt,:i_cpPaymentNo,:i_cpAmt,:i_regId,@o_resultCd,@o_resultMsg)';
        		$stmt = $pdo->prepare($deleteSql);
        		$stmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
        		$stmt->bindParam(':i_reserveNo', $reserveNo, PDO::PARAM_STR);
        		$stmt->bindParam(':i_payPaymentNo', $payPaymentNo, PDO::PARAM_STR);
        		$stmt->bindParam(':i_payAmt', $payAmt, PDO::PARAM_INT);
        		$stmt->bindParam(':i_cpPaymentNo', $cpPaymentNo, PDO::PARAM_STR);
        		$stmt->bindParam(':i_cpAmt', $cpAmt, PDO::PARAM_INT);
        		$stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
       			$stmt->execute();
       			$stmt->closeCursor();

       			// execute the second query to get values from OUT parameter
       			//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
       			$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg") ->fetch(PDO::FETCH_ASSOC);

       			if($rs)
       			{
                		//confirm/cancel 결과 
               			$confirmResultCd = $rs['@o_resultCd'];
               			$confirmResultMsg = $rs['@o_resultMsg'];

			}
			else
			{
				//
				errorXML('P001',$cpResultMsg);
				exit;
			}
			if($confirmResultCd != 'P000')
			{
				//결제취소 setRefund.do 호출하고
                        	//PR_RESERVE_SEAT_DELETE 호출
			}

		}
		
//printLog("PR_RESERVE_SROOM_CONFIRM END ==>"); 

	}
	else
	{
		errorXML($reserveResultCd,$reserveResultMsg);
		exit;
	}
	/************************************************************************/
	/*                  좌석 예약 결과                                     */
	/************************************************************************/
	if($cpAmt > 0)
	{
		$resultArr['RESULT_CD'] = '0000';
		$resultArr['RESULT_MSG'] = "잔여 'R'이 부족합니다.|예약은 완료되었으나,|입장 전 'R'을 충전하여 | 결제하셔야 열람실 입장이 가능합니다.";
		resultXML($resultArr);
	}
	if($cpAmt == 0 && $payAmt > 0)
	{
		$resultArr['RESULT_CD'] = '0000';
		$resultArr['RESULT_MSG'] = '-예약취소 환불 규정-|시작시간1분전까지 100%환불,|시작시간 이후에는  환불 불가합니다.';
		resultXML($resultArr);
	}
}	
$pdo = null;
$pdoConn = null;
exit;

function deleteSroomReserve($pReserveNo,$pReqId,$pPayResultMsg)
{
	/*******************************************************/
	/*          결제 오류로 예약삭제                       */
	/*******************************************************/
       	//
	$pdoConn = pdoConn();
	$deleteSql = 'CALL NEW_PR_RESERVE_SROOM_DELETE(:i_userId,:i_reserveNo,@o_resultCd,@o_resultMsg)';
       	$stmt = $pdoConn->prepare($deleteSql);
       	$stmt->bindParam(':i_userId', $pReqId, PDO::PARAM_STR);
        $stmt->bindParam(':i_reserveNo', $pReserveNo, PDO::PARAM_STR);
       	$stmt->execute();
       	$stmt->closeCursor();

       	// execute the second query to get values from OUT parameter
       	//$rs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
       	$rs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg") ->fetch(PDO::FETCH_ASSOC);

       	if ($rs)
       	{
       	//confirm/cancel 결과 
       		$delResultCd = $rs['@o_resultCd'];
       		$delResultMsg = $rs['@o_resultMsg'];
		if($delResultCd == 'D000')
		{
			errorXML($delResultCd,$delResultMsg."(".$pPayResultMsg.")");
			exit;
		}	


	}
	else
	{
	//
		errorXML('P001',$cpResultMsg);
		exit;
	}
$pdoConn = null;
}
		
?>
