<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try
{

        $pdo = pdoConn();

}
catch (PDOException $pe)
{
        errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}


/************************************************************************/
/*                  TRANSACTION START                                   */
/************************************************************************/
$pdo->beginTransaction();



/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = " DELETE FROM W_ADMIN_MENU WHERE ADMIN_ID = :i_adminId 
";
//echo $sql;
//echo $phpSelf;
//$pdoConn = pdoConn();
try
{
        $stmt = $pdo->prepare($sql);
        $stmt->bindParam(':i_adminId', $reqAdminId, PDO::PARAM_STR);
        $stmt->execute();
//print_r($stmt);

}
catch (PDOException $pe)
{
	$pdo->rollBack();
	$resultArr['RESULT_CD'] = '0001';
	$resultArr['RESULT_MSG'] = '메뉴 저장 중 오류가 발생했습니다.';
	resultXML($resultArr);
 //             $userId = "";
 //             $qrCode = "";
}
/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "INSERT INTO W_ADMIN_MENU 
	SELECT :i_adminId,MENU_ID,'N'
	FROM
	(
	SELECT MENU_ID
	FROM
	(
		SELECT A.UPPER_MENU_ID AS MENU_ID
		FROM   W_MENU_MST A,
			(
			SELECT substring_index(
    				substring_index(A.menu_Id, '|', N),'|', -1) AS MENU_ID
			from (SELECT :i_menuArr AS menu_id) A join W_TCOPY on char_length(A.menu_Id) - char_length(replace(A.menu_Id, '|', ''))  >= N - 1
   		) B
		WHERE A.MENU_ID = B.MENU_ID
		GROUP BY A.UPPER_MENU_ID
	UNION ALL
	SELECT substring_index(
    		substring_index(A.menu_Id, '|', N),'|', -1) AS MENU_ID
	from (SELECT :i_menuArr AS menu_id) A join W_TCOPY on char_length(A.menu_Id) - char_length(replace(A.menu_Id, '|', ''))  >= N - 1
	) Z
	) X
	GROUP BY MENU_ID
";
//echo $phpSelf;
//$pdoConn = pdoConn();
try
{
        $stmt = $pdo->prepare($sql);
        $stmt->bindParam(':i_adminId', $reqAdminId, PDO::PARAM_STR);
        $stmt->bindParam(':i_menuArr', $reqAuthMenu, PDO::PARAM_STR);
        $stmt->bindParam(':i_menuArr', $reqAuthMenu, PDO::PARAM_STR);
        $stmt->execute();
//print_r($stmt);

}
catch (PDOException $pe)
{
	$pdo->rollBack();
	$resultArr['RESULT_CD'] = '0002';
	$resultArr['RESULT_MSG'] = '메뉴 저장 중 오류가 발생했습니다.';
	resultXML($resultArr);
 //             $userId = "";
 //             $qrCode = "";
}



/************************************************************************/
/*                  TRANSACTION END                                   */
/************************************************************************/
$pdo->commit();


/************************************************************************/
/*                  MAKE RESULT XML                                     */
/************************************************************************/
$resultArr['RESULT_CD'] = '0000';
$resultArr['RESULT_MSG'] = '저장되었습니다.';
resultXML($resultArr);

$pdo = null;
$pdoConn =null;
exit;
?>
