<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];

/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$pdoConn = pdoConn();
if($reqAct == 'DELETE' )
{
        	$sql = "UPDATE W_FREESEAT_NO_OUT SET RESERVE_STAT = '1',PAY_STAT='4',
						     UPD_ID = :i_regId,
						     UPD_DT = DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') 
						 WHERE RESERVE_NO = :i_reserveNo
                                ";
                try
                {
                	$stmt = $pdoConn->prepare($sql);
                        $stmt->bindParam(':i_regId', $reqId, PDO::PARAM_STR);
                        $stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
                        $stmt->execute();
//print_r($stmt);

                }
                catch (PDOException $pe)
                {
                	errorXML('E003','');
               	 	exit;
                }
                $resultArr['RESULT_CD'] = '0000';
                $resultArr['RESULT_MSG'] = '취소되었습니다.';
                resultXML($resultArr);
                exit;

}
else if($reqAct == 'UPDATE')
{
        	$sql = "UPDATE W_FREESEAT_NO_OUT SET RESERVE_NO = CONCAT(DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s'),FLOOR(rand()*1000000)),TOTAL_AMT = :i_reqAmt,
						     REMAIN_AMT = :i_reqAmt,
						     UPD_ID = :i_regId,
						     UPD_DT = DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') 
						 WHERE RESERVE_NO = :i_reserveNo
                                ";
                try
                {
                	$stmt = $pdoConn->prepare($sql);
                        $stmt->bindParam(':i_reqAmt', $reqAmt, PDO::PARAM_INT);
                        $stmt->bindParam(':i_reqAmt', $reqAmt, PDO::PARAM_INT);
                        $stmt->bindParam(':i_regId', $reqId, PDO::PARAM_STR);
                        $stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
                        $stmt->execute();
//print_r($stmt);

                }
                catch (PDOException $pe)
                {
                	errorXML('E003','');
               	 	exit;
                }
                $resultArr['RESULT_CD'] = '0000';
                $resultArr['RESULT_MSG'] = '금액이 수정되었습니다.';
                resultXML($resultArr);
                exit;





}
else if($reqAct == 'PAYMENT')
{
	$sql = "SELECT  START_DAY,
			START_TM,
			END_DAY,
			END_TM,
			USER_ID
                FROM   W_FREESEAT_NO_OUT 
                WHERE  RESERVE_NO = '$reqReserveNo'
                ";
        $pdoConn = pdoConn();
        try
        {
                foreach ($pdoConn->query($sql) as $row)
                {
                        $userId = $row['USER_ID'];
                        $startDay = $row['START_DAY'];
                        $startTm = $row['START_TM'];
                        $endDay = $row['END_DAY'];
                        $endTm = $row['END_TM'];

                }
        }
        catch (PDOException $pe)
        {

        }
	/************************************************************************/
	/*                   잔액요청==>형아API                                 */
	/************************************************************************/
	$commonParam['REQ_ID'] = $userId;
	$curl_data = http_build_query($commonParam);
	$url = $haURL."getCreditSum.do";
	//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
	$response = get_curl($url,$curl_data);

	//print_r($response);
	$userBalance =  parseXML('USER_CREDIT',$response);//이용자총 잔액
	$userRemCp =  parseXML('USER_PREPAYSUM',$response);//외상총잔액
	if($userBalance < $reqAmt)
	{	
                $resultArr['RESULT_CD'] = '0001';
                $resultArr['RESULT_MSG'] = '잔액('.$userBalance.')이 부족합니다.충전 후 다시 결제하시기 바랍니다.';
                resultXML($resultArr);
                exit;
	}
	
	$tmpStartDt = makeDt($startDay,$startTm);
        $tmpEndDt = makeDt($endDay,$endTm);
        /************************************************************************/
        /*                   결제요청                                       */
        /************************************************************************/
        $commonParam['REQ_ID'] = $userId;
        $commonParam['REQ_PAY_TYPE'] = 'PRCRD';//R 크레딧 외상:PCDTP
        $commonParam['REQ_PAY_CHARGE'] = 'N'; //충전일때만 Y
        $commonParam['REQ_PAY_CREDIT'] = $reqAmt;
        $commonParam['REQ_PAY_WON'] = 0;
        $commonParam['REQ_PAY_NO'] = $reqReserveNo;
        $commonParam['REQ_PAY_PRDID'] = $prDidSeat;
        $commonParam['REQ_PAY_NAME'] = '좌석예약';
        $commonParam['REQ_PAY_COUPON'] = 'N';
        $commonParam['REQ_PAY_COUPONID'] = 0;
        $commonParam['REQ_PAY_MEMO'] = '좌석예약';
        $commonParam['REQ_START_DT'] = $tmpStartDt;
        $commonParam['REQ_END_DT'] = $tmpEndDt;
        $curl_data = http_build_query($commonParam);
        $url = $haURL."setPayment.do";
        //$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
        $response = get_curl($url,$curl_data);
        /*************************************************************/
        $payResultCd =  parseXML('RESULT_CD',$response);//결제결과
        $payResultMsg =  parseXML('RESULT_MSG',$response);//결제결과
        $payPaymentNo =  parseXML('PAY_RSTID',$response);//결제결과

	if($payResultCd != '00')
	{	
                $resultArr['RESULT_CD'] = '0001';
                $resultArr['RESULT_MSG'] = '결제 시 오류가 발생했습니다.시스템 담당자에게 문의하시기 바랍니다.';
                resultXML($resultArr);
                exit;
	}
	else
	{	
		$pdoConn->beginTransaction();
        	$sql = "UPDATE W_FREESEAT_NO_OUT SET PAY_STAT = '0',PAY_AMT = :i_reqAmt,
						     REMAIN_AMT = 0,
						     UPD_ID = :i_regId,
						     UPD_DT = DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') 
						 WHERE RESERVE_NO = :i_reserveNo
                                ";
                try
                {
                	$stmt = $pdoConn->prepare($sql);
                        $stmt->bindParam(':i_reqAmt', $reqAmt, PDO::PARAM_INT);
                        $stmt->bindParam(':i_regId', $reqId, PDO::PARAM_STR);
                        $stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
                        $stmt->execute();
//print_r($stmt);

                }
                catch (PDOException $pe)
                {
			$pdoConn->rollBack();
                	errorXML('E003','');
               	 	exit;
		}
        	$sql = "INSERT INTO W_SEAT_PAYMENT VALUES(:i_reserveNo,0,:i_paymentNo,'R',DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s'),'P',:i_reqAmt,'N','',0,'','',:i_regId,DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s'),'','');
                                ";
                try
                {
                	$stmt = $pdoConn->prepare($sql);
                        $stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
                        $stmt->bindParam(':i_paymentNo', $payPaymentNo, PDO::PARAM_STR);
                        $stmt->bindParam(':i_reqAmt', $reqAmt, PDO::PARAM_INT);
                        $stmt->bindParam(':i_regId', $reqId, PDO::PARAM_STR);
                        $stmt->execute();
//print_r($stmt);

                }
                catch (PDOException $pe)
                {
			$pdoConn->rollBack();
                	errorXML('E003','');
               	 	exit;
		}
		
		$pdoConn->commit();		
                $resultArr['RESULT_CD'] = '0000';
                $resultArr['RESULT_MSG'] = "결제되었습니다.";
                resultXML($resultArr);
                exit;

	}

}
else if($reqAct == 'CANCEL')
{
	$sql = "SELECT  PAYMENT_NO,
			A.PAY_AMT,
			USER_ID 
                FROM    W_FREESEAT_NO_OUT A,W_SEAT_PAYMENT B 
                WHERE   A.RESERVE_NO = '$reqReserveNo'
		AND     A.RESERVE_NO = B.RESERVE_NO
                ";
        $pdoConn = pdoConn();
        try
        {
                foreach ($pdoConn->query($sql) as $row)
                {
                        $paymentNo= $row['PAYMENT_NO'];
                        $payAmt = $row['PAY_AMT'];
                        $userId = $row['USER_ID'];

                }
        }
        catch (PDOException $pe)
        {
	}
	/************************************************************************/
        /*                  외상 결제 처리                                      */
        /************************************************************************/
        $commonParam['REQ_ID'] = $userId;
        $commonParam['REFUND_TYPE'] = '00';
        $commonParam['REFUND_CREDIT'] = $payAmt;//1초전까지는 100% 환불 
        $commonParam['REFUND_NO'] = $reqReserveNo;
        $commonParam['REFUND_MEMO'] = '좌석예약취소';
        $commonParam['PAY_RSTID'] = $paymentNo;
        $commonParam['PAY_NO'] = $reqReserveNo;
        $commonParam['PAY_PRDID'] = $prDidSeat;  //'UR001'
        $commonParam['PAY_NAME'] = "좌석예약";
        $curl_data = http_build_query($commonParam);
        $url = $haURL."setRefund.do";
        //$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
        $response = get_curl($url,$curl_data);
//print_r($response);
        $resultCd =  parseXML('RESULT_CD',$response);//이용자총 잔액
        $resultMsg =  parseXML('RESULT_MSG',$response);//외상총잔액
	if($resultCd == '00')
	{
		$pdoConn->beginTransaction();
        	$sql = "UPDATE W_FREESEAT_NO_OUT SET PAY_STAT = '1',PAY_AMT = 0,
						     REMAIN_AMT = :i_reqAmt,
						     UPD_ID = :i_regId,
						     UPD_DT = DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') 
						 WHERE RESERVE_NO = :i_reserveNo
                                ";
                try
                {
                	$stmt = $pdoConn->prepare($sql);
                        $stmt->bindParam(':i_reqAmt', $payAmt, PDO::PARAM_INT);
                        $stmt->bindParam(':i_regId', $reqId, PDO::PARAM_STR);
                        $stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
                        $stmt->execute();
//print_r($stmt);

                }
                catch (PDOException $pe)
                {
			$pdoConn->rollBack();
                	errorXML('E003','');
               	 	exit;
		}
        	$sql = "DELETE W_SEAT_PAYMENT WHERE RESERVE_NO = :i_reserveNo;
                                ";
                try
                {
                	$stmt = $pdoConn->prepare($sql);
                        $stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
                        $stmt->execute();
//print_r($stmt);

                }
                catch (PDOException $pe)
                {
			$pdoConn->rollBack();
                	errorXML('E003','');
               	 	exit;
		}
		
		$pdoConn->commit();		
                $resultArr['RESULT_CD'] = '0000';
                $resultArr['RESULT_MSG'] = "환불되었습니다.";
                resultXML($resultArr);
	}
}
$pdo=null;
$pdoConn =null;
?>
