<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try
{

        $pdo = pdoConn();

}
catch (PDOException $pe)
{
        errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}


/************************************************************************/
/*                  TRANSACTION START                                   */
/************************************************************************/
$pdo->beginTransaction();

if($reqAct == 'REG')
{
	/************************************************************************/
	/*                  RESERVE LIST                                        */
	/************************************************************************/
	$sql = " INSERT INTO W_HOLIDAY VALUES(:i_holiday,:i_holidayNm,:i_rem,:i_regId,DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s'),'','')
	";
//echo $phpSelf;
//$pdoConn = pdoConn();
	try
	{
       		$stmt = $pdo->prepare($sql);
       		$stmt->bindParam(':i_holiday', $reqHoliday, PDO::PARAM_STR);
       		$stmt->bindParam(':i_holidayNm', $reqHolidayNm, PDO::PARAM_STR);
       		$stmt->bindParam(':i_rem', $reqRem, PDO::PARAM_STR);
       		$stmt->bindParam(':i_regId', $regId, PDO::PARAM_STR);
       		$stmt->execute();
//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		$resultArr['RESULT_MSG'] = '휴일 저장 중 오류가 발생했습니다.';
		resultXML($resultArr);
		exit;
	}
	if($stmt->errorCode() == '23000')	
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		$resultArr['RESULT_MSG'] = '이미 등록하신 휴일입니다.';
		resultXML($resultArr);
		exit;
	}
 //             $userId = "";
 //             $qrCode = "";
}
if($reqAct == 'DELETE')
{
	/************************************************************************/
	/*                  RESERVE LIST                                        */
	/************************************************************************/
	$sql = " DELETE FROM  W_HOLIDAY WHERE HOLIDAY = :i_holiday
	";
//echo $sql;
//echo $phpSelf;
//$pdoConn = pdoConn();
	try
	{
       		$stmt = $pdo->prepare($sql);
       		$stmt->bindParam(':i_holiday', $reqHoliday, PDO::PARAM_STR);
       		$stmt->execute();
//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		$resultArr['RESULT_MSG'] = '휴일 삭제 중 오류가 발생했습니다.';
		resultXML($resultArr);
		exit;
	}
 //             $userId = "";
 //             $qrCode = "";
}
/************************************************************************/
/*                  TRANSACTION END                                   */
/************************************************************************/
$pdo->commit();


/************************************************************************/
/*                  MAKE RESULT XML                                     */
/************************************************************************/
$resultArr['RESULT_CD'] = '0000';
$resultArr['RESULT_MSG'] = '처리되었습니다.';
resultXML($resultArr);

$pdo = null;
$pdoConn =null;
exit;
?>
