<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try
{

        $pdo = pdoConn();

}
catch (PDOException $pe)
{
        errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}


/************************************************************************/
/*                  TRANSACTION START                                   */
/************************************************************************/
$pdo->beginTransaction();

if($reqAct == 'REG')
{
	/************************************************************************/
	/*                  RESERVE LIST                                        */
	/************************************************************************/
	$sql = " INSERT INTO W_SEAT_ID VALUES(:i_userId,:i_userNm,'',:i_regId,DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s'))
	";
//echo $sql;
//echo $phpSelf;
//$pdoConn = pdoConn();
	try
	{
       		$stmt = $pdo->prepare($sql);
       		$stmt->bindParam(':i_userId', $reqUserId, PDO::PARAM_STR);
       		$stmt->bindParam(':i_userNm', $reqUserNm, PDO::PARAM_STR);
       		$stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
       		$stmt->execute();
//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		$resultArr['RESULT_MSG'] = '관리용 아이디 저장 중 오류가 발생했습니다.';
		resultXML($resultArr);
		exit;
	}
	if($stmt->errorCode() == '23000')	
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		$resultArr['RESULT_MSG'] = '이미 존재하는 아이디입니다.';
		resultXML($resultArr);
		exit;
	}
 //             $userId = "";
 //             $qrCode = "";
}
if($reqAct == 'DELETE')
{
	/************************************************************************/
	/*                  RESERVE LIST                                        */
	/************************************************************************/
	$sql = " DELETE FROM  W_SEAT_ID WHERE USER_ID = :i_userId
	";
//echo $sql;
//echo $phpSelf;
//$pdoConn = pdoConn();
	try
	{
       		$stmt = $pdo->prepare($sql);
       		$stmt->bindParam(':i_userId', $reqUserId, PDO::PARAM_STR);
       		$stmt->execute();
//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		$resultArr['RESULT_MSG'] = '관리용 아이디 저장 중 오류가 발생했습니다.';
		resultXML($resultArr);
		exit;
	}
 //             $userId = "";
 //             $qrCode = "";
}
/************************************************************************/
/*                  TRANSACTION END                                   */
/************************************************************************/
$pdo->commit();


/************************************************************************/
/*                  MAKE RESULT XML                                     */
/************************************************************************/
$resultArr['RESULT_CD'] = '0000';
$resultArr['RESULT_MSG'] = '저장되었습니다.';
resultXML($resultArr);

$pdo = null;
$pdoConn =null;
exit;
?>
