<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try
{

        $pdo = pdoConn();

}
catch (PDOException $pe)
{
        errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}

/************************************************************************/
/*                  TRANSACTION START                                   */
/************************************************************************/
$pdo->beginTransaction();

if($reqSendMethod == 'RESERVE')
{
	$sendDt = $reqSendYmd.$reqSendTm.$reqSendMin.'00';
}
if($reqSendMethod == 'NOW')
{
	$sendDt = date('YmdHis');
}


$msgId = 0;
$sql = "SELECT IF(MAX(msg_id) IS NULL,0,MAX(msg_id))+1 AS MSG_ID FROM `W_GROUP_PUSH_MST`
                ";

//echo $sql;
$pdoConn = pdoConn();
try
{
        foreach ($pdo->query($sql) as $row)
        {

                /* RESERVE NODE */
                /* RESERVE CHILD NODE */
                $msgId = $row['MSG_ID'];
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}

	/************************************************************************/
	/*                  GROUP PUSH MASTER                                   */
	/************************************************************************/
	$sql = " INSERT INTO W_GROUP_PUSH_MST VALUES(:i_msgId,:i_msgKind,:i_sendAdminId,:i_sendAdminNm,:i_pushMsg,:i_targetCnt,0,0,:i_targetKind,:i_sendMethod,:i_sendDt,'',:i_keepPeriod,:i_regId,DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s'),'','')
	";
	try
	{
       		$stmt = $pdo->prepare($sql);
       		$stmt->bindParam(':i_msgId', $msgId, PDO::PARAM_STR);
       		$stmt->bindParam(':i_msgKind', $reqMsgKind, PDO::PARAM_STR);
       		$stmt->bindParam(':i_sendAdminId', $reqSendAdminId, PDO::PARAM_STR);
       		$stmt->bindParam(':i_sendAdminNm', $reqSendAdminNm, PDO::PARAM_STR);
       		$stmt->bindParam(':i_pushMsg', $reqPushMsg, PDO::PARAM_STR);
       		$stmt->bindParam(':i_targetCnt', $reqTargetCnt, PDO::PARAM_INT);
       		$stmt->bindParam(':i_targetKind', $reqTargetKind, PDO::PARAM_STR);
       		$stmt->bindParam(':i_sendMethod', $reqSendMethod, PDO::PARAM_STR);
       		$stmt->bindParam(':i_sendDt', $sendDt, PDO::PARAM_STR);
       		$stmt->bindParam(':i_keepPeriod', $reqKeepPeriod, PDO::PARAM_INT);
       		$stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
       		$stmt->execute();
//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		resultXML($resultArr);
		exit;
	}
	/************************************************************************/
	/*                  GROUP PUSH                                         */
	/************************************************************************/
	if($reqTargetKind == 'A')
	{
        	$sql = "INSERT INTO W_GROUP_PUSH_TBL
			SELECT 
                		NULL,
                		:i_msgId,
				CONCAT(:i_msgKind,'001'),
                		userId ,
                		:i_sendDt,
                		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') INSERT_DT,
				'',
                		1,
                		0,
                		'N',
                		'',
                		:i_pushMsg AS pushMsg,
                		IF(pushKey is null,'1',pushKey) AS pushKey,
				userPhone,
                		:i_regId,
                		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') REG_DT,
                		'' UPD_ID,
                		'' UPD_DT
                	FROM   RT_USER
                	WHERE  pushkey != ''";
	}
	if($reqTargetKind == 'G')
	{
        	$sql = "INSERT INTO W_GROUP_PUSH_TBL
			SELECT 
                		NULL,
                		:i_msgId,
				CONCAT(:i_msgKind,'001'),
                		A.USER_ID As userId,
                		:i_sendDt,
                		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') INSERT_DT,
				'',
                		1,
                		0,
                		'N',
                		'',
                		:i_pushMsg AS pushMsg,
                		IF(B.pushKey is null,'1',B.pushKey) AS pushKey,
				B.userPhone,
                		:i_regId,
                		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') REG_DT,
                		'' UPD_ID,
                		'' UPD_DT
                	FROM   WG_STATUS A,RT_USER B
                	WHERE  A.INOUT_STATUS = 'I'
			AND    A.USER_ID = B.userId";
	}
	if($reqTargetKind == 'R')
	{
        	$sql = "INSERT INTO W_GROUP_PUSH_TBL
			SELECT 
                		NULL,
                		:i_msgId,
				CONCAT(:i_msgKind,'001'),
                		A.USER_ID As userId,
                		:i_sendDt,
                		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') INSERT_DT,
				'',
                		1,
                		0,
                		'N',
                		'',
                		:i_pushMsg AS pushMsg,
                		IF(B.pushKey is null,'1',B.pushKey) AS pushKey,
				B.userPhone,
                		:i_regId,
                		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') REG_DT,
                		'' UPD_ID,
                		'' UPD_DT
                	FROM   W_SEAT_RESERVE A,RT_USER B
                	WHERE  A.RESERVE_STAT IN ('5','7')
			AND    A.USER_ID = B.userId";
	}
	if($reqTargetKind == 'D')
	{
		$temp = str_replace(array("\r\n","\r","\n"),',',$reqTargetUserId); 
		$tmp = explode(',',$temp);
		for($i=0;$i<count($tmp);$i++)
		{
			$sql = " INSERT INTO W_PUSH_TMP VALUES(:i_userId)";
       			$stmt = $pdo->prepare($sql);
       			$stmt->bindParam(':i_userId', $tmp[$i], PDO::PARAM_STR);
       			$stmt->execute();
		}
        	$sql = "INSERT INTO W_GROUP_PUSH_TBL
			SELECT 
                		NULL,
                		:i_msgId,
				CONCAT(:i_msgKind,'001'),
                		A.USER_ID As userId,
                		:i_sendDt,
                		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') INSERT_DT,
				'',
                		1,
                		0,
                		'N',
                		'',
                		:i_pushMsg AS pushMsg,
                		IF(B.pushKey is null,'1',B.pushKey) AS pushKey,
				B.userPhone,
                		:i_regId,
                		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') REG_DT,
                		'' UPD_ID,
                		'' UPD_DT
                	FROM   W_PUSH_TMP A,RT_USER B
                	WHERE  A.USER_ID = B.userId";
	}	
/*
echo $reqMsgKind;
echo $reqSendAdminId;
echo $reqSendAdminNm;
echo $reqPushMsg;
echo $reqTargetCnt."<BR>";
echo $reqTargetKind;
echo $reqSendMethod;
echo $sendDt;
*/
//$pdoConn = pdoConn();
	try
	{
       		$stmt = $pdo->prepare($sql);
       		$stmt->bindParam(':i_msgId', $msgId, PDO::PARAM_STR);
       		$stmt->bindParam(':i_msgKind', $reqMsgKind, PDO::PARAM_STR);
       		$stmt->bindParam(':i_sendDt', $sendDt, PDO::PARAM_STR);
       		$stmt->bindParam(':i_pushMsg', $reqPushMsg, PDO::PARAM_STR);
       		$stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
       		$stmt->execute();
//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		resultXML($resultArr);
		exit;
	}
	$sql = " DELETE FROM W_PUSH_TMP";
       	$stmt = $pdo->prepare($sql);
       	$stmt->execute();
/************************************************************************/
/*                  TRANSACTION END                                   */
/************************************************************************/
$pdo->commit();


/************************************************************************/
/*                  MAKE RESULT XML                                     */
/************************************************************************/
$resultArr['RESULT_CD'] = '0000';
$resultArr['RESULT_MSG'] = '저장되었습니다.';
resultXML($resultArr);

$pdo = null;
$pdoConn =null;
exit;
?>
