<?php
/**

 * @brief : 자기자신 파일 명

 **/
/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try 
{
 
	$pdo = pdoConn();
	$pdoConn = pdoConn();
		
} 
catch (PDOException $pe) 
{
	errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}

/************************************************************************/
/*                  등록 아이디여부 체크                                */
/*                  등록 아이디는 과금하지 않음                         */
/************************************************************************/
$sql = "
        SELECT  1 AS USER_CNT
        FROM    W_SEAT_ID 
        WHERE   USER_ID = '$reqId'
";
$adminCnt = 0;
try
{       
        foreach ($pdo->query($sql) as $row)
        {       
                
                /* RESERVE CHILD NODE */
                $adminCnt = $row['USER_CNT'];
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
/************************************************************************/
/*                  어드민 아이디여부 체크                                */
/*                  등록 아이디는 과금하지 않음                         */
/************************************************************************/
$sql = "
        SELECT  1 AS ADMIN_CNT
        FROM    W_ADMIN_MST 
        WHERE   ADMIN_ID = '$regId'
";
try
{
        foreach ($pdo->query($sql) as $row)
        {

                /* RESERVE CHILD NODE */
                $adminCnt = $adminCnt + $row['ADMIN_CNT'];
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
if($adminCnt > 1)
{
	/************************************************************************/
        /*                  RESERVE LIST                                        */
        /************************************************************************/
        $sql = " UPDATE W_SROOM_RESERVE SET RESERVE_STAT = '1',
                                        UPD_ID = :i_regId,
                                        UPD_DT = DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s')
                                WHERE   RESERVE_NO = :i_reserveNo
        ";
//echo $sql;
//echo $phpSelf;
//$pdoConn = pdoConn();
        try
        {
		$stmt = $pdo->prepare($sql);
                $stmt->bindParam(':i_regId', $regId, PDO::PARAM_STR);
                $stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
                $stmt->execute();
//print_r($stmt);

        }
        catch (PDOException $pe)
        {
                $resultArr['RESULT_CD'] = '0002';
                $resultArr['RESULT_MSG'] = '취소 중 오류가 발생했습니다.';
                resultXML($resultArr);
                exit;
 //             $userId = "";
 //             $qrCode = "";
        }
        $resultArr['RESULT_CD'] = '0000';
        $resultArr['RESULT_MSG'] = '취소되었습니다.';
        resultXML($resultArr);
        exit;



}

/************************************************************************/
/*                  예약취소 결제번호                                   */
/************************************************************************/
/*
$sql = "SELECT  B.PAYMENT_NO AS PAYMENT_NO,
		B.PAY_GB AS PAY_GB,
		B.PAY_AMT AS PAY_AMT,
		TIMESTAMPDIFF(SECOND,NOW()+0,STR_TO_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'%Y%m%d%H%i%s')) AS TIME_INTERVAL,
                IF(TIMESTAMPDIFF(SECOND,NOW()+0,STR_TO_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'%Y%m%d%H%i%s')) - 1 > 0,B.PAY_AMT,0 ) AS APL_PAY_AMT
        FROM   W_SROOM_RESERVE A,W_SEAT_PAYMENT B,W_SROOM_MST C
        WHERE  A.RESERVE_NO = :i_reserveNo
        AND    A.USER_ID = :i_reqId
        AND    A.RESERVE_STAT IN('5','7')
        AND    A.RESERVE_NO = B.RESERVE_NO
        AND    B.PAY_GB IN ('P','C')
        AND    A.SROOM_NO = C.SROOM_NO
	AND    TIMESTAMPDIFF(SECOND,NOW()+0,STR_TO_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'%Y%m%d%H%i%s')) > 1
";
*/
$sql = "SELECT  B.PAYMENT_NO AS PAYMENT_NO,
		B.PAY_GB AS PAY_GB,
		B.PAY_AMT AS PAY_AMT,
		TIMESTAMPDIFF(SECOND,NOW()+0,STR_TO_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'%Y%m%d%H%i%s')) AS TIME_INTERVAL,
                IF(TIMESTAMPDIFF(SECOND,NOW()+0,STR_TO_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'%Y%m%d%H%i%s')) - 1 > 0,B.PAY_AMT,0 ) AS APL_PAY_AMT
        FROM   W_SROOM_RESERVE A,W_SEAT_PAYMENT B,W_SROOM_MST C
        WHERE  A.RESERVE_NO = :i_reserveNo
        AND    A.USER_ID = :i_reqId
        AND    A.RESERVE_STAT IN('4','5','7')
        AND    A.RESERVE_NO = B.RESERVE_NO
        AND    B.PAY_GB IN ('P','C')
        AND    A.SROOM_NO = C.SROOM_NO
";
//echo $sql;exit;
//$pdoConn = pdoConn();
try
{
	$stmt = $pdo->prepare($sql);
       	$stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
       	$stmt->bindParam(':i_reqId', $reqId, PDO::PARAM_STR);
	$stmt->execute();
   	
	$dataAllRs = $stmt->fetchAll();
	$fetchCnt = count($dataAllRs); // 전체 환불리 대상 카운트
	/************************************************************************/
	/*                  시간 지난 경우reserve_stat = 7                      */
	/************************************************************************/
	if($fetchCnt == 0)
	{

		$resultArr['RESULT_CD'] = 'F001';        
		$resultArr['RESULT_MSG'] = '환불 가능 시간이 지났습니다.';
        	resultXML($resultArr);
		exit;
	}




        $refundSuccessCnt = 0; //실제 승인취소된 카운트 fetchCnt와 비교	
        $refundAmtSum = 0; //실제 승인취소된 금액 fetchCnt와 비교	
        foreach ($dataAllRs as $row)
        {
		
		/************************************************************************/
		/*                  시간 지난 경우                                      */
		/************************************************************************/
                /* 각각의 결제에 대해 승인취소 전문 호출 */
		/************************************************************************/
		/*                  외상 결제 처리                                      */
		/************************************************************************/
		$commonParam['REQ_ID'] = $reqId;
		$commonParam['REFUND_TYPE'] = '00';
		$commonParam['REFUND_CREDIT'] = $row['PAY_AMT'];
		$commonParam['REFUND_NO'] = $reqReserveNo;
		$commonParam['REFUND_MEMO'] = '스터디룸 예약취소';
		$commonParam['PAY_RSTID'] = $row['PAYMENT_NO'];
		$commonParam['PAY_NO'] = $reqReserveNo;
		$commonParam['PAY_PRDID'] = $prDidSroom;  //'UR002'
		$commonParam['PAY_NAME'] = "스터디룸 예약취소";  
		$curl_data = http_build_query($commonParam);
		$url = $haURL."setRefund.do"; 
		//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
		$response = get_curl($url,$curl_data); 
//print_r($response);
		$resultCd =  parseXML('RESULT_CD',$response);//이용자총 잔액
		$resultMsg =  parseXML('RESULT_MSG',$response);//외상총잔액
		if($resultCd == '00')
		{
			$refundSuccessCnt++;    // 환불성공
			$refundAmtSum = $refundAmtSum + $row['PAY_AMT'];    // 환불성공
			
			/************************************************************************/
			/*                     환불 DB 처리                                     */
			/************************************************************************/
			try 
			{
       				$refundSql = 'CALL NEW_PR_SROOM_REFUND(:i_userId,:i_reserveNo,:i_paymentNo,:i_refundAmt,:i_regId,:i_payGb,@o_resultCd,@o_resultMsg)';
       				$refundStmt = $pdoConn->prepare($refundSql);
       				$refundStmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
       				$refundStmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
       				$refundStmt->bindParam(':i_paymentNo', $row['PAYMENT_NO'], PDO::PARAM_STR);
       				$refundStmt->bindParam(':i_refundAmt', $row['PAY_AMT'], PDO::PARAM_INT);
       				$refundStmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
       				$refundStmt->bindParam(':i_payGb', $row['PAY_GB'], PDO::PARAM_STR);
       				$refundStmt->execute();
       				$refundStmt->closeCursor();
 
       				// execute the second query to get values from OUT parameter
       				//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
       				$refundRs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg")->fetch(PDO::FETCH_ASSOC);
       				if ($refundRs) 
				{
					//예약결과 
					$refundResultCd = $refundRs['@o_resultCd'];
       				}
		
			}	 
			catch (PDOException $pe)
			{
 					//             $userId = "";
 				//             $qrCode = "";
				//      $userNm = "";
			}
			
		}
        }
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
/************************************************************************/
/*                  환불에 대한 예약 처리                               */
/*                  전체 환불 성공시 예약==> 예약취소                   */
/************************************************************************/
//결제실패시 ROLLBACK
try
{
/*
echo "isum====>".$refundAmtSum."<br>";
echo "isum====>".$reqReserveNo."<br>";
echo "isum====>".$reqId."<br>";
*/
	$seatSql = 'CALL NEW_PR_SROOM_REFUND_COMPLETE(:i_userId,:i_reserveNo,:i_refundAmt,:i_regId,@o_resultCd,@o_resultMsg)';
	$seatStmt = $pdo->prepare($seatSql);
	$seatStmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
       	$seatStmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
       	$seatStmt->bindParam(':i_refundAmt', $refundAmtSum, PDO::PARAM_INT);
       	$seatStmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);

       	$seatStmt->execute();
       	$seatStmt->closeCursor();
 
       	// execute the second query to get values from OUT parameter
       	//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
       	$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg") ->fetch(PDO::FETCH_ASSOC);
       	if ($rs) 
	{
		//예약결과 
		$seatResultCd = $rs['@o_resultCd'];
       	}	
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}

/************************************************************************/
/*                  환불에 결과      처리                               */
/*                                                                      */
/************************************************************************/
//환불대상 전체가 처리되었을때
if($fetchCnt == $refundSuccessCnt)
{
	$resultArr['RESULT_CD'] = '0000';        
	$resultArr['RESULT_MSG'] = $refundAmtSum.'R이 환불되었습니다.좌석이 취소되었습니다.';
        resultXML($resultArr);
	exit;
}
else if($fetchCnt != $refundSuccessCnt)
{
	$resultArr['RESULT_CD'] = '0000';        
	$resultArr['RESULT_MSG'] = $refundAmtSum.'R이 부분 환불되었습니다.좌석이 취소되었습니다.';
        resultXML($resultArr);
	exit;
}




$pdo = null;
$pdoConn = null;


		
?>
