<?php
/**

 * @brief : 자기자신 파일 명

 **/
/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try 
{
 
	$pdo = pdoConn();
	$pdoConn = pdoConn();
		
} 
catch (PDOException $pe) 
{
	errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}
/************************************************************************/
/*                   잔액요청==>형아API                                 */
/************************************************************************/
$commonParam['REQ_ID'] = $reqId;
$commonParam['REQ_FROM'] = $reqFrom;
$curl_data = http_build_query($commonParam);
$url = $haURL."getCreditSum.do"; 
//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
$response = get_curl($url,$curl_data); 

//print_r($response);
$userBalance =  parseXML('USER_CREDIT',$response);//이용자총 잔액
$userRemCp =  parseXML('USER_PREPAYSUM',$response);//외상총잔액
//$userBalance =  110;//이용자총 잔액


/************************************************************************/
/*                   예약시간 체크                                      */
/************************************************************************/
/*
if($startTm < $timeFormat['Hi'] && $useDay == $timeFormat['YMD'])
{

        errorXML('D000','현재시간보다 이전 시간 예약을 할 수 없습니다.');
        exit;

}
if( $useDay < $timeFormat['YMD'])
{

        errorXML('D000','현재날짜보다 이전 날짜 예약을 할 수 없습니다.');
        exit;

}
if($startTm >= '0000' && $startTm < '0700')
{
        errorXML('D000','예약시간은 07:00 ~ 25:00까지 입니다.');
        exit;
}
if($endTm >= '0000' && $endTm < '0700')
{
        errorXML('D000','예약시간은 07:00 ~ 25:00까지 입니다.');
        exit;
}
if($startTm >= $endTm )
{       
        errorXML('D000','시작시간이종료시간보다 큽니다 .');
        exit; 
}
*/
/************************************************************************/
/*                  등록 아이디여부 체크                                */
/*                  등록 아이디는 과금하지 않음                         */
/************************************************************************/
$sql = "
        SELECT  1 AS USER_CNT
        FROM    W_SEAT_ID 
        WHERE   USER_ID = '$reqId'
";
$adminCnt = 0;
try
{
        foreach ($pdo->query($sql) as $row)
        {

                /* RESERVE CHILD NODE */
                $adminCnt = $row['USER_CNT'];
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
/************************************************************************/
/*                  어드민 아이디여부 체크                                */
/*                  등록 아이디는 과금하지 않음                         */
/************************************************************************/
$sql = "
        SELECT  1 AS ADMIN_CNT
        FROM    W_ADMIN_MST 
        WHERE   ADMIN_ID = '$regId'
";              $userCnt = 0;
try             
{               
        foreach ($pdo->query($sql) as $row)
        {       

                /* RESERVE CHILD NODE */
                $adminCnt = $adminCnt + $row['ADMIN_CNT'];
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
/************************************************************************/
/*                  시간            체크                                */
/************************************************************************/
$sql = "        
        SELECT  TIMESTAMPDIFF(MINUTE,STR_TO_DATE(SUBSTRING(FN_CONV_OVER_TM(CONCAT(USE_DAY,START_TM,'00'),''),1,14),'%Y%m%d%H%i%s'),STR_TO_DATE(SUBSTRING(FN_CONV_OVER_TM(CONCAT(USE_DAY,END_TM,'00'),''),1,14),'%Y%m%d%H%i%s')) AS PREV_TIME_DIFF,                
		TIMESTAMPDIFF(MINUTE,STR_TO_DATE(SUBSTRING(FN_CONV_OVER_TM(CONCAT('$useDay','$startTm','00'),''),1,14),'%Y%m%d%H%i%s'),STR_TO_DATE(SUBSTRING(FN_CONV_OVER_TM(CONCAT('$useDay','$endTm','00'),''),1,14),'%Y%m%d%H%i%s')) AS NEW_TIME_DIFF
        FROM `W_SROOM_RESERVE`
        WHERE   RESERVE_NO ='$prevReserveNo' 
";              
$timeDiff = 0;
try             
{               
        foreach ($pdo->query($sql) as $row)
        {       
                
                /* RESERVE CHILD NODE */
                $prevTimeDiff = $row['PREV_TIME_DIFF'];
                $newTimeDiff = $row['NEW_TIME_DIFF'];
		$timeDiff = $prevTimeDiff - $newTimeDiff;
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }       
}               
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
/************************************************************************/
/*                  PREV 예약정보                                       */
/************************************************************************/
$sql = "SELECT  B.PAYMENT_NO AS PAYMENT_NO,
                B.PAY_GB AS PAY_GB,
                B.PAY_AMT AS PAY_AMT,
		A.SROOM_NO AS PREV_SROOM_NO
        FROM   W_SROOM_RESERVE A,W_SEAT_PAYMENT B
        WHERE  A.RESERVE_NO = :i_prevReserveNo
        AND    A.USER_ID = :i_reqId
        AND    A.RESERVE_STAT IN('5','7')
        AND    A.RESERVE_NO = B.RESERVE_NO
        AND    B.PAY_GB IN ('P','C')
";
//echo $sql;exit;
//$pdoConn = pdoConn();
try
{
        $stmt = $pdo->prepare($sql);
        $stmt->bindParam(':i_prevReserveNo', $prevReserveNo, PDO::PARAM_STR);
        $stmt->bindParam(':i_reqId', $reqId, PDO::PARAM_STR);
        $stmt->execute();

        $dataAllRs = $stmt->fetchAll();
        $fetchCnt = count($dataAllRs); // 전체 환불리 대상 카운트
        /************************************************************************/
        /*                  이전 결제대상을 환불하고 재결제한다                 */
        /************************************************************************/
        if($fetchCnt == 0)
        {
		$resultArr['RESULT_CD'] = 'G001';
                $resultArr['RESULT_MSG'] = '예약내역이 없습니다.';
                resultXML($resultArr);
                exit;
        }
	$i = 0;
	$cancelTargetPayment = array();
	//예약정보 배열 저장
        foreach ($dataAllRs as $row)
	{
		$cancelTargetPayment[$i]['PAYMENT_NO'] = $row['PAYMENT_NO'];	
		$cancelTargetPayment[$i]['PAY_AMT'] = $row['PAY_AMT'];	
		$cancelTargetPayment[$i]['PAY_GB'] = $row['PAY_GB'];	
		$prevSroomNo[$i] = $row['PREV_SROOM_NO'];	

		/************************************************************************/
		if($row['PAY_GB'] == 'C')//환불할 대상이 외상이면 현재 외상 총액에서 제한다
		{
			$userRemCp = $userRemCp - $row['PAY_AMT'];
		}
		$i++;
	}

}
catch (PDOException $pe) 
{
	errorXML('D000',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}
//echo "CALL PR_CHANGE_SEAT END =".date('YmdHis')."<BR>";
//좌석변경 성공 후 이전 결제 환불 요청
/************************************************************************/
/*                  금액 차이                                */
/************************************************************************/
$sql = "        
	SELECT MAX(PREV)-MAX(NEW) AS DIFF_AMT
	FROM
	(
		SELECT 	IF(SROOM_NO=$prevSroomNo[0],PAY_PER_HOUR,0) AS PREV,
			IF(SROOM_NO=$sroomNo,PAY_PER_HOUR,0) AS NEW
		FROM `W_SROOM_MST` 
		WHERE SROOM_NO = $prevSroomNo[0] OR SROOM_NO = $sroomNo
	) Z
";              
$amtDiff = 0;
try             
{               
        foreach ($pdo->query($sql) as $row)
        {       
                
                /* RESERVE CHILD NODE */
                $amtDiff = $row['DIFF_AMT'];
        //      $resultCd = '00';
        //      $resultMsg = '정상';
        }       
}               
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
/************************************************************************/
/*                  admin이 변경하고 시간변경금액  변경 없을때          */
/************************************************************************/
$branchNo="M0";
if($adminCnt > 1 || ($timeDiff == 0 && $amtDiff == 0))
{
        $chgSql = 'CALL PR_CHANGE_SROOM_ADMIN(:i_prevReserveNo,:i_userId,:i_sroomNo,:i_useDay,:i_startTm,:i_endTm,:i_branchNo,:i_arrUser,:i_regId,@o_resultCd,@o_resultMsg)';
        $stmt = $pdo->prepare($chgSql);
        $stmt->bindParam(':i_prevReserveNo', $prevReserveNo, PDO::PARAM_STR);
        $stmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
        $stmt->bindParam(':i_sroomNo', $sroomNo, PDO::PARAM_INT);
        $stmt->bindParam(':i_useDay', $useDay, PDO::PARAM_STR);
        $stmt->bindParam(':i_startTm', $startTm, PDO::PARAM_STR);
        $stmt->bindParam(':i_endTm', $endTm, PDO::PARAM_STR);
        $stmt->bindParam(':i_branchNo', $branchNo, PDO::PARAM_STR);
        $stmt->bindParam(':i_arrUser', $arrUser, PDO::PARAM_STR);
        $stmt->bindParam(':i_regId', $regId, PDO::PARAM_STR);
//print_r($stmt);
        $stmt->execute();
        $stmt->closeCursor();
 
        // execute the second query to get values from OUT parameter
        //$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
        $rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")->fetch(PDO::FETCH_ASSOC);
        if ($rs) 
	{
		//예약결과 
                $reserveResultCd = $rs['@o_resultCd'];
                $reserveResultMsg = $rs['@o_resultMsg'];
                $reserveNo = $rs['@o_reserveNo'];
        }
	else
	{
		errorXML('D001','');
	}
	if($reserveResultCd == 'G000')
	{
		//$pdo->commit();
        	$resultArr['RESULT_CD'] = '0000';
        	$resultArr['RESULT_MSG'] = '변경되었습니다.과금 변경은 없습니다.';
        	resultXML($resultArr);
        	exit;
	}
	else
	{
        	$resultArr['RESULT_CD'] = '0001';
        	$resultArr['RESULT_MSG'] = $reserveResultMsg;
        	resultXML($resultArr);
        	exit;
	}



}


$refundSuccessCnt = 0;
for($i=0;$i<count($cancelTargetPayment);$i++)
{
	/************************************************************************/
        /*                  한불      처리                                      */
        /************************************************************************/
//echo "CALL 환불 API START =".date('YmdHis')."<BR>";
        $commonParam['REQ_ID'] = $reqId;
        $commonParam['REFUND_TYPE'] = '00';
        $commonParam['REFUND_CREDIT'] = $cancelTargetPayment[$i]['PAY_AMT'];
        $commonParam['REFUND_NO'] = $prevReserveNo;
        $commonParam['REFUND_MEMO'] = '팀룸예약취소';
        $commonParam['PAY_RSTID'] = $cancelTargetPayment[$i]['PAYMENT_NO'];
        $commonParam['PAY_NO'] = $prevReserveNo;
        $commonParam['PAY_PRDID'] = $prDidSeat;  //'UR001'
        $commonParam['PAY_NAME'] = "팀룸예약취소";
        $curl_data = http_build_query($commonParam);
        $url = $haURL."setRefund.do";
        //$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
        $response = get_curl($url,$curl_data);
        $resultCd =  parseXML('RESULT_CD',$response);//이용자총 잔액
        $resultMsg =  parseXML('RESULT_MSG',$response);//외상총잔액
//echo "CALL 환불 API END =".date('YmdHis')."<BR>";
        //$resultCd = '00';
        if($resultCd == '00')
        {       
        	$refundSuccessCnt++;    // 환불성공
		/************************************************************************/
                /*                     환불 DB 처리                                     */
                /************************************************************************/
/*
                try                             
		{                                       
//echo "CALL 환불 PROCEDURE START =".date('YmdHis')."<BR>";
			$refundSql = 'CALL PR_SEAT_REFUND(:i_userId,:i_reserveNo,:i_paymentNo,:i_refundAmt,:i_regId,:i_payGb,@o_resultCd,@o_resultMsg)';              
                        $refundStmt = $pdoConn->prepare($refundSql);
                        $refundStmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
                        $refundStmt->bindParam(':i_reserveNo', $prevReserveNo, PDO::PARAM_STR);
                        $refundStmt->bindParam(':i_paymentNo', $cancelTargetPayment[$i]['PAYMENT_NO'], PDO::PARAM_STR);
                        $refundStmt->bindParam(':i_refundAmt', $cancelTargetPayment[$i]['PAY_AMT'], PDO::PARAM_INT);
                        $refundStmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
                        $refundStmt->bindParam(':i_payGb', $cancelTargetPayment[$i]['PAY_GB'], PDO::PARAM_STR);
                        $refundStmt->execute();
                        $refundStmt->closeCursor();
                                
                        // execute the second query to get values from OUT parameter
                        //$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
                        $refundRs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg")->fetch(PDO::FETCH_ASSOC);
                        if ($refundRs)
                        {       
                        	//예약결과 
                                $refundResultCd = $refundRs['@o_resultCd'];
                        }
		}
                catch (PDOException $pe)
                {
                                        //             $userId = "";
                                //             $qrCode = "";
                                //      $userNm = "";
                }
//echo "CALL 환불 PROCEDURE END =".date('YmdHis')."<BR>";
*/

	}

}
/************************************************************************/
/*                   좌석예약                                           */
/************************************************************************/
/*
echo $reqId."<br>";
echo $roomNo."<br>";
echo $seatNo."<br>";
echo $useDay."<br>";
echo $startTm."<br>";
echo $endTm."<br>";
echo $userBalance."<br>";
echo $cpYn."<br>";
echo $userRemCp."<br>";
echo $branchNo."<br>";
*/
//print_r($cancelTargetPayment);
//echo count($cancelTargetPayment);
try 
{
$branchNo="M0";
$cpYn="N";
//echo "CALL PR_CHANGE_SEAT START =".date('YmdHis')."<BR>";
	//
        $chgSql = 'CALL NEW_PR_CHANGE_SROOM(:i_prevReserveNo,:i_userId,:i_sroomNo,:i_useDay,:i_startTm,:i_endTm,:i_userBalance,:i_cpYn,:i_userRemCp,:i_branchNo,:i_arrUser,:i_regId,@o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt)';
        $stmt = $pdo->prepare($chgSql);
        $stmt->bindParam(':i_prevReserveNo', $prevReserveNo, PDO::PARAM_STR);
        $stmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
        $stmt->bindParam(':i_sroomNo', $sroomNo, PDO::PARAM_INT);
        $stmt->bindParam(':i_useDay', $useDay, PDO::PARAM_STR);
        $stmt->bindParam(':i_startTm', $startTm, PDO::PARAM_STR);
        $stmt->bindParam(':i_endTm', $endTm, PDO::PARAM_STR);
        $stmt->bindParam(':i_userBalance', $userBalance, PDO::PARAM_INT);
        $stmt->bindParam(':i_cpYn', $cpYn, PDO::PARAM_STR); //외상
        $stmt->bindParam(':i_userRemCp', $userRemCp, PDO::PARAM_INT);
        $stmt->bindParam(':i_branchNo', $branchNo, PDO::PARAM_STR);
        $stmt->bindParam(':i_arrUser', $arrUser, PDO::PARAM_STR);
        $stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
//print_r($stmt);
        $stmt->execute();
        $stmt->closeCursor();
 
        // execute the second query to get values from OUT parameter
        //$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
        $rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")->fetch(PDO::FETCH_ASSOC);
        if ($rs) 
	{
		//예약결과 
                $reserveResultCd = $rs['@o_resultCd'];
                $reserveResultMsg = $rs['@o_resultMsg'];
                $reserveNo = $rs['@o_reserveNo'];
                $totAmt = $rs['@o_totAmt'];
                $payAmt = $rs['@o_payAmt'];
                $cpAmt = $rs['@o_cpAmt'];
        }
	else
	{
		errorXML('D001','');
	}
		
} 
catch (PDOException $pe) 
{
	errorXML('D000',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}

//좌석예약 성공 후 결제 요청
//외상결제 먼저 처리
$cpResultCd =  '00';//결제결과
$payResultCd =  '00';//결제결과
$cpPaymentNo =  '';//결제결과
$payPaymentNo =  '';//결제결과
if($cpAmt > 0 && $cpAmt != '')
{
	$tmpStartDt = makeDt($useDay,$startTm);
        $tmpEndDt = makeDt($useDay,$endTm);
	/************************************************************************/
	/*                   결제요청외상                                       */
	/************************************************************************/
	$commonParam['REQ_ID'] = $reqId;
	$commonParam['REQ_FROM'] = $reqFrom;
	$commonParam['REQ_PAY_TYPE'] = 'PCDTP';//R 크레딧 외상:PCDTP
	$commonParam['REQ_PAY_CHARGE'] = 'N'; //충전일때만 Y
	$commonParam['REQ_PAY_CREDIT'] = $cpAmt;
	$commonParam['REQ_PAY_WON'] = 0;
	$commonParam['REQ_PAY_NO'] = $reserveNo;
	$commonParam['REQ_PAY_PRDID'] = 'UR001';
	$commonParam['REQ_PAY_NAME'] = '팀룸예약';
	$commonParam['REQ_PAY_COUPON'] = 'N';
	$commonParam['REQ_PAY_COUPONID'] = 0;
	$commonParam['REQ_PAY_MEMO'] = '';
	$commonParam['REQ_START_DT'] = $tmpStartDt;
        $commonParam['REQ_END_DT'] = $tmpEndDt;
	$curl_data = http_build_query($commonParam);
	$url = $haURL."setPayment.do"; 
	//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
	$response = get_curl($url,$curl_data); 
//print_r($response);		
	/**************************************************************/
	/*             curl error 처리 예약 삭제                      */
	/*************************************************************/
	if($response == 'curl_error')
	{
		deleteSeatReserve($reserveNo,$reqId,$cpResultMsg);
		//deleteSeatReserve($reserveNo,$reqId);
		//exit;
	}
	/**************************************************************/
	$cpResultCd =  parseXML('RESULT_CD',$response);//결제결과
	$cpResultMsg =  parseXML('RESULT_MSG',$response);//결제결과
	$cpPaymentNo =  parseXML('PAY_RSTID',$response);//결제결과
	if($cpResultCd != '00')
	{
		deleteSeatReserve($reserveNo,$reqId,$cpResultMsg);
		//exit;


	}
}
if($payAmt > 0 && $payAmt != '')
{
	$tmpStartDt = makeDt($useDay,$startTm);
        $tmpEndDt = makeDt($useDay,$endTm);
	/************************************************************************/
	/*                   결제요청                                       */
	/************************************************************************/
	$commonParam['REQ_ID'] = $reqId;
	$commonParam['REQ_FROM'] = $reqFrom;
	$commonParam['REQ_PAY_TYPE'] = 'PRCRD';//R 크레딧 외상:PCDTP
	$commonParam['REQ_PAY_CHARGE'] = 'N'; //충전일때만 Y
	$commonParam['REQ_PAY_CREDIT'] = $payAmt;
	$commonParam['REQ_PAY_WON'] = 0;
	$commonParam['REQ_PAY_NO'] = $reserveNo;
	$commonParam['REQ_PAY_PRDID'] = $prDidSeat;
	$commonParam['REQ_PAY_NAME'] = '팀룸예약';
	$commonParam['REQ_PAY_COUPON'] = 'N';
	$commonParam['REQ_PAY_COUPONID'] = 0;
	$commonParam['REQ_PAY_MEMO'] = '팀룸예약';
	$commonParam['REQ_START_DT'] = $tmpStartDt;
        $commonParam['REQ_END_DT'] = $tmpEndDt;
	$curl_data = http_build_query($commonParam);
	$url = $haURL."setPayment.do"; 
	//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getCreditSum.do.php"; 
	$response = get_curl($url,$curl_data); 
		
//print_r($curl_data);		
	if($response == 'curl_error')
	{
		deleteSeatReserve($reserveNo,$reqId,$payResultMsg);
		//exit;
	}
	/**************************************************************/
	$payResultCd =  parseXML('RESULT_CD',$response);//결제결과
	$payResultMsg =  parseXML('RESULT_MSG',$response);//결제결과
	$payPaymentNo =  parseXML('PAY_RSTID',$response);//결제결과

	if($payResultCd != '00')
	{
		deleteSeatReserve($reserveNo,$reqId,$payResultMsg);
		exit;
	}
		
}
if(!isset($cpResultCd))
{
	$cpResultCd = '';
}
if(!isset($payResultCd))
{
	$payResultCd = '';
}


//if($cpAmt > 0 && $cpResultCd == '00') || ($payAmt > 0 && $payResultCd == '00'))
if(($cpAmt > 0 && $cpResultCd == '00') || ($payAmt > 0 && $payResultCd == '00'))
{
/*
echo "payAmt =".$payAmt;
echo "payResultCd =".$payResultCd;
echo "payPaymentNo =".$payPaymentNo;
echo "prevReserveNo =".$prevReserveNo;
echo "ReserveNo =".$reserveNo;
echo "cpPaymentNo =".$cpPaymentNo;
echo "cpAmt =".$cpAmt;
exit;
*/
	/************************************************************************/
	/*                  결제결과 반영                                   */
	/************************************************************************/
	//결제결과반영 좌석 confirm or cancel
       	//RESERVE_SEAT reserve_stat ==> 5
        	//PAY_STAT ==> 0
        	//RESERVE_SEAT delete
        	//
	$deleteSql = 'CALL NEW_PR_CHANGE_SROOM_CONFIRM(:i_userId,:i_prevReserveNo,:i_reserveNo,:i_payPaymentNo,:i_payAmt,:i_cpPaymentNo,:i_cpAmt,:i_regId,@o_resultCd,@o_resultMsg)';
       	$stmt = $pdo->prepare($deleteSql);
       	$stmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
       	$stmt->bindParam(':i_prevReserveNo', $prevReserveNo, PDO::PARAM_STR);
       	$stmt->bindParam(':i_reserveNo', $reserveNo, PDO::PARAM_STR);
       	$stmt->bindParam(':i_payPaymentNo', $payPaymentNo, PDO::PARAM_STR);
       	$stmt->bindParam(':i_payAmt', $payAmt, PDO::PARAM_INT);
       	$stmt->bindParam(':i_cpPaymentNo', $cpPaymentNo, PDO::PARAM_STR);
       	$stmt->bindParam(':i_cpAmt', $cpAmt, PDO::PARAM_INT);
       	$stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
       	$stmt->execute();
       	$stmt->closeCursor();

       	// execute the second query to get values from OUT parameter
       	//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
       	$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg") ->fetch(PDO::FETCH_ASSOC);
//print_r($rs);
       	if ($rs)
       	{
       		//confirm/cancel 결과 
               	$confirmResultCd = $rs['@o_resultCd'];
               	$confirmResultMsg = $rs['@o_resultMsg'];

	}
	else
	{
		//
		errorXML('P001',$cpResultMsg);
		exit;
	}
	if($confirmResultCd != 'P000')
	{
		//결제취소 setRefund.do 호출하고
               //PR_RESERVE_SEAT_DELETE 호출
	}

}
else
{
	errorXML($reserveResultCd,$reserveResultMsg);
	exit;
}

if( $refundSuccessCnt > 0)   // 환불성공
{
	for($i=0;$i<count($cancelTargetPayment);$i++)
	{
		/************************************************************************/
                /*                     환불 DB 처리                                     */
                /************************************************************************/
                try                             
		{                                       
//echo "CALL 환불 PROCEDURE START =".date('YmdHis')."<BR>";
			$refundSql = 'CALL NEW_PR_SROOM_REFUND(:i_userId,:i_reserveNo,:i_paymentNo,:i_refundAmt,:i_regId,:i_payGb,@o_resultCd,@o_resultMsg)';              
                        $refundStmt = $pdoConn->prepare($refundSql);
                        $refundStmt->bindParam(':i_userId', $reqId, PDO::PARAM_STR);
                        $refundStmt->bindParam(':i_reserveNo', $prevReserveNo, PDO::PARAM_STR);
                        $refundStmt->bindParam(':i_paymentNo', $cancelTargetPayment[$i]['PAYMENT_NO'], PDO::PARAM_STR);
                        $refundStmt->bindParam(':i_refundAmt', $cancelTargetPayment[$i]['PAY_AMT'], PDO::PARAM_INT);
                        $refundStmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
                        $refundStmt->bindParam(':i_payGb', $cancelTargetPayment[$i]['PAY_GB'], PDO::PARAM_STR);
                        $refundStmt->execute();
                        $refundStmt->closeCursor();
                                
                        // execute the second query to get values from OUT parameter
                        //$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
                        $refundRs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg")->fetch(PDO::FETCH_ASSOC);
                        if ($refundRs)
                        {       
                        	//예약결과 
                                $refundResultCd = $refundRs['@o_resultCd'];
                        }
		}
                catch (PDOException $pe)
                {
                                        //             $userId = "";
                                //             $qrCode = "";
                                //      $userNm = "";
                }
//echo "CALL 환불 PROCEDURE END =".date('YmdHis')."<BR>";

	}
}
/************************************************************************/
/*                  좌석 예약 결과                                     */
/************************************************************************/
if($cpAmt > 0)
{
	$resultArr['RESULT_CD'] = '0000';
	$resultArr['RESULT_MSG'] = "잔여 'R'이 부족합니다.|좌석변경은은 완료되었으나,|입장 전 'R'을 충전하여 | 결제하셔야 열람실 입장이 가능합니다.";
	resultXML($resultArr);
}
if($cpAmt == 0 && $payAmt > 0)
{
	$resultArr['RESULT_CD'] = '0000';
	$resultArr['RESULT_MSG'] = '-예약취소 환불 규정-|시작시간 1분전까지는100%  환불,|시작시간 이후에는 | 환불 불가합니다.';
	resultXML($resultArr);
}	
$pdo = null;
$pdoConn = null;
exit;

function deleteSeatReserve($pReserveNo,$pReqId,$pPayResultMsg)
{
	/*******************************************************/
	/*          결제 오류로 예약삭제                       */
	/*******************************************************/
       	//
	$pdoConn = pdoConn();
	$deleteSql = 'CALL NEW_PR_RESERVE_SROOM_DELETE(:i_userId,:i_reserveNo,@o_resultCd,@o_resultMsg)';
       	$stmt = $pdoConn->prepare($deleteSql);
       	$stmt->bindParam(':i_userId', $pReqId, PDO::PARAM_STR);
        $stmt->bindParam(':i_reserveNo', $pReserveNo, PDO::PARAM_STR);
       	$stmt->execute();
       	$stmt->closeCursor();

       	// execute the second query to get values from OUT parameter
       	//$rs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
       	$rs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg") ->fetch(PDO::FETCH_ASSOC);

       	if ($rs)
       	{
       	//confirm/cancel 결과 
       		$delResultCd = $rs['@o_resultCd'];
       		$delResultMsg = $rs['@o_resultMsg'];
		if($delResultCd == 'D000')
		{
			errorXML($delResultCd,$delResultMsg."(".$pPayResultMsg.")");
			exit;
		}	


	}
	else
	{
	//
		errorXML('P001',$cpResultMsg);
		exit;
	}
$pdoConn = null;
}
		
?>
