<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(isset($reqRoomNo))
{
		
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "SELECT *
	FROM
	(
	SELECT 	ROW_NO,
		B.RESERVE_NO,
		A.ROOM_NO,
		A.ROOM_NM,
        	A.SEAT_NO,
        	IF(B.USER_ID IS NULL,'',B.USER_ID) AS USER_ID,
        	IF(B.USER_NM IS NULL,'',B.USER_NM) AS USER_NM,
		FN_CONV_DATE(B.START_DAY,'Y-m-d') AS START_DAY,
		B.START_DAY AS START_DAY_TMP,
		FN_CONV_DATE(B.END_DAY,'Y-m-d') AS END_DAY,
        	IF(B.RESERVE_STAT IS NOT NULL,IF(B.RESERVE_STAT='5','예약','사용중'),'공석') AS RESERVE_TXT,
        	IF(B.RESERVE_STAT IS NULL,'',B.RESERVE_STAT)  AS RESERVE_STAT
	FROM
	(
		SELECT 	CONCAT(B.ROOM_NO,A.SEAT_NO,B.ROOM_NM) AS ROW_NO,
			A.ROOM_NO,
			B.ROOM_NM,
        		A.SEAT_NO
		FROM   W_ROOM_SEAT A,W_ROOM_MST B
		WHERE  A.ROOM_NO = B.ROOM_NO
		AND    A.ROOM_NO = IF('$reqRoomNo'='' ,A.ROOM_NO,'$reqRoomNo')
	
	) A LEFT OUTER JOIN (SELECT * FROM W_MEMBERSHIP_RESERVE WHERE RESERVE_STAT IN ('5','7') AND ((END_DAY >= '$reqStartTerm' AND END_DAY <= '$reqEndTerm') OR  (START_DAY >= '$reqStartTerm' AND START_DAY <= '$reqEndTerm') OR (START_DAY <= '$reqStartTerm' AND END_DAY >= '$reqEndTerm'))
) B
	ON  A.ROOM_NO = B.ROOM_NO
	AND    A.SEAT_NO = B.SEAT_NO
	ORDER BY A.ROOM_NO,A.SEAT_NO
	) Z
	
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('ROW_NO',$row['ROW_NO']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('START_DAY',$row['START_DAY']));
		$tagReserve->appendChild($domtree->createElement('END_DAY',$row['END_DAY']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_TXT',$row['RESERVE_TXT']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
