<?php

header( "Content-type: application/vnd.ms-excel" );   
header( "Content-type: application/vnd.ms-excel; charset=utf-8");  
header( "Content-Disposition: attachment; filename = 게이트 모니터링.xls" );   
header( "Content-Description: PHP4 Generated Data" );   


/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
$srcStartTerm = str_replace("-","",$srcStartTerm);

//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$arrReserveStat=['','예약취소','','','사용완료','예약','','사용중'];

echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td>이용일자</td>
   <td colspan='3'>$srcStartTerm </td>
   </tr>
<tr>
   <td>이용자명</td>
   <td>$srcUserNm</td>
   <td>이용자ID</td>
   <td>$srcUserId</td>
   </tr>
</table>  
<br><br><br>
<table border='1'>  
<tr>  
   <td>이용자 아이디</td>  
   <td>이용자명</td>  
   <td>입실일자</td>  
   <td>최종입실시간</td>  
   <td>최종퇴실일자</td>  
   <td>최종퇴실시간</td>  
   <td>좌석이용상태</td>  
   <td>시간제이용상태</td>  
   <td>팀룸이용상태</td>  
   <td>고정석이용상태</td>  
   <td>자유석이용상태</td>  
</tr>";


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT  USER_ID,
                CONCAT(USER_NM,COALESCE(`REG`,'')) AS USER_NM,
                ENTRY_DATE,
                ENTRY_TIME,
                EXIT_DATE,
                EXIT_TIME,
                RESERVE_STAT,TIME_ZONE,TEAM_ROOM_STAT,MEMBERSHIP_STAT,FREESEAT_STAT
        FROM
        (
SELECT  A.USER_ID,
                (SELECT userName FROM RT_USER WHERE userId = A.USER_ID) USER_NM,
		(SELECT '(등록)' FROM W_SEAT_ID WHERE USER_ID = A.USER_ID)  REG,
                (SELECT DATE_FORMAT(CONCAT(MIN(GATE_DATE),'000000'),'%Y-%m-%d') FROM WG_LOG WHERE  GATE_DATE = A.ENTRY_DATE AND USER_ID = A.USER_ID AND CONCAT(GATE_DATE,GATE_TIME) BETWEEN CONCAT('$srcStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$srcStartTerm',interval 1 day),'%Y%m%d'),'02000000') AND INOUT_STATUS = 'I' AND DIP_RESULT_CODE = '0' ) AS ENTRY_DATE,
        (SELECT DATE_FORMAT(MIN(CONCAT(GATE_DATE,GATE_TIME)),'%H:%i:%s') FROM WG_LOG WHERE GATE_DATE = A.ENTRY_DATE AND CONCAT(GATE_DATE,GATE_TIME) BETWEEN CONCAT('$srcStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$srcStartTerm',interval 1 day),'%Y%m%d'),'02000000') AND USER_ID = A.USER_ID AND INOUT_STATUS = 'I' AND DIP_RESULT_CODE = '0' ) AS ENTRY_TIME,
        (SELECT DATE_FORMAT(CONCAT(MAX(GATE_DATE),'000000'),'%Y-%m-%d') FROM WG_LOG WHERE  GATE_DATE = A.EXIT_DATE AND USER_ID = A.USER_ID AND CONCAT(GATE_DATE,GATE_TIME) BETWEEN CONCAT('$srcStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$srcStartTerm',interval 1 day),'%Y%m%d'),'02000000') AND INOUT_STATUS = 'I' AND DIP_RESULT_CODE = '0' ) AS EXIT_DATE,
        (SELECT DATE_FORMAT(MAX(CONCAT(GATE_DATE,GATE_TIME)),'%H:%i:%s') FROM WG_LOG WHERE GATE_DATE = A.EXIT_DATE AND CONCAT(GATE_DATE,GATE_TIME) BETWEEN CONCAT('$srcStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$srcStartTerm',interval 1 day),'%Y%m%d'),'02000000') AND USER_ID = A.USER_ID AND INOUT_STATUS = 'I' AND DIP_RESULT_CODE = '0' ) AS EXIT_TIME,        
                (SELECT CONCAT(Y.ROOM_NM,' ',X.SEAT_NO,'번 좌석 ',FN_GET_CODE('RESERVE_STAT',RESERVE_STAT)) FROM W_SEAT_RESERVE X,W_ROOM_MST Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.USER_ID = A.USER_ID AND X.RESERVE_STAT IN ('4','5','7') AND X.ROOM_NO  = Y.ROOM_NO AND APL_ENTER_TM != 'FREESEAT' AND X.ROOM_NO != 0 LIMIT 1) AS RESERVE_STAT,
                (SELECT CONCAT(Y.ROOM_NM,' ',X.SEAT_NO,'번 좌석 ',FN_GET_CODE('RESERVE_STAT',RESERVE_STAT)) FROM W_SEAT_RESERVE X,W_ROOM_MST Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.USER_ID = A.USER_ID AND X.RESERVE_STAT IN ('4','5','7') AND X.ROOM_NO  = Y.ROOM_NO AND APL_ENTER_TM != 'FREESEAT' AND X.ROOM_NO = 0 LIMIT 1) AS TIME_ZONE,
                (SELECT FN_GET_CODE('RESERVE_STAT',RESERVE_STAT) FROM W_SROOM_RESERVE X,W_SROOM_RESERVE_SUB Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.RESERVE_NO = Y.RESERVE_NO AND Y.USER_ID = A.USER_ID AND X.RESERVE_STAT in ('4','5','7') LIMIT 1) AS TEAM_ROOM_STAT,
                (SELECT IF(RESERVE_STAT = '5',CONCAT(SEAT_NO,'번 좌석 ','사용중'),CONCAT(IF(SEAT_NO IS NULL,0,SEAT_NO),'번
 좌석 ','사용완료')) FROM W_MEMBERSHIP_RESERVE WHERE USER_ID = A.USER_ID AND RESERVE_STAT IN ('4', '5') AND A.ENTRY_DATE BETWEEN START_DAY AND END_DAY LIMIT 1) AS MEMBERSHIP_STAT,
                (SELECT IF(RESERVE_STAT = '5',CONCAT(IF(SEAT_NO IS NULL,0,SEAT_NO),'번 좌석 ','사용중'),CONCAT(IF(SEAT_NO IS NULL,0,SEAT_NO),'번 좌석 ','사용완료')) FROM W_FREESEAT_RESERVE WHERE USER_ID = A.USER_ID AND RESERVE_STAT IN ('4', '5') AND A.ENTRY_DATE BETWEEN START_DAY AND END_DAY LIMIT 1) AS FREESEAT_STAT
FROM
(
SELECT  A.USER_ID,MIN(GATE_DATE) AS ENTRY_DATE,MAX(GATE_DATE) AS EXIT_DATE
        FROM   WG_LOG A        WHERE   CONCAT(A.GATE_DATE,A.GATE_TIME) BETWEEN CONCAT('$srcStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$srcStartTerm',interval 1 day),'%Y%m%d'),'02000000')
        AND     A.USER_ID = IF('$srcMember'='D','',A.USER_ID)
        AND     A.USER_ID LIKE '%$srcUserId%'
        AND     A.DIP_RESULT_CODE = '0'
GROUP BY A.USER_ID
) A
UNION ALL
SELECT  A.USER_ID,
                A.USER_NM,'' AS REG,
                DATE_FORMAT(CONCAT(A.ENTRY_DATE,'000000'),'%Y-%m-%d') AS ENTRY_DATE,
                DATE_FORMAT(CONCAT(A.ENTRY_TIME),'%H:%i:%s') AS ENTRY_TIME,
                DATE_FORMAT(CONCAT(B.EXIT_DATE,'000000'),'%Y-%m-%d') AS EXIT_DATE,
                DATE_FORMAT(CONCAT(B.EXIT_TIME),'%H:%i:%s') AS EXIT_TIME,
                '','','','',''
FROM
(
SELECT  A.USER_ID,
                '일자유석' AS USER_NM,
                MIN(GATE_DATE) AS ENTRY_DATE,
                MIN(CONCAT(GATE_DATE,A.GATE_TIME)) AS ENTRY_TIME
        FROM   WG_LOG A,(SELECT CARD_NO FROM W_CARD GROUP BY CARD_NO) C
        WHERE   CONCAT(A.GATE_DATE,A.GATE_TIME) BETWEEN CONCAT('$srcStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$srcStartTerm',interval 1 day),'%Y%m%d'),'02000000')
        AND     A.USER_ID = IF('$srcMember'='M','',A.USER_ID)
        AND     A.USER_ID LIKE '%$srcUserId%'
        AND     A.INOUT_STATUS = 'I'
        AND     A.DIP_RESULT_CODE = '0'
        AND     A.USER_ID = C.CARD_NO
        AND     C.CARD_NO LIKE IF(''='',C.CARD_NO,'%$srcUserNm%')
GROUP BY A.USER_ID,C.CARD_NO
) A LEFT OUTER JOIN
(
SELECT  A.USER_ID,
                '일자유석' AS USER_NM,
                MAX(GATE_DATE) AS EXIT_DATE,
                MAX(CONCAT(GATE_DATE,A.GATE_TIME)) AS EXIT_TIME
        FROM   WG_LOG A,(SELECT CARD_NO FROM W_CARD GROUP BY CARD_NO) C
        WHERE   CONCAT(A.GATE_DATE,A.GATE_TIME) BETWEEN CONCAT('$srcStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$srcStartTerm',interval 1 day),'%Y%m%d'),'02000000')
        AND     A.USER_ID = IF('$srcMember'='M','',A.USER_ID)
        AND     A.USER_ID LIKE '%$srcUserId%'
        AND     A.INOUT_STATUS = 'O'
        AND     A.DIP_RESULT_CODE = '0'
        AND     A.USER_ID = C.CARD_NO
        AND     C.CARD_NO LIKE IF(''='',C.CARD_NO,'%$srcUserNm%')
GROUP BY A.USER_ID,C.CARD_NO
) B
ON A.USER_ID = B.USER_ID
        ) Z
        WHERE  USER_NM LIKE IF(''='',USER_NM,'%$srcUserNm%')
        ORDER BY ENTRY_DATE DESC,ENTRY_TIME DESC

";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		echo "<TR>";
                echo "<TD align='center'>".$row['USER_ID']."</TD>";
                echo "<TD align='center'>".$row['USER_NM']."</TD>";
                echo "<TD align='center'>".$row['ENTRY_DATE']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['ENTRY_TIME']."</TD>";
                echo "<TD align='center'>".$row['EXIT_DATE']."</TD>";
                echo "<TD align='center' style='mso-number-format:\"\@\";'>".$row['EXIT_TIME']."</TD>";
                echo "<TD align='center'>".$row['RESERVE_STAT']."</TD>";
                echo "<TD align='center'>".$row['TIME_ZONE']."</TD>";
                echo "<TD align='center'>".$row['TEAM_ROOM_STAT']."</TD>";
                echo "<TD align='center'>".$row['MEMBERSHIP_STAT']."</TD>";
                echo "<TD align='center'>".$row['FREESEAT_STAT']."</TD>";
		echo "</TR>";
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo "</TABLE>";

?>
