<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(isset($reqRoomNo))
{
		
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT  USER_ID,
                CONCAT(USER_NM,COALESCE(`REG`,'')) AS USER_NM,
                ENTRY_DATE,
                ENTRY_TIME,
                EXIT_DATE,
                EXIT_TIME,
		RESERVE_STAT,TIME_ZONE,TEAM_ROOM_STAT,MEMBERSHIP_STAT,FREESEAT_STAT
	FROM
	(
SELECT  A.USER_ID,
	(SELECT userName FROM RT_USER WHERE userId = A.USER_ID)  USER_NM,
	(SELECT '(등록)' FROM W_SEAT_ID WHERE USER_ID = A.USER_ID)  REG,
		(SELECT DATE_FORMAT(CONCAT(MIN(GATE_DATE),'000000'),'%Y-%m-%d') FROM WG_LOG WHERE  GATE_DATE = A.ENTRY_DATE AND USER_ID = A.USER_ID AND CONCAT(GATE_DATE,GATE_TIME) BETWEEN CONCAT('$reqStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$reqStartTerm',interval 1 day),'%Y%m%d'),'02000000') AND INOUT_STATUS = 'I' AND DIP_RESULT_CODE = '0' ) AS ENTRY_DATE,
        (SELECT DATE_FORMAT(MIN(CONCAT(GATE_DATE,GATE_TIME)),'%H:%i:%s') FROM WG_LOG WHERE GATE_DATE = A.ENTRY_DATE AND CONCAT(GATE_DATE,GATE_TIME) BETWEEN CONCAT('$reqStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$reqStartTerm',interval 1 day),'%Y%m%d'),'02000000') AND USER_ID = A.USER_ID AND INOUT_STATUS = 'I' AND DIP_RESULT_CODE = '0' ) AS ENTRY_TIME,
        (SELECT DATE_FORMAT(CONCAT(MAX(GATE_DATE),'000000'),'%Y-%m-%d') FROM WG_LOG WHERE  GATE_DATE = A.EXIT_DATE AND USER_ID = A.USER_ID AND CONCAT(GATE_DATE,GATE_TIME) BETWEEN CONCAT('$reqStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$reqStartTerm',interval 1 day),'%Y%m%d'),'02000000') AND INOUT_STATUS = 'I' AND DIP_RESULT_CODE = '0' ) AS EXIT_DATE,
        (SELECT DATE_FORMAT(MAX(CONCAT(GATE_DATE,GATE_TIME)),'%H:%i:%s') FROM WG_LOG WHERE GATE_DATE = A.EXIT_DATE AND CONCAT(GATE_DATE,GATE_TIME) BETWEEN CONCAT('$reqStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$reqStartTerm',interval 1 day),'%Y%m%d'),'02000000') AND USER_ID = A.USER_ID AND INOUT_STATUS = 'I' AND DIP_RESULT_CODE = '0' ) AS EXIT_TIME,        
        	(SELECT CONCAT(Y.ROOM_NM,' ',X.SEAT_NO,'번 좌석 ',FN_GET_CODE('RESERVE_STAT',RESERVE_STAT)) FROM W_SEAT_RESERVE X,W_ROOM_MST Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.USER_ID = A.USER_ID AND X.RESERVE_STAT IN ('4','5','7') AND X.ROOM_NO  = Y.ROOM_NO AND APL_ENTER_TM != 'FREESEAT' AND X.ROOM_NO != 0 LIMIT 1) AS RESERVE_STAT,
                (SELECT CONCAT(Y.ROOM_NM,' ',X.SEAT_NO,'번 좌석 ',FN_GET_CODE('RESERVE_STAT',RESERVE_STAT)) FROM W_SEAT_RESERVE X,W_ROOM_MST Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.USER_ID = A.USER_ID AND X.RESERVE_STAT IN ('4','5','7') AND X.ROOM_NO  = Y.ROOM_NO AND APL_ENTER_TM != 'FREESEAT' AND X.ROOM_NO = 0 LIMIT 1) AS TIME_ZONE,
                (SELECT FN_GET_CODE('RESERVE_STAT',RESERVE_STAT) FROM W_SROOM_RESERVE X,W_SROOM_RESERVE_SUB Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.RESERVE_NO = Y.RESERVE_NO AND Y.USER_ID = A.USER_ID AND X.RESERVE_STAT in ('4','5','7') LIMIT 1) AS TEAM_ROOM_STAT,
                (SELECT IF(RESERVE_STAT = '5',CONCAT(SEAT_NO,'번 좌석 ','사용중'),CONCAT(IF(SEAT_NO IS NULL,0,SEAT_NO),'번 좌석 ','사용완료')) FROM W_MEMBERSHIP_RESERVE WHERE USER_ID = A.USER_ID AND RESERVE_STAT IN ('4', '5') AND A.ENTRY_DATE BETWEEN START_DAY AND END_DAY LIMIT 1) AS MEMBERSHIP_STAT,
                (SELECT IF(RESERVE_STAT = '5',CONCAT(IF(SEAT_NO IS NULL,0,SEAT_NO),'번 좌석 ','사용중'),CONCAT(IF(SEAT_NO IS NULL,0,SEAT_NO),'번 좌석 ','사용완료')) FROM W_FREESEAT_RESERVE WHERE USER_ID = A.USER_ID AND RESERVE_STAT IN ('4', '5') AND A.ENTRY_DATE BETWEEN START_DAY AND END_DAY LIMIT 1) AS FREESEAT_STAT
FROM
(
SELECT  A.USER_ID,MIN(GATE_DATE) AS ENTRY_DATE,MAX(GATE_DATE) AS EXIT_DATE
        FROM   WG_LOG A
        WHERE   CONCAT(A.GATE_DATE,A.GATE_TIME) BETWEEN CONCAT('$reqStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$reqStartTerm',interval 1 day),'%Y%m%d'),'02000000')
        AND     A.USER_ID = IF('$reqMember'='D','',A.USER_ID)
        AND     A.USER_ID LIKE '%$reqUserId%'
        AND     A.DIP_RESULT_CODE = '0'
GROUP BY A.USER_ID
) A
UNION ALL
SELECT  A.USER_ID,
                A.USER_NM,'' AS REG,
                DATE_FORMAT(CONCAT(A.ENTRY_DATE,'000000'),'%Y-%m-%d') AS ENTRY_DATE,
                DATE_FORMAT(CONCAT(A.ENTRY_TIME),'%H:%i:%s') AS ENTRY_TIME,
                DATE_FORMAT(CONCAT(B.EXIT_DATE,'000000'),'%Y-%m-%d') AS EXIT_DATE,
                DATE_FORMAT(CONCAT(B.EXIT_TIME),'%H:%i:%s') AS EXIT_TIME,
                '','','','',''
FROM
(
SELECT  A.USER_ID,
                '일자유석' AS USER_NM,
                MIN(GATE_DATE) AS ENTRY_DATE,
                MIN(CONCAT(GATE_DATE,A.GATE_TIME)) AS ENTRY_TIME
        FROM   WG_LOG A,(SELECT CARD_NO FROM W_CARD GROUP BY CARD_NO) C
        WHERE   CONCAT(A.GATE_DATE,A.GATE_TIME) BETWEEN CONCAT('$reqStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$reqStartTerm',interval 1 day),'%Y%m%d'),'02000000')
        AND     A.USER_ID = IF('$reqMember'='M','',A.USER_ID)
        AND     A.USER_ID LIKE '%$reqUserId%'
        AND     A.INOUT_STATUS = 'I'
        AND     A.DIP_RESULT_CODE = '0'
        AND     A.USER_ID = C.CARD_NO
        AND     C.CARD_NO LIKE IF(''='',C.CARD_NO,'%$reqUserNm%')
GROUP BY A.USER_ID,C.CARD_NO
) A LEFT OUTER JOIN
(
SELECT  A.USER_ID,
                '일자유석' AS USER_NM,
                MAX(GATE_DATE) AS EXIT_DATE,
                MAX(CONCAT(GATE_DATE,A.GATE_TIME)) AS EXIT_TIME
        FROM   WG_LOG A,(SELECT CARD_NO FROM W_CARD GROUP BY CARD_NO) C
        WHERE   CONCAT(A.GATE_DATE,A.GATE_TIME) BETWEEN CONCAT('$reqStartTerm','00000000') AND CONCAT(DATE_FORMAT(date_add('$reqStartTerm',interval 1 day),'%Y%m%d'),'02000000')
        AND     A.USER_ID = IF('$reqMember'='M','',A.USER_ID)
        AND     A.USER_ID LIKE '%$reqUserId%'
        AND     A.INOUT_STATUS = 'O'
        AND     A.DIP_RESULT_CODE = '0'
        AND     A.USER_ID = C.CARD_NO
        AND     C.CARD_NO LIKE IF(''='',C.CARD_NO,'%$reqUserNm%')
GROUP BY A.USER_ID,C.CARD_NO
) B
ON A.USER_ID = B.USER_ID
	) Z
	WHERE USER_NM LIKE IF(''='',USER_NM,'%$reqUserNm%')
	ORDER BY ENTRY_DATE DESC,ENTRY_TIME DESC
";
//echo $sql;
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("STATUS");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('ENTRY_DATE',$row['ENTRY_DATE']));
		$tagReserve->appendChild($domtree->createElement('ENTRY_TIME',$row['ENTRY_TIME']));
		$tagReserve->appendChild($domtree->createElement('EXIT_DATE',$row['EXIT_DATE']));
		$tagReserve->appendChild($domtree->createElement('EXIT_TIME',$row['EXIT_TIME']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('TIME_ZONE',$row['TIME_ZONE']));
		$tagReserve->appendChild($domtree->createElement('TEAM_ROOM_STAT',$row['TEAM_ROOM_STAT']));
		$tagReserve->appendChild($domtree->createElement('MEMBERSHIP_STAT',$row['MEMBERSHIP_STAT']));
		$tagReserve->appendChild($domtree->createElement('FREESEAT_STAT',$row['FREESEAT_STAT']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
