<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(isset($reqRoomNo))
{
		
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT *
	FROM
	(
	SELECT  A.USER_ID,
		C.userName AS USER_NM,
		IF(INOUT_STATUS='I','IN','OUT') AS INOUT_STATUS,
		DATE_FORMAT(CONCAT(A.ENTRY_DATE,'000000'),'%Y-%m-%d') AS ENTRY_DATE,
		DATE_FORMAT(CONCAT(A.ENTRY_DATE,A.ENTRY_TIME),'%H:%i:%s') AS ENTRY_TIME,
		IF(A.EXIT_TIME > A.ENTRY_TIME,DATE_FORMAT(CONCAT(A.EXIT_DATE,'000000'),'%Y-%m-%d'),'') AS EXIT_DATE,
		IF(A.EXIT_TIME > A.ENTRY_TIME,DATE_FORMAT(CONCAT(A.EXIT_DATE,A.EXIT_TIME),'%H:%i:%s'),'') AS EXIT_TIME,
		IF(INOUT_STATUS='I',B.ENTRY_NAME,B.EXIT_NAME) AS ENTRY_NAME,
		(SELECT CONCAT(Y.ROOM_NM,' ',X.SEAT_NO,'번 좌석 ',FN_GET_CODE('RESERVE_STAT',RESERVE_STAT)) FROM W_SEAT_RESERVE X,W_ROOM_MST Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.USER_ID = A.USER_ID AND X.RESERVE_STAT IN ('5','7') AND X.ROOM_NO  = Y.ROOM_NO LIMIT 1) AS RESERVE_STAT,
		(SELECT FN_GET_CODE('RESERVE_STAT',RESERVE_STAT) FROM W_SROOM_RESERVE X,W_SROOM_RESERVE_SUB Y WHERE X.USE_DAY = A.ENTRY_DATE AND X.RESERVE_NO = Y.RESERVE_NO AND Y.USER_ID = A.USER_ID AND X.RESERVE_STAT in ('5','7') LIMIT 1) AS TEAM_ROOM_STAT,
		(SELECT IF(RESERVE_STAT = '5',CONCAT(SEAT_NO,'번 좌석 ','사용중'),'') FROM W_MEMBERSHIP_RESERVE WHERE USER_ID = A.USER_ID AND RESERVE_STAT = '5' AND '$reqStartTerm' BETWEEN START_DAY AND END_DAY LIMIT 1) AS MEMBERSHIP_STAT
	FROM   WG_STATUS A,realtime.WG_NAME B,RT_USER C
	WHERE   A.ENTRY_DATE BETWEEN '$reqStartTerm' AND '$reqEndTerm'
	AND     A.INOUT_STATUS = IF('$reqStatus' = '',A.INOUT_STATUS,'$reqStatus')
	AND     A.USER_ID = IF('$reqMember'='D','',A.USER_ID)
	AND     A.USER_ID LIKE '%$reqUserId%'
	AND     A.PC_NO = B.PC_NO
	AND     A.GATE_NO = B.GATE_NO
	AND     A.USER_ID = C.userId
	AND     C.userName LIKE IF('$reqUserNm'='',C.userName,'%$reqUserNm%')
	UNION ALL
	SELECT  A.USER_ID,
		'일자유석' AS USER_NM,
		IF(INOUT_STATUS='I','IN','OUT') AS INOUT_STATUS,
		DATE_FORMAT(CONCAT(A.ENTRY_DATE,'000000'),'%Y-%m-%d') AS ENTRY_DATE,
		DATE_FORMAT(CONCAT(A.ENTRY_DATE,A.ENTRY_TIME),'%H:%i:%s') AS ENTRY_TIME,
		IF(A.EXIT_TIME > A.ENTRY_TIME,DATE_FORMAT(CONCAT(A.EXIT_DATE,'000000'),'%Y-%m-%d'),'') AS EXIT_DATE,
		IF(A.EXIT_TIME > A.ENTRY_TIME,DATE_FORMAT(CONCAT(A.EXIT_DATE,A.EXIT_TIME),'%H:%i:%s'),'') AS EXIT_TIME,
		IF(INOUT_STATUS='I',B.ENTRY_NAME,B.EXIT_NAME) AS ENTRY_NAME,
		'' AS RESERVE_STAT,
		'' AS TEAM_ROOM_STAT,
		'' AS MEMBERSHIP_STAT
	FROM   WG_STATUS A,realtime.WG_NAME B,(SELECT CARD_NO FROM W_CARD GROUP BY CARD_NO) C
	WHERE   A.ENTRY_DATE BETWEEN '$reqStartTerm' AND '$reqEndTerm'
	AND     A.INOUT_STATUS = IF('$reqStatus' = '',A.INOUT_STATUS,'$reqStatus')
	AND     A.USER_ID = IF('$reqMember'='M','',A.USER_ID)
	AND     A.USER_ID LIKE '%$reqUserId%'
	AND     A.PC_NO = B.PC_NO
	AND     A.GATE_NO = B.GATE_NO
	AND     A.USER_ID = C.CARD_NO
	AND     A.USER_ID LIKE IF('$reqUserNm'='',A.USER_ID,'%$reqUserNm%')
	) Z
	ORDER BY ENTRY_DATE DESC,ENTRY_TIME DESC
";
//echo $sql;
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("STATUS");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('INOUT_STATUS',$row['INOUT_STATUS']));
		$tagReserve->appendChild($domtree->createElement('ENTRY_NAME',$row['ENTRY_NAME']));
		$tagReserve->appendChild($domtree->createElement('ENTRY_DATE',$row['ENTRY_DATE']));
		$tagReserve->appendChild($domtree->createElement('ENTRY_TIME',$row['ENTRY_TIME']));
		$tagReserve->appendChild($domtree->createElement('EXIT_DATE',$row['EXIT_DATE']));
		$tagReserve->appendChild($domtree->createElement('EXIT_TIME',$row['EXIT_TIME']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('TEAM_ROOM_STAT',$row['TEAM_ROOM_STAT']));
		$tagReserve->appendChild($domtree->createElement('MEMBERSHIP_STAT',$row['MEMBERSHIP_STAT']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
