<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT 	ROOM_NO,
		ROOM_NM,
		SEAT_NO_S,
		SEAT_NO_E,
		SEAT_NO_CNT,
		OPEN_TM,
		CLOSE_TM,
		SEAT_FIX,
		PAY_PER_HOUR,
		PAY_PER_MIN,
		USE_YN,
		RESERVE_PER_DAY
	FROM 	W_ROOM_MST 
	WHERE   ROOM_NO IN (1,2,3,4,5,6) 
	ORDER BY ROOM_NO 
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("ROOM");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO_S',$row['SEAT_NO_S']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO_E',$row['SEAT_NO_E']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO_CNT',$row['SEAT_NO_CNT']));
		$tagReserve->appendChild($domtree->createElement('OPEN_TM',$row['OPEN_TM']));
		$tagReserve->appendChild($domtree->createElement('CLOSE_TM',$row['CLOSE_TM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_FIX',$row['SEAT_FIX']));
		$tagReserve->appendChild($domtree->createElement('PAY_PER_HOUR',$row['PAY_PER_HOUR']));
		$tagReserve->appendChild($domtree->createElement('PAY_PER_MIN',$row['PAY_PER_MIN']));
		$tagReserve->appendChild($domtree->createElement('USE_YN',$row['USE_YN']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_PER_DAY',$row['RESERVE_PER_DAY']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
