<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/

$sql = "
SELECT *
FROM 
(
	SELECT   RESERVE_NO,
                 PAY_DT,
                SEAT_GB_CD,
                SEAT_GB_NM,
                PRODUCT_NM,
                PAYMENT_NO,
                PRODUCT_CD,
                CANCEL_YN,
                CANCEL_DT,
                PAY_STAT,
                USER_ID,
                USER_NM,
                ROOM_NO,
                ROOM_NM,
                SEAT_NO,
                START_DAY_TXT,
                START_DAY,
                END_DAY_TXT,
                END_DAY,
                USE_DAY_TXT,
                USE_DAY,
		SUB_CNT,
                PERIOD,
                IF(RESERVE_STAT IS NULL,'0',RESERVE_STAT) AS RESERVE_STAT,
                RESERVE_STAT_NM,
		INOUT_STATUS

FROM
(
	SELECT  A.RESERVE_NO,
                B.regdate AS PAY_DT,
                'M' AS SEAT_GB_CD,
                '지정석' AS SEAT_GB_NM,
                B.prName AS PRODUCT_NM,
                B.idx AS PAYMENT_NO,
                B.prIdxSrc AS PRODUCT_CD,
                B.isCancel AS CANCEL_YN,
                B.cancelDate AS CANCEL_DT,
                IF(B.isCancel='N','결제','취소') AS PAY_STAT,
                B.userId AS USER_ID,
                (SELECT userName FROM RT_USER WHERE userId = B.userId) AS USER_NM,
                IF(A.ROOM_NO IS NULL,'',A.ROOM_NO) AS ROOM_NO,
                (SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = A.ROOM_NO) AS ROOM_NM,
                IF(A.SEAT_NO IS NULL,'',A.SEAT_NO) AS SEAT_NO,
                FN_CONV_DATE(START_DAY,'Y-m-d') AS START_DAY_TXT,
                START_DAY AS START_DAY,
                FN_CONV_DATE(END_DAY,'Y-m-d') AS END_DAY_TXT,
                END_DAY AS END_DAY,
		FN_CONV_DATE(START_DAY,'Y-m-d') AS USE_DAY_TXT,
		START_DAY AS USE_DAY,
		0 AS SUB_CNT,
                APL_CANCEL_TM AS PERIOD,
                IF(A.RESERVE_STAT IS NULL,'999',A.RESERVE_STAT) AS RESERVE_STAT,
                IF(RESERVE_STAT IS NULL,'발권대기',IF(RESERVE_STAT = '5','이용중',FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT))) AS RESERVE_STAT_NM,
		(SELECT INOUT_STATUS FROM WG_STATUS WHERE USER_ID = B.userId) AS INOUT_STATUS
        FROM    RT_PAYMENT B, (
                                                SELECT * 
                                                FROM W_MEMBERSHIP_RESERVE A
                                                WHERE RESERVE_STAT IN ('1','4','5','6','7')
                                                AND (START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
                                                    OR END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
                                                    OR '$reqStartTerm' BETWEEN START_DAY AND END_DAY
                                                    OR '$reqEndTerm' BETWEEN START_DAY AND END_DAY ) 
						AND   USER_ID NOT IN (SELECT USER_ID FROM W_SEAT_ID)
                                     ) A
        WHERE      B.idx = A.APL_NOSHOW_TM
/*        AND   isCancel='N' */
        AND     isdel='N'
        AND     prIdxSrc = IF('' = '',prIdxSrc,'')
        AND     prIdxSrc IN (SELECT CODE FROM W_CODE_MST WHERE CODE_GB IN('PRODUCT','PRODUCT_OLD') AND CODE_VAL = 'M')
	UNION ALL
	SELECT          A.RESERVE_NO,
                	'' AS PAY_DT,
                	'F' AS SEAT_GB_CD,
                	'자유석' AS SEAT_GB_NM,
                	(SELECT prName FROM RT_PAYMENT WHERE idx = B.APL_NOSHOW_TM) AS PRODUCT_NM,
                '' AS PAYMENT_NO,
                (SELECT prIdxSrc FROM RT_PAYMENT WHERE idx = B.APL_NOSHOW_TM) AS PRODUCT_CD,
                '' AS CANCEL_YN,
                '' AS CANCEL_DT,
                '' AS PAY_STAT,
                B.USER_ID AS USER_ID,
                B.USER_NM AS USER_NM,
                IF(B.ROOM_NO IS NULL,'',B.ROOM_NO) AS ROOM_NO,
                (SELECT ROOM_NM FROM W_ROOM_MST WHERE ROOM_NO = B.ROOM_NO) AS ROOM_NM,
                IF(B.SEAT_NO IS NULL,'',B.SEAT_NO) AS SEAT_NO,
                FN_CONV_DATE(START_DAY,'Y-m-d') AS START_DAY_TXT,
                START_DAY AS START_DAY,
                FN_CONV_DATE(END_DAY,'Y-m-d') AS END_DAY_TXT,
                END_DAY AS END_DAY,
                FN_CONV_DATE(USE_DAY,'Y-m-d') AS USE_DAY_TXT,
                USE_DAY AS USE_DAY,
		SUB_CNT,
                B.APL_CANCEL_TM AS PERIOD,
                IF(B.RESERVE_STAT IS NULL,'999',B.RESERVE_STAT)  AS RESERVE_STAT,
                IF(B.RESERVE_STAT = '5','이용중',FN_GET_CODE('RESERVE_STAT',B.RESERVE_STAT))  AS RESERVE_STAT_NM,
		(SELECT INOUT_STATUS FROM WG_STATUS WHERE USER_ID = B.USER_ID) AS INOUT_STATUS

        FROM    (SELECT * FROM W_FREESEAT_RESERVE WHERE RESERVE_STAT IN  ('1','4','5','6','7') AND FREE_SEAT_GB = 'F') B LEFT OUTER JOIN (
                                                SELECT COUNT(RESERVE_NO) AS SUB_CNT,USER_ID,USE_DAY AS USE_DAY,MAX(RESERVE_NO) AS RESERVE_NO
                                                FROM W_SEAT_RESERVE A
                                                WHERE RESERVE_STAT IN ('1','4','5','7')
                                                AND   APL_ENTER_TM = 'FREESEAT'
                                                AND (USE_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' ) 
						AND   USER_ID NOT IN (SELECT USER_ID FROM W_SEAT_ID)
                                                GROUP BY USER_ID,USE_DAY
                                     ) A
        ON B.USER_ID = A.USER_ID
        AND (START_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
			OR END_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm' 
            OR '$reqStartTerm' BETWEEN START_DAY AND END_DAY
            OR '$reqEndTerm' BETWEEN START_DAY AND END_DAY )
        
        
) Z
) X
	WHERE     X.ROOM_NO = IF(X.ROOM_NO IS NULL,NULL,IF('$reqRoomNo'='',X.ROOM_NO,'$reqRoomNo'))
	AND     X.SEAT_NO = IF(X.SEAT_NO IS NULL,NULL,IF('$reqSeatNo'='',X.SEAT_NO,'$reqSeatNo'))
	AND     X.USER_ID LIKE '%$reqUserId%'
	AND     X.USER_NM LIKE '%$reqUserNm%'
	AND     X.SEAT_GB_CD = IF('$reqProductGb'='',X.SEAT_GB_CD,'$reqProductGb')
	AND     X.PRODUCT_CD = IF('$reqProductCd'='',X.PRODUCT_CD,'$reqProductCd')
	AND     X.RESERVE_STAT = IF('$reqReserveStat'='',X.RESERVE_STAT,'$reqReserveStat')
	ORDER BY USE_DAY DESC
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('PAY_DT',$row['PAY_DT']));
		$tagReserve->appendChild($domtree->createElement('SEAT_GB_CD',$row['SEAT_GB_CD']));
		$tagReserve->appendChild($domtree->createElement('SEAT_GB_NM',$row['SEAT_GB_NM']));
		$tagReserve->appendChild($domtree->createElement('PRODUCT_NM',$row['PRODUCT_NM']));
		$tagReserve->appendChild($domtree->createElement('PRODUCT_CD',$row['PRODUCT_CD']));
		$tagReserve->appendChild($domtree->createElement('PAYMENT_NO',$row['PAYMENT_NO']));
		$tagReserve->appendChild($domtree->createElement('CANCEL_YN',$row['CANCEL_YN']));
		$tagReserve->appendChild($domtree->createElement('CANCEL_DT',$row['CANCEL_DT']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('START_DAY',$row['START_DAY']));
		$tagReserve->appendChild($domtree->createElement('START_DAY_TXT',$row['START_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('END_DAY',$row['END_DAY']));
		$tagReserve->appendChild($domtree->createElement('END_DAY_TXT',$row['END_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('USE_DAY_TXT',$row['USE_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('USE_DAY',$row['USE_DAY']));
		$tagReserve->appendChild($domtree->createElement('SUB_CNT',$row['SUB_CNT']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT_NM',$row['RESERVE_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('PERIOD',$row['PERIOD']));
		$tagReserve->appendChild($domtree->createElement('INOUT_STATUS',$row['INOUT_STATUS']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
