<?php

header( "Content-type: application/vnd.ms-excel" );   
header( "Content-type: application/vnd.ms-excel; charset=utf-8");  
header( "Content-Disposition: attachment; filename = 열람실예약현황.xls" );   
header( "Content-Description: PHP4 Generated Data" );   


/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
$srcStartTerm = str_replace("-","",$srcStartTerm);
$srcEndTerm = str_replace("-","",$srcEndTerm);

//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$arrReserveStat=['','예약취소','','','사용완료','예약','','사용중'];
if($srcReserveStat == '')
{
        $srcReserveStatIndex = 0;
}
else
{
        $srcReserveStatIndex = $srcReserveStat;
}

echo " 
<br><br><br>
<table border='1'>  
<tr>
   <td width='80'>열람실</td>
   <td width='80'>$srcRoomNo</td>
   <td width='80'>좌석번호</td>
   <td width='80'>$srcSeatNo</td>
</tr>
<tr>
   <td width='80'>상태</td>
   <td colspan='3'>$arrReserveStat[$srcReserveStatIndex]</td>
</tr>
<tr>
   <td>이용일자</td>
   <td colspan='3'>$srcStartTerm ~ $srcEndTerm</td>
   </tr>
<tr>
   <td>이용자명</td>
   <td>$srcUserNm</td>
   <td>이용자ID</td>
   <td>$srcUserId</td>
   </tr>
</table>  
<br><br><br>
<table border='1'>  
<tr>  
   <td>이용일자</td>  
   <td>열람실명</td>  
   <td>좌석번호</td>  
   <td>이용자 아이디</td>  
   <td>이용자명</td>  
   <td>상태</td>  
   <td>시작시간</td>  
   <td>종료시간</td>  
   <td>결제상태</td>  
   <td>결제R'</td>  
   <td>환불R'</td>  
   <td>쿠폰</td>  
</tr>";


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT 	A.RESERVE_NO,A.ROOM_NO,
		B.ROOM_NM,
		A.SEAT_NO,
		A.USE_DAY,
		FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS USE_DAY_TXT,
		A.USER_ID,
		A.USER_NM,
		FN_CONV_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'H:i') AS START_TM,
		IF(A.END_TM > '2359',CONCAT(SUBSTRING(A.END_TM,1,2),':',SUBSTRING(A.END_TM,2,2)),FN_CONV_DATE(CONCAT(A.USE_DAY,A.END_TM,'00'),'H:i')) AS END_TM,
		A.START_TM AS START_TM_TMP,
		A.END_TM AS END_TM_TMP,
		A.RESERVE_STAT,
		FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
		A.PAY_STAT,
		FN_GET_CODE('PAY_STAT',A.PAY_STAT) AS PAY_STAT_NM,
		A.TOTAL_AMT,
		A.PAY_AMT,
		A.REMAIN_AMT,
		A.REFUND_AMT,
		C.COUPON_YN	
	FROM 	W_ROOM_MST B,W_SEAT_RESERVE A,W_SEAT_PAYMENT C
	WHERE   B.USE_YN = '$srcUseYn'
	AND     A.ROOM_NO = B.ROOM_NO
	AND     A.ROOM_NO = IF('$srcRoomNo' = '',A.ROOM_NO,'$srcRoomNo')
	AND     A.SEAT_NO = IF('$srcSeatNo' = '',A.SEAT_NO,'$srcSeatNo')
	AND     A.RESERVE_STAT != '0'
	AND     A.RESERVE_STAT = IF('$srcReserveStat' = '',A.RESERVE_STAT,'$srcReserveStat')
	AND     A.PAY_STAT != '9'
	AND     A.PAY_STAT LIKE '%$srcPayStat%'
	AND     A.USE_DAY BETWEEN '$srcStartTerm' AND '$srcEndTerm'    
	AND     A.USER_NM LIKE '%$srcUserNm%' 
	AND     A.USER_ID LIKE '%$srcUserId%' 
	AND     A.RESERVE_NO = C.RESERVE_NO
	AND     A.USER_ID NOT IN (SELECT USER_ID FROM W_SEAT_ID)
	ORDER BY  A.USE_DAY DESC,END_TM DESC
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		echo "<TR>";
                echo "<TD>".$row['USE_DAY_TXT']."</TD>";
                echo "<TD>".$row['ROOM_NM']."</TD>";
                echo "<TD>".$row['SEAT_NO']."</TD>";
                echo "<TD>".$row['USER_ID']."</TD>";
                echo "<TD>".$row['USER_NM']."</TD>";
                echo "<TD>".$row['RESERVE_STAT_NM']."</TD>";
                echo "<TD style='mso-number-format:\"\@\";'>".$row['START_TM']."</TD>";
                echo "<TD style='mso-number-format:\"\@\";'>".$row['END_TM']."</TD>";
                echo "<TD>".$row['PAY_STAT_NM']."</TD>";
                echo "<TD>".$row['PAY_AMT']."</TD>";
                echo "<TD>".$row['REFUND_AMT']."</TD>";
                echo "<TD align='center'>".$row['COUPON_YN']."</TD>";
		echo "</TR>";
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo "</TABLE>";

?>
