<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/

$sql = "
	SELECT 	A.RESERVE_NO,A.ROOM_NO,
		B.ROOM_NM,
		A.SEAT_NO,
		A.USE_DAY,
		FN_CONV_DATE(CONCAT(A.USE_DAY,'000000'),'Y-m-d') AS USE_DAY_TXT,
		A.USER_ID,
		A.USER_NM,
		FN_CONV_DATE(CONCAT(A.USE_DAY,A.START_TM,'00'),'H:i') AS START_TM,
		FN_CONV_DATE(CONCAT(A.USE_DAY,A.END_TM,'00'),'H:i') AS END_TM,
		A.START_TM AS START_TM_TMP,
		A.END_TM AS END_TM_TMP,
		IF(APL_ENTER_TM='FREESEAT','자유석','일일이용권') AS SEAT_GB,
		A.RESERVE_STAT,
		FN_GET_CODE('RESERVE_STAT',A.RESERVE_STAT) AS RESERVE_STAT_NM,
		A.PAY_STAT,
		FN_GET_CODE('PAY_STAT',A.PAY_STAT) AS PAY_STAT_NM,
		A.TOTAL_AMT,
		A.PAY_AMT,
		A.REMAIN_AMT,
		A.REFUND_AMT,
		FN_CONV_DATE(CONCAT(A.RESERVE_DT),'Y-m-d H:i:s') AS RESERVE_DT,
		(SELECT COUNT(RESERVE_NO) FROM W_SEAT_RESERVE WHERE USER_ID = A.USER_ID AND USE_DAY = A.USE_DAY AND ROOM_NO != 0) AS CHG_RESERVE_NO,
		(SELECT COUPON_YN FROM W_SEAT_PAYMENT WHERE RESERVE_NO = A.RESERVE_NO) AS COUPON_YN
	FROM 	W_ROOM_MST B,W_SEAT_RESERVE A
	WHERE   B.USE_YN = '$reqUseYn'
	AND     A.ROOM_NO = B.ROOM_NO
	AND     A.ROOM_NO = IF('$reqRoomNo' = '',A.ROOM_NO,'$reqRoomNo')
	AND     A.SEAT_NO = IF('$reqSeatNo' = '',A.SEAT_NO,'$reqSeatNo')
	AND     A.RESERVE_STAT != '0'
	AND     A.RESERVE_STAT = IF('$reqReserveStat' = '',A.RESERVE_STAT,'$reqReserveStat')
	AND     A.PAY_STAT LIKE '%$reqPayStat%'
	AND     A.USE_DAY BETWEEN '$reqStartTerm' AND '$reqEndTerm'    
	AND     A.USER_NM LIKE '%$reqUserNm%' 
	AND     A.USER_ID LIKE '%$reqUserId%' 
	AND     A.CHG_RESERVE_NO IN ('','0','1','3','2')
	AND     A.APL_ENTER_TM != 'FREESEAT'
	AND     A.USER_ID NOT IN (SELECT USER_ID FROM W_SEAT_ID)
	ORDER BY  A.USE_DAY DESC,END_TM DESC
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('USE_DAY',$row['USE_DAY']));
		$tagReserve->appendChild($domtree->createElement('USE_DAY_TXT',$row['USE_DAY_TXT']));
		$tagReserve->appendChild($domtree->createElement('USER_ID',$row['USER_ID']));
		$tagReserve->appendChild($domtree->createElement('USER_NM',$row['USER_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT_NM',$row['RESERVE_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('START_TM',$row['START_TM']));
		$tagReserve->appendChild($domtree->createElement('END_TM',$row['END_TM']));
		$tagReserve->appendChild($domtree->createElement('START_TM_TMP',$row['START_TM_TMP']));
		$tagReserve->appendChild($domtree->createElement('END_TM_TMP',$row['END_TM_TMP']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT_NM',$row['PAY_STAT_NM']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('TOTAL_AMT',$row['TOTAL_AMT']));
		$tagReserve->appendChild($domtree->createElement('PAY_AMT',$row['PAY_AMT']));
		$tagReserve->appendChild($domtree->createElement('REMAIN_AMT',$row['REMAIN_AMT']));
		$tagReserve->appendChild($domtree->createElement('REFUND_AMT',$row['REFUND_AMT']));
		$tagReserve->appendChild($domtree->createElement('CHG_RESERVE_NO',$row['CHG_RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('COUPON_YN',$row['COUPON_YN']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_DT',$row['RESERVE_DT']));
		$tagReserve->appendChild($domtree->createElement('SEAT_GB',$row['SEAT_GB']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
