<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);


/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "SELECT  SROOM_NO, 
                SROOM_NM, 
                USE_DAY,
                MAX(CONCAT(time0,'|',RESERVE_STAT)) AS TIME0, 
                MAX(CONCAT(time1,'|',RESERVE_STAT)) AS TIME1, 
                MAX(CONCAT(time2,'|',RESERVE_STAT)) AS TIME2, 
                MAX(CONCAT(time3,'|',RESERVE_STAT)) AS TIME3, 
                MAX(CONCAT(time4,'|',RESERVE_STAT)) AS TIME4, 
                MAX(CONCAT(time5,'|',RESERVE_STAT)) AS TIME5, 
                MAX(CONCAT(time6,'|',RESERVE_STAT)) AS TIME6, 
                MAX(CONCAT(time7,'|',RESERVE_STAT)) AS TIME7, 
                MAX(CONCAT(time8,'|',RESERVE_STAT)) AS TIME8, 
                MAX(CONCAT(time9,'|',RESERVE_STAT)) AS TIME9, 
                MAX(CONCAT(time10,'|',RESERVE_STAT)) AS TIME10, 
                MAX(CONCAT(time11,'|',RESERVE_STAT)) AS TIME11, 
                MAX(CONCAT(time12,'|',RESERVE_STAT)) AS TIME12, 
                MAX(CONCAT(time13,'|',RESERVE_STAT)) AS TIME13, 
                MAX(CONCAT(time14,'|',RESERVE_STAT)) AS TIME14, 
                MAX(CONCAT(time15,'|',RESERVE_STAT)) AS TIME15, 
                MAX(CONCAT(time16,'|',RESERVE_STAT)) AS TIME16, 
                MAX(CONCAT(time17,'|',RESERVE_STAT)) AS TIME17 
FROM     
(
        SELECT  S.SROOM_NO, R.RESERVE_STAT,R.start_tm, R.end_tm, S.SROOM_NM, R.USE_DAY, 
                CASE WHEN CAST(start_tm AS unsigned) < 715 AND CAST(end_tm AS unsigned) > 745 THEN RESERVE_NO ELSE 0 END AS time0, 
                CASE WHEN CAST(start_tm AS unsigned) < 815 AND CAST(end_tm AS unsigned) > 845 THEN RESERVE_NO ELSE 0 END AS time1,
                CASE WHEN CAST(start_tm AS unsigned) < 915 AND CAST(end_tm AS unsigned) > 945 THEN RESERVE_NO ELSE 0 END AS time2,
                CASE WHEN CAST(start_tm AS unsigned) < 1015 AND CAST(end_tm AS unsigned) > 1045 THEN RESERVE_NO ELSE 0 END AS time3,
                CASE WHEN CAST(start_tm AS unsigned) < 1115 AND CAST(end_tm AS unsigned) > 1145 THEN RESERVE_NO ELSE 0 END AS time4,
                CASE WHEN CAST(start_tm AS unsigned) < 1215 AND CAST(end_tm AS unsigned) > 1245 THEN RESERVE_NO ELSE 0 END AS time5,
                CASE WHEN CAST(start_tm AS unsigned) < 1315 AND CAST(end_tm AS unsigned) > 1345 THEN RESERVE_NO ELSE 0 END AS time6,
                CASE WHEN CAST(start_tm AS unsigned) < 1415 AND CAST(end_tm AS unsigned) > 1445 THEN RESERVE_NO ELSE 0 END AS time7,
                CASE WHEN CAST(start_tm AS unsigned) < 1515 AND CAST(end_tm AS unsigned) > 1545 THEN RESERVE_NO ELSE 0 END AS time8,
                CASE WHEN CAST(start_tm AS unsigned) < 1615 AND CAST(end_tm AS unsigned) > 1645 THEN RESERVE_NO ELSE 0 END AS time9,
                CASE WHEN CAST(start_tm AS unsigned) < 1715 AND CAST(end_tm AS unsigned) > 1745 THEN RESERVE_NO ELSE 0 END AS time10,
CASE WHEN CAST(start_tm AS unsigned) < 1815 AND CAST(end_tm AS unsigned) > 1845 THEN RESERVE_NO ELSE 0 END AS time11,
                CASE WHEN CAST(start_tm AS unsigned) < 1915 AND CAST(end_tm AS unsigned) > 1945 THEN RESERVE_NO ELSE 0 END AS time12,
                CASE WHEN CAST(start_tm AS unsigned) < 2015 AND CAST(end_tm AS unsigned) > 2045 THEN RESERVE_NO ELSE 0 END AS time13,
                CASE WHEN CAST(start_tm AS unsigned) < 2115 AND CAST(end_tm AS unsigned) > 2145 THEN RESERVE_NO ELSE 0 END AS time14,
                CASE WHEN CAST(start_tm AS unsigned) < 2215 AND CAST(end_tm AS unsigned) > 2245 THEN RESERVE_NO ELSE 0 END AS time15,
                CASE WHEN CAST(start_tm AS unsigned) < 2315 AND CAST(end_tm AS unsigned) > 2345 THEN RESERVE_NO ELSE 0 END AS time16,
                CASE WHEN CAST(start_tm AS unsigned) < 2415 AND CAST(end_tm AS unsigned) > 2445 THEN RESERVE_NO ELSE 0 END AS time17
              FROM     W_SROOM_MST AS S LEFT OUTER JOIN
                       W_SROOM_RESERVE AS R ON S.sroom_no = R.sroom_no AND R.use_day = '$reqUseDay' AND R.reserve_stat >= 4) AS A
 GROUP BY SROOM_NO,SROOM_NM,USE_DAY
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("SROOM_RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('SROOM_NO',$row['SROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('SROOM_NM',$row['SROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('TIME0',$row['TIME0']));
		$tagReserve->appendChild($domtree->createElement('TIME1',$row['TIME1']));
		$tagReserve->appendChild($domtree->createElement('TIME2',$row['TIME2']));
		$tagReserve->appendChild($domtree->createElement('TIME3',$row['TIME3']));
		$tagReserve->appendChild($domtree->createElement('TIME4',$row['TIME4']));
		$tagReserve->appendChild($domtree->createElement('TIME5',$row['TIME5']));
		$tagReserve->appendChild($domtree->createElement('TIME6',$row['TIME6']));
		$tagReserve->appendChild($domtree->createElement('TIME7',$row['TIME7']));
		$tagReserve->appendChild($domtree->createElement('TIME8',$row['TIME8']));
		$tagReserve->appendChild($domtree->createElement('TIME9',$row['TIME9']));
		$tagReserve->appendChild($domtree->createElement('TIME10',$row['TIME10']));
		$tagReserve->appendChild($domtree->createElement('TIME11',$row['TIME11']));
		$tagReserve->appendChild($domtree->createElement('TIME12',$row['TIME12']));
		$tagReserve->appendChild($domtree->createElement('TIME13',$row['TIME13']));
		$tagReserve->appendChild($domtree->createElement('TIME14',$row['TIME14']));
		$tagReserve->appendChild($domtree->createElement('TIME15',$row['TIME15']));
		$tagReserve->appendChild($domtree->createElement('TIME16',$row['TIME16']));
		$tagReserve->appendChild($domtree->createElement('TIME17',$row['TIME17']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
