<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/param.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
if(!isset($reqReserveDt))
{
	$reqReserveDt = $timeFormat['YMD'];
}
if(!isset($reqFrTm))
{
	$reqFrTm = '0400';
}
if(!isset($reqToTm))
{
	$reqToTm = '2400';
}
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   XML HEADER                                         */
/************************************************************************/
$domtree = new DOMDocument('1.0', 'UTF-8');
$xmlRoot = $domtree->createElement("ROOT");
$xmlRoot = $domtree->appendChild($xmlRoot);

$tagResult = $domtree->createElement("RESULT");
$tagResult = $xmlRoot->appendChild($tagResult);

$tagResult->appendChild($domtree->createElement('RESULT_CD',''));
$tagResult->appendChild($domtree->createElement('RESULT_MSG',''));

/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "SELECT *
	FROM
	(
	SELECT 	RESERVE_NO,
		FN_CONV_DATE(USE_DAY,'m/d') AS USE_DAY,
		FN_CONV_DATE(CONCAT(USE_DAY,A.START_TM,'00'),'H:i') AS START_TM,
		FN_CONV_DATE(CONCAT(USE_DAY,A.END_TM,'00'),'H:i') AS END_TM,
		A.ROOM_NO,
		B.ROOM_NM,
		SEAT_NO,
		USER_ID,
		PAY_STAT,
		RESERVE_STAT,
		REMAIN_AMT,
		'Y' AS MAIN_USER 
	FROM 	W_SEAT_RESERVE A,W_ROOM_MST B
	WHERE   A.USER_ID = '$reqId'
	AND     A.RESERVE_STAT IN ('0','5','7')
	AND     A.ROOM_NO = B.ROOM_NO
	UNION ALL
	SELECT  C.RESERVE_NO,
                FN_CONV_DATE(USE_DAY,'m/d') AS USE_DAY,
                FN_CONV_DATE(CONCAT(USE_DAY,A.START_TM,'00'),'H:i') AS START_TM,
                FN_CONV_DATE(CONCAT(USE_DAY,A.END_TM,'00'),'H:i') AS END_TM,
                A.SROOM_NO,
                B.SROOM_NM,
                '' AS SEAT_NO,
                C.USER_ID,
                PAY_STAT,
                RESERVE_STAT,
                REMAIN_AMT ,
		IF(C.USER_ID = A.USER_ID,'Y','N') AS MAIN_USER
        FROM    W_SROOM_RESERVE_SUB C,W_SROOM_RESERVE A,W_SROOM_MST B
        WHERE   C.USER_ID = '$reqId'
	AND     C.RESERVE_NO = A.RESERVE_NO
        AND     A.RESERVE_STAT IN ('0','5','7')
	AND     A.SROOM_NO = B.SROOM_NO
	) Z
	ORDER BY USE_DAY,START_TM
";
$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("RESERVE");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('ROOM_GB','R'));
		$tagReserve->appendChild($domtree->createElement('RESERVE_NO',$row['RESERVE_NO']));
		$tagReserve->appendChild($domtree->createElement('RESERVE_STAT',$row['RESERVE_STAT']));
		$tagReserve->appendChild($domtree->createElement('PAY_STAT',$row['PAY_STAT']));
		$tagReserve->appendChild($domtree->createElement('USE_DAY',$row['USE_DAY']));
		$tagReserve->appendChild($domtree->createElement('START_TM',$row['START_TM']));
		$tagReserve->appendChild($domtree->createElement('END_TM',$row['END_TM']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('SEAT_NO',$row['SEAT_NO']));
		$tagReserve->appendChild($domtree->createElement('MAIN_USER',$row['MAIN_USER']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
	if(!isset($userId))
	{
	//	$resultCd = '01';
	//	$resultMsg = '존재하지 않는 이용자';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                  RESERVE DATE                                        */
/************************************************************************/
$sql = "select DATE_FORMAT(a.Date,'%Y/%m/%d')  AS RESERVE_DATE 
	from (
    		select curdate() - INTERVAL (a.a + (10 * b.a) + (100 * c.a)) DAY as Date
    		from 
		(
			select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as a
    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as b
    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as c
		) a
	where a.Date between DATE_FORMAT('".$timeFormat['YMD']."','%Y-%m-%d') and DATE_FORMAT(str_to_date('".$timeFormat['YMD']."','%Y%m%d')+'6 day','%Y-%m-%d')
	order by a.Date ASC";
//$pdoConn = pdoConn();
try
{
	/* RESERVE DATE NODE */
	$tagReserve = $domtree->createElement("RESERVE_DATE");
	$tagReserve = $xmlRoot->appendChild($tagReserve);
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('DATE',$row['RESERVE_DATE']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
	if(!isset($userId))
	{
	//	$resultCd = '01';
	//	$resultMsg = '존재하지 않는 이용자';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}

/************************************************************************/
/*                  HOUR                                                */
/************************************************************************/
try
{
	/* RESERVE HOUR NODE */
	$tagReserve = $domtree->createElement("RESERVE_HOUR");
	$tagReserve = $xmlRoot->appendChild($tagReserve);
	for($i=6;$i<25;$i++) 
	{

		/* CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('HOUR',str_pad($i,2,'0',STR_PAD_LEFT)));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
	if(!isset($userId))
	{
	//	$resultCd = '01';
	//	$resultMsg = '존재하지 않는 이용자';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";

}

/************************************************************************/
/*                  MINUTE                                              */
/************************************************************************/
try
{
	/* RESERVE MINUTE NODE */
	$tagReserve = $domtree->createElement("RESERVE_MINUTE");
	$tagReserve = $xmlRoot->appendChild($tagReserve);
	for($i=0;$i<61;$i=$i+10) 
	{

		/* CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('MINUTE',str_pad($i,2,'0',STR_PAD_LEFT)));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
	if(!isset($userId))
	{
	//	$resultCd = '01';
	//	$resultMsg = '존재하지 않는 이용자';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";

}


//$pdoConn = null;
/************************************************************************/
/*                   COUPON_LIST                                       */
/************************************************************************/
/************************************************************************/
/*                   PARAMETER 재정의                                   */
/************************************************************************/
$commonParam['REQ_ID'] = $reqId;
$commonParam['REQ_FROM'] = '10';
$commonParam['REQ_CTYPE'] = '00';

//요청한 device가 idcard만 체크하는지 seat도 체크하는지 구분

$curl_data = http_build_query($commonParam);
$url = $haURL."getCouponList.do";
//$url = "http://wn.itsrealtime.co.kr:9081/API/HA/getIdCard.do.php";//임시 
$response = get_curl($url,$curl_data);
$xml=simplexml_load_string($response);
$resultCd = $xml->RESULT_CD;
$resultMsg = $xml->RESULT_MSG;
//형아 API 결과 처리
if($resultCd != '00')
{
        errorXML('C001',$resultMsg);
        exit;
}
else
{
	$couponCnt = 0;
	foreach($xml->COUPON as $resultTmp)
        {      
		if($resultTmp->COUPON_ID != '' || $resultTmp->COUPON_ID != null)
		{
			$couponCnt++;
		}
	}
	if($couponCnt > 0)
	{
		$tagReserve = $domtree->createElement("COUPON");
		$tagReserve = $xmlRoot->appendChild($tagReserve);

		/* CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('COUPON_YN','Y'));
		$tagReserve->appendChild($domtree->createElement('COUPON_MSG','사용 가능한 쿠폰이 있습니다.'));
	}
	else
	{

		/* CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('COUPON_YN','N'));
		$tagReserve->appendChild($domtree->createElement('COUPON_MSG',''));
	}
/*
		$tagReserve->appendChild($domtree->createElement('NAME',$resultTmp->NAME));
		$tagReserve->appendChild($domtree->createElement('FROM',$resultTmp->FROM));
		$tagReserve->appendChild($domtree->createElement('TO',$resultTmp->TO));
		$tagReserve->appendChild($domtree->createElement('TYPE',$resultTmp->TYPE));
		$tagReserve->appendChild($domtree->createElement('RATE',$resultTmp->RATE));
		$tagReserve->appendChild($domtree->createElement('AMOUNT',$resultTmp->AMOUNT));
		$tagReserve->appendChild($domtree->createElement('TIME',$resultTmp->TIME));
		$tagReserve->appendChild($domtree->createElement('USED',$resultTmp->USED));
		$tagReserve->appendChild($domtree->createElement('USEDATE',$resultTmp->USEDATE));
        }
*/
}

/************************************************************************/
/*                  SEAT STATUS                                        */
/************************************************************************/
$sql = "SELECT  A.ROOM_NO,
		A.ROOM_NM,
        	A.SEAT_NO_CNT AS TOT_CNT,
        	IF(ISNULL(B.USE_CNT),0,B.USE_CNT) AS USE_CNT,
        	A.SEAT_NO_CNT - IF(ISNULL(B.USE_CNT),0,B.USE_CNT) - FN_GET_SEAT_FIX_CNT(A.ROOM_NO) AS REM_CNT,
		FN_GET_SEAT_FIX_CNT(A.ROOM_NO) AS FIX_CNT,
		PAY_PER_MIN 
	FROM    W_ROOM_MST A LEFT OUTER JOIN (SELECT ROOM_NO,COUNT(RESERVE_NO) AS USE_CNT
                                      	     FROM   W_SEAT_RESERVE 
                                      	     WHERE   USE_DAY = '$reqReserveDt'
                                      	     AND     (
                                          		(END_TM >= '$reqFrTm' AND END_TM <= '$reqToTm') 
                                                	OR  (START_TM >= '$reqFrTm' AND START_TM <= '$reqToTm') 
                                                	OR (START_TM <= '$reqFrTm' AND END_TM >= '$reqToTm')
                                              )
                                      GROUP BY ROOM_NO )B
		ON A.ROOM_NO = B.ROOM_NO
		ORDER BY A.ROOM_NO
";
//echo $sql;
//$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("ROOM_STATUS");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('ROOM_NO',$row['ROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('ROOM_NM',$row['ROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('TOT_CNT',$row['TOT_CNT']));
		$tagReserve->appendChild($domtree->createElement('USE_CNT',$row['USE_CNT']));
		$tagReserve->appendChild($domtree->createElement('FIX_CNT',$row['FIX_CNT']));
		$tagReserve->appendChild($domtree->createElement('PAY_PER_MIN',$row['PAY_PER_MIN']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
	if(!isset($row['ROOM_NO']))
	{
	//	$resultCd = '01';
	//	$resultMsg = '존재하지 않는 이용자';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}
/************************************************************************/
/*                  STUDY STATUS                                        */
/************************************************************************/
$sql = "SELECT  A.SROOM_NO,
                A.SROOM_NM,
                A.SEAT_CNT AS TOT_CNT,
                IF(ISNULL(B.USE_CNT),0,B.USE_CNT) AS USE_CNT,
                A.SEAT_CNT - IF(ISNULL(B.USE_CNT),0,B.USE_CNT) AS REM_CNT,
                A.PAY_PER_HOUR AS PAY_PER_HOUR,
                0 AS FIX_CNT
        FROM    W_SROOM_MST A LEFT OUTER JOIN (SELECT SROOM_NO,USE_MAN_CNT AS USE_CNT
                                             FROM   W_SROOM_RESERVE 
                                             WHERE   USE_DAY = '$reqReserveDt'
                                             AND     (
                                                        (END_TM >= '$reqFrTm' AND END_TM <= '$reqToTm') 
                                                        OR  (START_TM >= '$reqFrTm' AND START_TM <= '$reqToTm') 
                                                        OR (START_TM <= '$reqFrTm' AND END_TM >= '$reqToTm')
                                              )
                                             )B
                ON A.SROOM_NO = B.SROOM_NO
                ORDER BY A.SROOM_NO
";
//echo $sql;
//$pdoConn = pdoConn();
try
{
	foreach ($pdoConn->query($sql) as $row) 
	{

		/* RESERVE NODE */
		$tagReserve = $domtree->createElement("STUDY_STATUS");
		$tagReserve = $xmlRoot->appendChild($tagReserve);
		/* RESERVE CHILD NODE */
		$tagReserve->appendChild($domtree->createElement('SROOM_NO',$row['SROOM_NO']));
		$tagReserve->appendChild($domtree->createElement('SROOM_NM',$row['SROOM_NM']));
		$tagReserve->appendChild($domtree->createElement('TOT_CNT',$row['TOT_CNT']));
		$tagReserve->appendChild($domtree->createElement('USE_CNT',$row['USE_CNT']));
		$tagReserve->appendChild($domtree->createElement('FIX_CNT',$row['FIX_CNT']));
		$tagReserve->appendChild($domtree->createElement('PAY_PER_HOUR',$row['PAY_PER_HOUR']));
	//	$resultCd = '00';
	//	$resultMsg = '정상';
	}
	if(!isset($row['SROOM_NO']))
	{
	//	$resultCd = '01';
	//	$resultMsg = '존재하지 않는 이용자';
	}
}
catch (PDOException $pe)
{
 //      	$userId = "";
 //      	$qrCode = "";
//	$userNm = "";
}
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
/*                   MAKE XML END                                        *
/************************************************************************/
echo $domtree->saveXML();
?>
