<jsp:include page="../include/includeTop.jsp" flush="false"/>
<%@ page contentType="text/html; charset=UTF-8"%> 
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<div id="content">
  <div id="content-header">
    <div id="breadcrumb"> <a href="index.html" title="Go to Home" class="tip-bottom"><i class="icon-home"></i> Home</a></div>
  </div>
  
  <div class="container-fluid">
    <div class="row-fluid">
      <div class="span6">
      
     
        <div class="widget-box">
          <div class="widget-title"> <span class="icon"> <i class="icon-arrow-right"></i> </span>
            <h5> Today e-Pay </h5>
          </div>
          <div class="widget-content nopadding">
            <table class="table table-bordered">
              <thead>
                <tr>
                  <th>　　　　　　　　　　　　</th>
                  <th>건수</th>
                  <th>금액</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td style='text-align:left;'><a href="#" >전체</a></td>
                  <td style='text-align:right;'>${totalCnt}</td>
                  <td style='text-align:right;'>${totalSum}</td>
                </tr>
                <tr>
                  <td style='text-align:left;'><a href="#">조식</a></td>
                  <td style='text-align:right;'>${breakfastCnt}</td>
                  <td style='text-align:right;'>${breakfastSum}</td>
                </tr>
                <tr>
                  <td style='text-align:left;'><a href="#">중식</a></td>
                  <td style='text-align:right;'>${lunchCnt}</td>
                  <td style='text-align:right;'>${lunchSum}</td>
                </tr>
				<tr>
                  <td style='text-align:left;'><a href="#">석식</a></td>
                  <td style='text-align:right;'>${dinnerCnt}</td>
                  <td style='text-align:right;'>${dinnerSum}</td>
                </tr>
                <tr>
                  <td style='text-align:left;'><a href="#">공휴일</a></td>
                  <td style='text-align:right;'>${holidayCnt}</td>
                  <td style='text-align:right;'>${holidaySum}</td>
                </tr>                
				<tr>
                  <td style='text-align:left;'><a href="#">특식</a></td>
                  <td style='text-align:right;'>${specialCnt}</td>
                  <td style='text-align:right;'>${specialSum}</td>
                </tr>
                <tr>
                  <td style='text-align:left;'><a href="#">기타</a></td>
                  <td style='text-align:right;'>${etcCnt}</td>
                  <td style='text-align:right;'>${etcSum}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
           
       <div class="widget-box">
          <div class="widget-title"> <span class="icon"> <i class="icon-arrow-right"></i> </span>
            <h5> Point Charger </h5>
          </div>
          <div class="widget-content nopadding">
            <table class="table table-bordered">
              <thead>
                <tr>
                  <th>　　　　　　　　　　　　</th>
                  <th>건수</th>
                  <th>금액</th>
                </tr>
              </thead>
              <tbody>
<c:forEach items="${pointStatic}" var="pointStatic">                
                <tr>
                  <td><a href="#">${pointStatic.strLocNm}</a></td>
                  <td style='text-align:right;'>${pointStatic.strUseCnt}</td>
                  <td style='text-align:right;'>${pointStatic.strUnuseCnt}</td>
                </tr>
</c:forEach>
              </tbody>
            </table>
          </div>
        </div>
        <div class="widget-box">
          <div class="widget-title"> <span class="icon"> <i class="icon-arrow-right"></i> </span>
            <h5>자산 statistics</h5>
          </div>
          <div class="widget-content nopadding">
            <table class="table table-bordered">
              <thead>
                <tr>
                  <th>　　　위치　　　　　　　　　</th>
                  <th>보유</th>
                  <th>미사용</th>
                </tr>
              </thead>
              <tbody>
<c:forEach items="${assetStatic}" var="assetStatic">              
                <tr>
                  <td><a href="#">${assetStatic.strLocNm}</a></td>
                  <td style='text-align:right;'>${assetStatic.strUseCnt}</td>
                  <td style='text-align:right;'>${assetStatic.strUnuseCnt}</td>
                </tr>
</c:forEach>
                    </tbody>
            </table>
          </div>
        </div>
      </div>
      
      
      <div class="span6">
        <div class="widget-box">
          <div class="widget-title"> <span class="icon"><i class="icon-ok"></i></span>
            <h5>간행물 statistics</h5>
          </div>
          <div class="widget-content">
            <ul class="unstyled">
<c:forEach items="${pubStatic}" var="pubStatic">            
              <li> <span class="icon24 icomoon-icon-arrow-up-2 green"></span> ${pubStatic.strLocNm} <span class="pull-right strong">${pubStatic.strUseCnt}</span>
                <div class="progress progress-striped ">
                  <div style="width: ${pubStatic.strUnuseCnt}%;" class="bar"></div>
                </div>
              </li>
</c:forEach>
            </ul>
          </div>
        </div>
        
        <div class="widget-box">
          <div class="widget-title"> <span class="icon"><i class="icon-ok"></i></span>
            <h5>IT자산  statistics</h5>
          </div>
          <div class="widget-content">
            <ul class="unstyled">
<c:forEach items="${itStatic}" var="itStatic">            
              <li> <span class="icon24 icomoon-icon-arrow-up-2 green"></span> ${itStatic.strLocNm} <span class="pull-right strong">${itStatic.strUseCnt}</span>
                <div class="progress progress-striped ">
                  <div style="width: ${itStatic.strUnuseCnt}%;" class="bar"></div>
                </div>
              </li>
</c:forEach>              
            </ul>
          </div>
        </div>

      
        
      
      
     
        

    
    <hr>
    <!-- div class="row-fluid">
      <div class="span12">
        <div class="widget-box widget-calendar">
          <div class="widget-title"> <span class="icon"><i class="icon-calendar"></i></span>
            <h5>Calendar</h5>
            <div class="buttons"> <a id="add-event" data-toggle="modal" href="#modal-add-event" class="btn btn-inverse btn-mini"><i class="icon-plus icon-white"></i> Add new event</a>
              <div class="modal hide" id="modal-add-event">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">×</button>
                  <h3>Add a new event</h3>
                </div>
                <div class="modal-body">
                  <p>Enter event name:</p>
                  <p>
                    <input id="event-name" type="text" />
                  </p>
                </div>
                <div class="modal-footer"> <a href="#" class="btn" data-dismiss="modal">Cancel</a> <a href="#" id="add-event-submit" class="btn btn-primary">Add event</a> </div>
              </div>
            </div>
          </div>
          <div class="widget-content">
            <div class="panel-left">
              <div id="fullcalendar"></div>
            </div>
            <div id="external-events" class="panel-right">
              <div class="panel-title">
                <h5>Drag Events to the calander</h5>
              </div>
              <div class="panel-content">
                <div class="external-event ui-draggable label label-inverse">My Event 1</div>
                <div class="external-event ui-draggable label label-inverse">My Event 2</div>
                <div class="external-event ui-draggable label label-inverse">My Event 3</div>
                <div class="external-event ui-draggable label label-inverse">My Event 4</div>
                <div class="external-event ui-draggable label label-inverse">My Event 5</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div-->
  </div>
</div>
<hr>
<jsp:include page="../include/includeBottom.jsp" flush="false"/>



