<?php
include "./inc/includeTop.php";

?>
<script src="./resources/js/chartBundle.js"></script>
<script src="./resources/js/util.js"></script>

<style>
.container {
  width: 80%;
  margin: 20px auto;
}

.p {
  text-align: center;
  font-size: 14px;
  padding-top: 140px;
}
canvas {
		-moz-user-select: none;
		-webkit-user-select: none;
		-ms-user-select: none;
	}
</style>

<?php

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/
//print_r($timeFormat);
//echo $timeFormat['YMD'];
$month = date('m');
$day = date('d');
$daily = array('일','월','화','수','목','금','토');
$date = date('w'); //0 ~ 6 숫자 반환
   
?>
<div id="content">
  <div id="content-header">
    <div id="breadcrumb"> <a href="index.html" title="Go to Home" class="tip-bottom"><i class="icon-home"></i> Home</a></div>
  </div>
 <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font size='2'>[<?=$month?>월 <?=$day?>일 <?=$daily[$date]?>요일 현재] </font>
  <div class="container-fluid">
    <div class="row-fluid">
<div class="row-fluid">
      <div class="span6">
        <div class="widget-box">
          <div class="widget-title"> <span class="icon"> <i class="icon-signal"></i> </span>
            <h5>주간 일자별 좌석 이용 </h5>
          </div>
          <div class="widget-content">
	    <div>
            <canvas id="canvas"></canvas> 
	    </div>
          </div>
        </div>
      </div>
      <div class="span6">
        <div class="widget-box">
          <div class="widget-title"> <span class="icon"> <i class="icon-signal"></i> </span>
            <h5>주간 좌석 이용 통계</h5>
          </div>
          <div class="widget-content">
	    <div>
            <canvas id="chart-area"></canvas> 
	    </div>
          </div>
        </div>
      </div>
    </div>



  </div>
</div>
<hr>
<?php
/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$sql = "
	SELECT CONCAT('''',GROUP_CONCAT(DATE_FORMAT(RESERVE_DATE,'%m/%d') ORDER BY RESERVE_DATE SEPARATOR ''','''),'''')  AS RESERVE_SEAT_DATE,
	   GROUP_CONCAT(RESERVE_SEAT ORDER BY RESERVE_DATE SEPARATOR ',') AS RESERVE_CNT
FROM 
(
select DATE_FORMAT(a.Date,'%Y%m%d')  AS RESERVE_DATE 
        from (
                select curdate() + INTERVAL (a.a + (-10 * b.a) + (100 * c.a)) DAY as Date
                from 
                (                        select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as a    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as b    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as c
                ) a
        where a.Date between DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y-%m-%d')and DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y-%m-%d') order by a.Date
) A LEFT OUTER JOIN 
(
SELECT  USE_DAY,COUNT(*) AS RESERVE_SEAT
FROM    W_SEAT_RESERVE
WHERE   ROOM_NO != 0
AND      RESERVE_STAT IN ('4','5','7')
AND     USE_DAY >= DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y%m%d') 
AND     USE_DAY <= DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y%m%d')
GROUP BY USE_DAY
) B
ON A.RESERVE_DATE = B.USE_DAY
UNION ALL
SELECT '',GROUP_CONCAT(COUNT ORDER BY RESERVE_DATE SEPARATOR ',') AS MEMBERSHIP_CNT
FROM
(         
SELECT RESERVE_DATE,COUNT(RESERVE_DATE) AS COUNT
FROM 
(
select DATE_FORMAT(a.Date,'%Y%m%d')  AS RESERVE_DATE 
        from (
                select curdate() + INTERVAL (a.a + (-10 * b.a) + (100 * c.a)) DAY as Date
                from 
                (                        select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as a    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as b    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as c
                ) a
        where a.Date between DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y-%m-%d')and DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y-%m-%d') order by a.Date
) A,
(
SELECT  START_DAY,END_DAY
FROM    W_MEMBERSHIP_RESERVE
WHERE   RESERVE_STAT IN ('4','5','7')
AND     (DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y%m%d') BETWEEN START_DAY AND END_DAY OR
         DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y%m%d') BETWEEN START_DAY AND END_DAY)
) B
WHERE  A.RESERVE_DATE BETWEEN B.START_DAY AND B.END_DAY
GROUP BY RESERVE_DATE
) Z
UNION ALL
SELECT '',GROUP_CONCAT(COUNT ORDER BY RESERVE_DATE SEPARATOR ',') AS FREESEAT_CNT
FROM
(         
SELECT RESERVE_DATE,COUNT(RESERVE_DATE) AS COUNT
FROM 
(
select DATE_FORMAT(a.Date,'%Y%m%d')  AS RESERVE_DATE 
        from (
                select curdate() + INTERVAL (a.a + (-10 * b.a) + (100 * c.a)) DAY as Date
                from 
                (                        select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as a    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as b    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as c
                ) a
        where a.Date between DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y-%m-%d')and DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y-%m-%d') order by a.Date
) A,
(
SELECT  START_DAY,END_DAY
FROM    W_FREESEAT_RESERVE
WHERE   RESERVE_STAT IN ('4','5','7')
AND     (DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y%m%d') BETWEEN START_DAY AND END_DAY OR
         DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y%m%d') BETWEEN START_DAY AND END_DAY)
) B
WHERE  A.RESERVE_DATE BETWEEN B.START_DAY AND B.END_DAY
GROUP BY RESERVE_DATE
) Z
UNION ALL
SELECT '', 
	   GROUP_CONCAT(RESERVE_SEAT ORDER BY RESERVE_DATE SEPARATOR ',') AS RESERVE_CNT
FROM 
(
select DATE_FORMAT(a.Date,'%Y%m%d')  AS RESERVE_DATE 
        from (
                select curdate() + INTERVAL (a.a + (-10 * b.a) + (100 * c.a)) DAY as Date
                from 
                (                        select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as a    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as b    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as c
                ) a
        where a.Date between DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y-%m-%d')and DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y-%m-%d') order by a.Date
) A LEFT OUTER JOIN 
(
SELECT  USE_DAY,COUNT(*) AS RESERVE_SEAT
FROM    W_SEAT_RESERVE
WHERE   ROOM_NO = 0
AND      RESERVE_STAT IN ('4','5','7')
AND     USE_DAY >= DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y%m%d') 
AND     USE_DAY <= DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y%m%d')
GROUP BY USE_DAY
) B
ON A.RESERVE_DATE = B.USE_DAY
UNION ALL
SELECT '',GROUP_CONCAT(RESERVE_SEAT ORDER BY RESERVE_DATE SEPARATOR ',') AS SROOM_CNT
FROM 
(
select DATE_FORMAT(a.Date,'%Y%m%d')  AS RESERVE_DATE 
        from (
                select curdate() + INTERVAL (a.a + (-10 * b.a) + (100 * c.a)) DAY as Date
                from 
                (                        select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as a    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as b    cross join (select 0 as a union all select 1 union all select 2 union all select 3 union all select 4 union all select 5 union all select 6 union all select 7 union all select 8 union all select 9) as c
                ) a
        where a.Date between DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y-%m-%d')and DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y-%m-%d') order by a.Date
) A LEFT OUTER JOIN 
(
SELECT  USE_DAY,COUNT(*) AS RESERVE_SEAT
FROM    W_SROOM_RESERVE
WHERE   RESERVE_STAT IN ('4','5','7')
AND     USE_DAY >= DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 0 ),'%Y%m%d') 
AND     USE_DAY <= DATE_FORMAT(ADDDATE( CURDATE(), - WEEKDAY(CURDATE()) + 6 ),'%Y%m%d')
GROUP BY USE_DAY
) B
ON A.RESERVE_DATE = B.USE_DAY
";
//echo $sql;
try
{
	$i = 0;
	$arrReserveDate = array();
	$arrCnt = array();
	$arrSum1 = 0;
	$arrSum2 = 0;
	$arrSum3 = 0;
	$arrSum4 = 0;
	$arrSum5 = 0;
        foreach ($pdoConn->query($sql) as $row)
        {
		$arrReserveDate[$i] = $row[0];
		$arrCnt[$i] = $row[1];
		$i++;
	}
}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
		$tmp = explode(',',$arrCnt[0]);
		for($j=0;$j<5;$j++)
		{
			$arrSum1 = $arrSum1 + $tmp[$j];
		}
		$tmp = explode(',',$arrCnt[1]);
		for($j=0;$j<5;$j++)
		{
			$arrSum2 = $arrSum2 + $tmp[$j];
		}
		$tmp = explode(',',$arrCnt[2]);
		for($j=0;$j<5;$j++)
		{
			$arrSum3 = $arrSum4 + $tmp[$j];
		}
		$tmp = explode(',',$arrCnt[3]);
		for($j=0;$j<5;$j++)
		{
			if(isset($tmp[$j]))
			{
				$arrSum4 = $arrSum4 + $tmp[$j];
			}
		}
		$tmp = explode(',',$arrCnt[4]);
		for($j=0;$j<5;$j++)
		{
			$arrSum5 = $arrSum5 + $tmp[$j];
		}
?>
<script>
var randomScalingFactor = function() {
		return Math.ceil(Math.random() * 10.0) * Math.pow(10, Math.ceil(Math.random() * 5));
	};

	var config2 = {
		type: 'line',
		data: {
			labels: [<?=$arrReserveDate[0]?>],
			datasets: [{
				label: '예약석',
				backgroundColor: window.chartColors.red,
				borderColor: window.chartColors.red,
				fill: false,
				data: [
					<?=$arrCnt[0]?>
				],
			}, {
				label: '고정석',
				backgroundColor: window.chartColors.blue,
				borderColor: window.chartColors.blue,
				fill: false,
				data: [
					<?=$arrCnt[1]?>
				],
			}, {
				label: '자유석',
				backgroundColor: window.chartColors.yellow,
				borderColor: window.chartColors.yellow,
				fill: false,
				data: [
					<?=$arrCnt[2]?>
				],
			}, {
				label: 'Time Zone',
				backgroundColor: window.chartColors.purple,
				borderColor: window.chartColors.purple,
				fill: false,
				data: [
					<?=$arrCnt[3]?>
				],
			}, {
				label: '팀룸',
				backgroundColor: window.chartColors.orange,
				borderColor: window.chartColors.orange,
				fill: false,
				data: [
					<?=$arrCnt[4]?>
				],
			}]
		},
		options: {
			responsive: true,
			title: {
				display: true,
				text: ''
			},
			scales: {
				xAxes: [{
					display: true,
				}],
				yAxes: [{
					display: true,
				}]
			}
		}
	};

	window.onload = function() {
	};
	


	var randomScalingFactor = function() {
			return Math.round(Math.random() * 100);
		};

		var config = {
			type: 'doughnut',
			data: {
				datasets: [{
					data: [
						<?=$arrSum1?>,
						<?=$arrSum2?>,
						<?=$arrSum3?>,
						<?=$arrSum4?>,
						<?=$arrSum5?>
						
					],
					backgroundColor: [
						window.chartColors.red,
						window.chartColors.blue,
						window.chartColors.yellow,
						window.chartColors.purple,
						window.chartColors.orange,
					],
					label: 'Dataset 1'
				}],
				labels: [
					'예약석',
					'고정석',
					'자유석',
					'Time Zone',
					'팀룸'
				]
			},
			options: {
				responsive: true,
				legend: {
					position: 'top',
				},
				title: {
					display: true,
					text: ''
				},
				animation: {
					animateScale: true,
					animateRotate: true
				}
			}
		};

		window.onload = function() {
			var ctx = document.getElementById('chart-area').getContext('2d');
			window.myDoughnut = new Chart(ctx, config);
			var ctx2 = document.getElementById('canvas').getContext('2d');
			window.myLine = new Chart(ctx2, config2);
		};
</script>
<?php
	include "./inc/includeBottom.php";
?>



