<?php
/**

 * @brief : 자기자신 파일 명

 **/
/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/param.inc');

//echo $userId;

/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try 
{
 
	$pdo = pdoConn();
		
} 
catch (PDOException $pe) 
{
	errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}


/************************************************************************/
/*                  ROOM END 10 MINUTE                                  */
/************************************************************************/
$sql = "INSERT INTO W_PUSH_TBL 
	SELECT *
	FROM
	(
	SELECT 	'P999',
		NULL,
		'',
		A.userId As userId,
		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') SEND_DT,
		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') INSERT_DT,
		1,
		0,
		'N',
		'관리자 메시지',
		:i_reqMsg AS pushMsg,
		IF(A.pushKey is null,'1',A.pushKey) AS pushKey,
		:i_regId,
		DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s') REG_DT,
		'' UPD_ID,
		'' UPD_DT
	FROM   RT_USER A
	WHERE  A.userId = :i_reqId
	) Z
";
//echo $sql;
//echo $phpSelf;
//$pdoConn = pdoConn();
try
{
        $stmt = $pdo->prepare($sql);
        $stmt->bindParam(':i_reqMsg', $reqMsg, PDO::PARAM_STR);
        $stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
        $stmt->bindParam(':i_reqId', $reqId, PDO::PARAM_STR);
        $stmt->execute();
//print_r($stmt);

}
catch (PDOException $pe)
{
 //             $userId = "";
 //             $qrCode = "";
//      $userNm = "";
}
$resultArr['RESULT_CD'] = '0000';
$resultArr['RESULT_MSG'] = '발송되었습니다.';
resultXML($resultArr);

$pdo = null;
exit;

		
?>
