<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
/************************************************************************/
/*                   PDO CONNECTION                                     */
/************************************************************************/
try
{

        $pdo = pdoConn();

}
catch (PDOException $pe)
{
        errorXML('D999',$pe->getMessage());
        //die("Error occurred:" . $pe->getMessage());
}


/************************************************************************/
/*                  TRANSACTION START                                   */
/************************************************************************/
$pdo->beginTransaction();


if($reqAct == 'D')
{
	/************************************************************************/
	/*                  RESERVE LIST                                        */
	/************************************************************************/
	$sql = " DELETE FROM W_ADMIN_MST WHERE ADMIN_ID = :i_adminId 
	";
	//echo $sql;
	//echo $phpSelf;
	//$pdoConn = pdoConn();
	try
	{
        	$stmt = $pdo->prepare($sql);
        	$stmt->bindParam(':i_adminId', $reqAdminId, PDO::PARAM_STR);
        	$stmt->execute();
	//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0001';
		$resultArr['RESULT_MSG'] = '관리자 삭제 중 오류가 발생했습니다.';
		resultXML($resultArr);
		exit;
 //             $userId = "";
 //             $qrCode = "";
	}
	$pdo->commit();
	$resultArr['RESULT_CD'] = '0000';
	$resultArr['RESULT_MSG'] = '삭제되었습니다.';
	resultXML($resultArr);
	exit;

}	
if($reqAct == 'U')
{
	/************************************************************************/
	/*                  RESERVE LIST                                        */
	/************************************************************************/
	$sql = " UPDATE W_ADMIN_MST SET PWD = HEX(AES_ENCRYPT(:i_reqPwd, 'roqkf#dev01@2017wiseneoscocnythnk')),
					ADMIN_NM = :i_reqAdminNm,
					AUTH_CD = :i_reqAuth,
					UPD_ID = :i_regId,
					UPD_DT = DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s')
				WHERE   ADMIN_ID = :i_reqAdminId
	";
//echo $sql;
//echo $phpSelf;
//$pdoConn = pdoConn();
	try
	{
        	$stmt = $pdo->prepare($sql);
       	 	$stmt->bindParam(':i_reqPwd', $reqPwd, PDO::PARAM_STR);
        	$stmt->bindParam(':i_reqAdminNm', $reqAdminNm, PDO::PARAM_STR);
        	$stmt->bindParam(':i_reqAuth', $reqAuth, PDO::PARAM_STR);
        	$stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
        	$stmt->bindParam(':i_reqAdminId', $reqAdminId, PDO::PARAM_STR);
        	$stmt->execute();
//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		$resultArr['RESULT_MSG'] = '관리자 저장 중 오류가 발생했습니다.';
		resultXML($resultArr);
		exit;
 //             $userId = "";
 //             $qrCode = "";
	}
	$pdo->commit();
	$resultArr['RESULT_CD'] = '0000';
	$resultArr['RESULT_MSG'] = '저장되었습니다.';
	resultXML($resultArr);
	exit;
}

if($reqAct == 'I')
{
	/************************************************************************/
	/*                  RESERVE LIST                                        */
	/************************************************************************/
	$sql = " INSERT INTO W_ADMIN_MST VALUES(:i_reqAuth,:i_reqAdminId,:i_reqAdminNm,HEX(AES_ENCRYPT(:i_reqPwd, 'roqkf#dev01@2017wiseneoscocnythnk')),'',:i_regId,DATE_FORMAT(NOW()+0,'%Y%m%d%H%i%s'),'','')
	";
//echo $sql;
//echo $phpSelf;
//$pdoConn = pdoConn();
	try
	{
        	$stmt = $pdo->prepare($sql);
        	$stmt->bindParam(':i_reqAuth', $reqAuth, PDO::PARAM_STR);
        	$stmt->bindParam(':i_reqAdminId', $reqAdminId, PDO::PARAM_STR);
        	$stmt->bindParam(':i_reqAdminNm', $reqAdminNm, PDO::PARAM_STR);
       	 	$stmt->bindParam(':i_reqPwd', $reqPwd, PDO::PARAM_STR);
        	$stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
        	$stmt->execute();
//print_r($stmt);

	}
	catch (PDOException $pe)
	{
		$pdo->rollBack();
		$resultArr['RESULT_CD'] = '0002';
		$resultArr['RESULT_MSG'] = '관리자 저장 중 오류가 발생했습니다.';
		resultXML($resultArr);
		exit;
 //             $userId = "";
 //             $qrCode = "";
	}
	$pdo->commit();
	$resultArr['RESULT_CD'] = '0000';
	$resultArr['RESULT_MSG'] = '저장되었습니다.';
	resultXML($resultArr);
	exit;
}

/************************************************************************/
/*                  TRANSACTION END                                   */
/************************************************************************/
$pdo->commit();


/************************************************************************/
/*                  MAKE RESULT XML                                     */
/************************************************************************/
$resultArr['RESULT_CD'] = '0000';
$resultArr['RESULT_MSG'] = '저장되었습니다.';
resultXML($resultArr);

$pdo = null;
$pdoConn =null;
exit;
?>
