<?php

/************************************************************************/
/*                   기본 정보                                          */
/************************************************************************/
include ('/home/realtime/inc/base.inc');

/************************************************************************/
/*                   PARAMETER 처리                                     */
/************************************************************************/
include ('/home/realtime/inc/paramPA.inc');

//echo $userId;

/************************************************************************/
/*                   PARAMETER                                    */
/************************************************************************/
/*
echo $reqId;
echo $reqReserveDt;
echo $reqFrTm;
echo $reqToTm;
*/	
//print_r($timeFormat);
//echo $timeFormat['YMD'];
if( $reqAct == 'RESERVE' && ($reqStartDay < $timeFormat['YMD'] || $reqEndDay < $timeFormat['YMD']))
{

        //errorXML('D000','현재날짜보다 이전 날짜 예약을 할 수 없습니다.');
        //exit;

}

/************************************************************************/
/*                  RESERVE LIST                                        */
/************************************************************************/
$pdoConn = pdoConn();
if($reqAct == 'CANCEL' || $reqAct == 'RETURN')
{
	try
	{       
        	$pushSql = 'CALL NEW_PR_SET_FREESEAT_RESERVE(:i_reserveNo,:i_act,:i_regId,@o_resultCd,@o_resultMsg)';
        	$stmt = $pdoConn->prepare($pushSql);
        	$stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
        	$stmt->bindParam(':i_act', $reqAct, PDO::PARAM_STR);
        	$stmt->bindParam(':i_regId', $phpSelf, PDO::PARAM_STR);
        	$stmt->execute();
        	$stmt->closeCursor();
        	// execute the second query to get values from OUT parameter
        	//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
        	$rs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg")->fetch(PDO::FETCH_ASSOC);
        	if ($rs)
        	{       
                	//예약결과 
                	$setRoomResultCd = $rs['@o_resultCd'];
                	$setRoomResultMsg = $rs['@o_resultMsg'];
        	}
        	else
        	{	       
                	errorXML('E003','');
                	exit;
        	}

	}	
	catch (PDOException $pe)
	{
        	errorXML('C011',$pe->getMessage());
        	//die("Error occurred:" . $pe->getMessage());
	}
}
else if($reqAct == 'RESERVE')
{
	try
	{       
		$reqBranchNo = 'M0';
        	$pushSql = 'CALL NEW_PR_INSERT_FREECOMP_RESERVE(:i_userId,:i_userNm,:i_startDay,:i_endDay,:i_branchNo,:i_period,:i_regId,@o_resultCd,@o_resultMsg)';
        	$stmt = $pdoConn->prepare($pushSql);
        	$stmt->bindParam(':i_userId', $reqUserId, PDO::PARAM_STR);
        	$stmt->bindParam(':i_userNm', $reqUserNm, PDO::PARAM_STR);
        	$stmt->bindParam(':i_startDay', $reqStartDay, PDO::PARAM_STR);
        	$stmt->bindParam(':i_endDay', $reqEndDay, PDO::PARAM_STR);
        	$stmt->bindParam(':i_branchNo', $reqBranchNo, PDO::PARAM_STR);
        	$stmt->bindParam(':i_period', $reqPeriod, PDO::PARAM_STR);
        	$stmt->bindParam(':i_regId', $regId, PDO::PARAM_STR);
        	$stmt->execute();
        	$stmt->closeCursor();
        	// execute the second query to get values from OUT parameter
        	//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
        	$rs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg")->fetch(PDO::FETCH_ASSOC);
        	if ($rs)
        	{       
                	//예약결과 
                	$setRoomResultCd = $rs['@o_resultCd'];
                	$setRoomResultMsg = $rs['@o_resultMsg'];
        	}
        	else
        	{	       
                	errorXML('E003','');
                	exit;
        	}

	}	
	catch (PDOException $pe)
	{
        	errorXML('C011',$pe->getMessage());
        	//die("Error occurred:" . $pe->getMessage());
	}





}
else if($reqAct == 'CHANGE')
{
	try
	{       
		$reqBranchNo = 'M0';
        	$pushSql = 'CALL NEW_PR_UPDATE_FREESEAT_RESERVE(:i_userId,:i_userNm,:i_startDay,:i_endDay,:i_branchNo,:i_reserveNo,:i_period,:i_regId,@o_resultCd,@o_resultMsg)';
        	$stmt = $pdoConn->prepare($pushSql);
        	$stmt->bindParam(':i_userId', $reqUserId, PDO::PARAM_STR);
        	$stmt->bindParam(':i_userNm', $reqUserNm, PDO::PARAM_STR);
        	$stmt->bindParam(':i_startDay', $reqStartDay, PDO::PARAM_STR);
        	$stmt->bindParam(':i_endDay', $reqEndDay, PDO::PARAM_STR);
        	$stmt->bindParam(':i_branchNo', $reqBranchNo, PDO::PARAM_STR);
        	$stmt->bindParam(':i_reserveNo', $reqReserveNo, PDO::PARAM_STR);
        	$stmt->bindParam(':i_period', $reqPeriod, PDO::PARAM_STR);
        	$stmt->bindParam(':i_regId', $regId, PDO::PARAM_STR);
        	$stmt->execute();
        	$stmt->closeCursor();
        	// execute the second query to get values from OUT parameter
        	//$rs = $pdo->query("SELECT @o_resultCd,@o_resultMsg,@o_reserveNo,@o_totAmt,@o_cpAmt,@o_payAmt")
        	$rs = $pdoConn->query("SELECT @o_resultCd,@o_resultMsg")->fetch(PDO::FETCH_ASSOC);
        	if ($rs)
        	{       
                	//예약결과 
                	$setRoomResultCd = $rs['@o_resultCd'];
                	$setRoomResultMsg = $rs['@o_resultMsg'];
        	}
        	else
        	{	       
                	errorXML('E001','111111');
                	exit;
        	}

	}	
	catch (PDOException $pe)
	{
        	errorXML('C011',$pe->getMessage());
        	//die("Error occurred:" . $pe->getMessage());
	}





}
if($setRoomResultCd == 'R000')
{
                $resultArr['RESULT_CD'] = '0000';
                $resultArr['RESULT_MSG'] = $setRoomResultMsg;
                resultXML($resultArr);
                exit;
}
else
{
        errorXML('E003','예약오류'.$setRoomResultMsg);
}
$pdo=null;
$pdoConn =null;
?>
